--
-- PostgreSQL database dump
--

-- Dumped from database version 9.2.3
-- Dumped by pg_dump version 9.2.3
-- Started on 2015-08-30 21:04:46

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 200 (class 3079 OID 11727)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2100 (class 0 OID 0)
-- Dependencies: 200
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- TOC entry 168 (class 1259 OID 24771)
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.hibernate_sequence OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 169 (class 1259 OID 24773)
-- Name: sel_avaliacao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_avaliacao (
    id_avaliacao integer NOT NULL,
    ts_avaliacao timestamp without time zone NOT NULL,
    qtde_linhas bigint NOT NULL,
    id_parametro_calculo integer NOT NULL,
    id_url integer NOT NULL,
    nu_nota double precision
);


ALTER TABLE public.sel_avaliacao OWNER TO postgres;

--
-- TOC entry 170 (class 1259 OID 24776)
-- Name: sel_avaliacao_id_avaliacao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_avaliacao_id_avaliacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_avaliacao_id_avaliacao_seq OWNER TO postgres;

--
-- TOC entry 2101 (class 0 OID 0)
-- Dependencies: 170
-- Name: sel_avaliacao_id_avaliacao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_avaliacao_id_avaliacao_seq OWNED BY sel_avaliacao.id_avaliacao;


--
-- TOC entry 171 (class 1259 OID 24778)
-- Name: sel_avaliacao_id_parametro_calculo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_avaliacao_id_parametro_calculo_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_avaliacao_id_parametro_calculo_seq OWNER TO postgres;

--
-- TOC entry 2102 (class 0 OID 0)
-- Dependencies: 171
-- Name: sel_avaliacao_id_parametro_calculo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_avaliacao_id_parametro_calculo_seq OWNED BY sel_avaliacao.id_parametro_calculo;


--
-- TOC entry 172 (class 1259 OID 24780)
-- Name: sel_avaliacao_id_url_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_avaliacao_id_url_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_avaliacao_id_url_seq OWNER TO postgres;

--
-- TOC entry 2103 (class 0 OID 0)
-- Dependencies: 172
-- Name: sel_avaliacao_id_url_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_avaliacao_id_url_seq OWNED BY sel_avaliacao.id_url;


--
-- TOC entry 173 (class 1259 OID 24782)
-- Name: sel_criterio; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_criterio (
    id_criterio integer NOT NULL,
    ds_descricao character varying(255) NOT NULL,
    vl_peso integer NOT NULL,
    id_recomendacao integer NOT NULL,
    id_tipo_teste integer NOT NULL,
    nu_criterio bigint NOT NULL,
    lo_erro boolean,
    ds_requisito character varying(255),
    lo_verificacao_automatica boolean
);


ALTER TABLE public.sel_criterio OWNER TO postgres;

--
-- TOC entry 174 (class 1259 OID 24785)
-- Name: sel_criterio_id_criterio_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_criterio_id_criterio_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_criterio_id_criterio_seq OWNER TO postgres;

--
-- TOC entry 2104 (class 0 OID 0)
-- Dependencies: 174
-- Name: sel_criterio_id_criterio_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_criterio_id_criterio_seq OWNED BY sel_criterio.id_criterio;


--
-- TOC entry 175 (class 1259 OID 24787)
-- Name: sel_faixa; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_faixa (
    id_faixa integer NOT NULL,
    nu_faixa integer NOT NULL,
    ds_faixa character varying(255) NOT NULL,
    nu_faixa_fim double precision NOT NULL,
    nu_faixa_inicio double precision NOT NULL,
    nu_percentual_conformidade double precision NOT NULL,
    id_criterio integer NOT NULL
);


ALTER TABLE public.sel_faixa OWNER TO postgres;

--
-- TOC entry 176 (class 1259 OID 24790)
-- Name: sel_faixa_id_faixa_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_faixa_id_faixa_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_faixa_id_faixa_seq OWNER TO postgres;

--
-- TOC entry 2105 (class 0 OID 0)
-- Dependencies: 176
-- Name: sel_faixa_id_faixa_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_faixa_id_faixa_seq OWNED BY sel_faixa.id_faixa;


--
-- TOC entry 177 (class 1259 OID 24792)
-- Name: sel_grupo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_grupo (
    id_grupo integer NOT NULL,
    no_grupo character varying(255) NOT NULL
);


ALTER TABLE public.sel_grupo OWNER TO postgres;

--
-- TOC entry 178 (class 1259 OID 24795)
-- Name: sel_grupo_id_grupo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_grupo_id_grupo_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_grupo_id_grupo_seq OWNER TO postgres;

--
-- TOC entry 2106 (class 0 OID 0)
-- Dependencies: 178
-- Name: sel_grupo_id_grupo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_grupo_id_grupo_seq OWNED BY sel_grupo.id_grupo;


--
-- TOC entry 179 (class 1259 OID 24797)
-- Name: sel_grupo_permissao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_grupo_permissao (
    id_grupo integer NOT NULL,
    id_permissao integer NOT NULL
);


ALTER TABLE public.sel_grupo_permissao OWNER TO postgres;

--
-- TOC entry 180 (class 1259 OID 24800)
-- Name: sel_parametro_calculo; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_parametro_calculo (
    id_parametro_calculo integer NOT NULL,
    ts_fim timestamp without time zone,
    ts_inicio timestamp without time zone,
    id_usuario integer NOT NULL,
    ds_descricao character varying(255) NOT NULL
);


ALTER TABLE public.sel_parametro_calculo OWNER TO postgres;

--
-- TOC entry 181 (class 1259 OID 24803)
-- Name: sel_parametro_avaliacao_id_usuario_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_parametro_avaliacao_id_usuario_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_parametro_avaliacao_id_usuario_seq OWNER TO postgres;

--
-- TOC entry 2107 (class 0 OID 0)
-- Dependencies: 181
-- Name: sel_parametro_avaliacao_id_usuario_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_parametro_avaliacao_id_usuario_seq OWNED BY sel_parametro_calculo.id_usuario;


--
-- TOC entry 182 (class 1259 OID 24805)
-- Name: sel_parametro_calculo_id_parametro_calculo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_parametro_calculo_id_parametro_calculo_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_parametro_calculo_id_parametro_calculo_seq OWNER TO postgres;

--
-- TOC entry 2108 (class 0 OID 0)
-- Dependencies: 182
-- Name: sel_parametro_calculo_id_parametro_calculo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_parametro_calculo_id_parametro_calculo_seq OWNED BY sel_parametro_calculo.id_parametro_calculo;


--
-- TOC entry 183 (class 1259 OID 24807)
-- Name: sel_permissao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_permissao (
    id_permissao integer NOT NULL,
    ds_permissao character varying(255) NOT NULL
);


ALTER TABLE public.sel_permissao OWNER TO postgres;

--
-- TOC entry 184 (class 1259 OID 24810)
-- Name: sel_permissao_id_permissao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_permissao_id_permissao_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_permissao_id_permissao_seq OWNER TO postgres;

--
-- TOC entry 2109 (class 0 OID 0)
-- Dependencies: 184
-- Name: sel_permissao_id_permissao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_permissao_id_permissao_seq OWNED BY sel_permissao.id_permissao;


--
-- TOC entry 185 (class 1259 OID 24812)
-- Name: sel_recomendacao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_recomendacao (
    id_recomendacao integer NOT NULL,
    ds_descricao character varying(255) NOT NULL,
    nu_recomendacao bigint NOT NULL,
    vl_peso integer NOT NULL,
    id_parametro_calculo integer NOT NULL
);


ALTER TABLE public.sel_recomendacao OWNER TO postgres;

--
-- TOC entry 186 (class 1259 OID 24815)
-- Name: sel_recomendacao_id_parametro_calculo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_recomendacao_id_parametro_calculo_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_recomendacao_id_parametro_calculo_seq OWNER TO postgres;

--
-- TOC entry 2110 (class 0 OID 0)
-- Dependencies: 186
-- Name: sel_recomendacao_id_parametro_calculo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_recomendacao_id_parametro_calculo_seq OWNED BY sel_recomendacao.id_parametro_calculo;


--
-- TOC entry 187 (class 1259 OID 24817)
-- Name: sel_recomendacao_id_recomendacao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_recomendacao_id_recomendacao_seq
    START WITH 1
    INCREMENT BY 1
    MINVALUE 0
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_recomendacao_id_recomendacao_seq OWNER TO postgres;

--
-- TOC entry 2111 (class 0 OID 0)
-- Dependencies: 187
-- Name: sel_recomendacao_id_recomendacao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_recomendacao_id_recomendacao_seq OWNED BY sel_recomendacao.id_recomendacao;


--
-- TOC entry 188 (class 1259 OID 24819)
-- Name: sel_resultado_criterio; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_resultado_criterio (
    id_resultado_criterio integer NOT NULL,
    nu_criterio bigint NOT NULL,
    nu_erros bigint NOT NULL,
    nu_itens bigint NOT NULL,
    id_resultado_rescomendacao integer NOT NULL
);


ALTER TABLE public.sel_resultado_criterio OWNER TO postgres;

--
-- TOC entry 189 (class 1259 OID 24822)
-- Name: sel_resultado_criterio_id_resultado_criterio_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_resultado_criterio_id_resultado_criterio_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_resultado_criterio_id_resultado_criterio_seq OWNER TO postgres;

--
-- TOC entry 2112 (class 0 OID 0)
-- Dependencies: 189
-- Name: sel_resultado_criterio_id_resultado_criterio_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_resultado_criterio_id_resultado_criterio_seq OWNED BY sel_resultado_criterio.id_resultado_criterio;


--
-- TOC entry 190 (class 1259 OID 24824)
-- Name: sel_resultado_criterio_id_resultado_rescomendacao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_resultado_criterio_id_resultado_rescomendacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_resultado_criterio_id_resultado_rescomendacao_seq OWNER TO postgres;

--
-- TOC entry 2113 (class 0 OID 0)
-- Dependencies: 190
-- Name: sel_resultado_criterio_id_resultado_rescomendacao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_resultado_criterio_id_resultado_rescomendacao_seq OWNED BY sel_resultado_criterio.id_resultado_rescomendacao;


--
-- TOC entry 191 (class 1259 OID 24826)
-- Name: sel_resultado_recomendacao; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_resultado_recomendacao (
    id_resultado_recomendacao integer NOT NULL,
    nu_recomendacao bigint NOT NULL,
    nu_total_avisos bigint,
    nu_total_erros bigint NOT NULL,
    id_avaliacao integer NOT NULL
);


ALTER TABLE public.sel_resultado_recomendacao OWNER TO postgres;

--
-- TOC entry 192 (class 1259 OID 24829)
-- Name: sel_resultado_recomendacao_id_avaliacao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_resultado_recomendacao_id_avaliacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_resultado_recomendacao_id_avaliacao_seq OWNER TO postgres;

--
-- TOC entry 2114 (class 0 OID 0)
-- Dependencies: 192
-- Name: sel_resultado_recomendacao_id_avaliacao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_resultado_recomendacao_id_avaliacao_seq OWNED BY sel_resultado_recomendacao.id_avaliacao;


--
-- TOC entry 193 (class 1259 OID 24831)
-- Name: sel_resultado_recomendacao_id_resultado_recomendacao_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_resultado_recomendacao_id_resultado_recomendacao_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_resultado_recomendacao_id_resultado_recomendacao_seq OWNER TO postgres;

--
-- TOC entry 2115 (class 0 OID 0)
-- Dependencies: 193
-- Name: sel_resultado_recomendacao_id_resultado_recomendacao_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_resultado_recomendacao_id_resultado_recomendacao_seq OWNED BY sel_resultado_recomendacao.id_resultado_recomendacao;


--
-- TOC entry 194 (class 1259 OID 24833)
-- Name: sel_tipo_teste; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_tipo_teste (
    id_tipo_teste integer NOT NULL,
    nu_maximo_teste bigint NOT NULL,
    ds_tipo character varying(255) NOT NULL,
    ds_tipo_teste character varying(1000) NOT NULL
);


ALTER TABLE public.sel_tipo_teste OWNER TO postgres;

--
-- TOC entry 195 (class 1259 OID 24839)
-- Name: sel_tipo_teste_id_tipo_teste_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_tipo_teste_id_tipo_teste_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_tipo_teste_id_tipo_teste_seq OWNER TO postgres;

--
-- TOC entry 2116 (class 0 OID 0)
-- Dependencies: 195
-- Name: sel_tipo_teste_id_tipo_teste_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_tipo_teste_id_tipo_teste_seq OWNED BY sel_tipo_teste.id_tipo_teste;


--
-- TOC entry 196 (class 1259 OID 24841)
-- Name: sel_url; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_url (
    id_url integer NOT NULL,
    ds_url character varying(255) NOT NULL
);


ALTER TABLE public.sel_url OWNER TO postgres;

--
-- TOC entry 197 (class 1259 OID 24844)
-- Name: sel_url_id_url_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_url_id_url_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_url_id_url_seq OWNER TO postgres;

--
-- TOC entry 2117 (class 0 OID 0)
-- Dependencies: 197
-- Name: sel_url_id_url_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_url_id_url_seq OWNED BY sel_url.id_url;


--
-- TOC entry 198 (class 1259 OID 24848)
-- Name: sel_usuario; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sel_usuario (
    id_usuario integer NOT NULL,
    ds_chave_alteracao_senha character varying(255),
    nu_cpf character varying(255) NOT NULL,
    ds_email character varying(255) NOT NULL,
    no_usuario character varying(255) NOT NULL,
    senha character varying(255) NOT NULL,
    id_grupo integer NOT NULL
);


ALTER TABLE public.sel_usuario OWNER TO postgres;

--
-- TOC entry 199 (class 1259 OID 24854)
-- Name: sel_usuario_id_usuario_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sel_usuario_id_usuario_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sel_usuario_id_usuario_seq OWNER TO postgres;

--
-- TOC entry 2118 (class 0 OID 0)
-- Dependencies: 199
-- Name: sel_usuario_id_usuario_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sel_usuario_id_usuario_seq OWNED BY sel_usuario.id_usuario;


--
-- TOC entry 2003 (class 2604 OID 24856)
-- Name: id_avaliacao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_avaliacao ALTER COLUMN id_avaliacao SET DEFAULT nextval('sel_avaliacao_id_avaliacao_seq'::regclass);


--
-- TOC entry 2004 (class 2604 OID 24857)
-- Name: id_parametro_calculo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_avaliacao ALTER COLUMN id_parametro_calculo SET DEFAULT nextval('sel_avaliacao_id_parametro_calculo_seq'::regclass);


--
-- TOC entry 2005 (class 2604 OID 24858)
-- Name: id_url; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_avaliacao ALTER COLUMN id_url SET DEFAULT nextval('sel_avaliacao_id_url_seq'::regclass);


--
-- TOC entry 2006 (class 2604 OID 24859)
-- Name: id_criterio; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_criterio ALTER COLUMN id_criterio SET DEFAULT nextval('sel_criterio_id_criterio_seq'::regclass);


--
-- TOC entry 2007 (class 2604 OID 24860)
-- Name: id_faixa; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_faixa ALTER COLUMN id_faixa SET DEFAULT nextval('sel_faixa_id_faixa_seq'::regclass);


--
-- TOC entry 2008 (class 2604 OID 24861)
-- Name: id_grupo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_grupo ALTER COLUMN id_grupo SET DEFAULT nextval('sel_grupo_id_grupo_seq'::regclass);


--
-- TOC entry 2009 (class 2604 OID 24862)
-- Name: id_parametro_calculo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_parametro_calculo ALTER COLUMN id_parametro_calculo SET DEFAULT nextval('sel_parametro_calculo_id_parametro_calculo_seq'::regclass);


--
-- TOC entry 2010 (class 2604 OID 24863)
-- Name: id_usuario; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_parametro_calculo ALTER COLUMN id_usuario SET DEFAULT nextval('sel_parametro_avaliacao_id_usuario_seq'::regclass);


--
-- TOC entry 2011 (class 2604 OID 24864)
-- Name: id_permissao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_permissao ALTER COLUMN id_permissao SET DEFAULT nextval('sel_permissao_id_permissao_seq'::regclass);


--
-- TOC entry 2012 (class 2604 OID 24865)
-- Name: id_recomendacao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_recomendacao ALTER COLUMN id_recomendacao SET DEFAULT nextval('sel_recomendacao_id_recomendacao_seq'::regclass);


--
-- TOC entry 2013 (class 2604 OID 24866)
-- Name: id_parametro_calculo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_recomendacao ALTER COLUMN id_parametro_calculo SET DEFAULT nextval('sel_recomendacao_id_parametro_calculo_seq'::regclass);


--
-- TOC entry 2014 (class 2604 OID 24867)
-- Name: id_resultado_criterio; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_criterio ALTER COLUMN id_resultado_criterio SET DEFAULT nextval('sel_resultado_criterio_id_resultado_criterio_seq'::regclass);


--
-- TOC entry 2015 (class 2604 OID 24868)
-- Name: id_resultado_rescomendacao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_criterio ALTER COLUMN id_resultado_rescomendacao SET DEFAULT nextval('sel_resultado_criterio_id_resultado_rescomendacao_seq'::regclass);


--
-- TOC entry 2016 (class 2604 OID 24869)
-- Name: id_resultado_recomendacao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_recomendacao ALTER COLUMN id_resultado_recomendacao SET DEFAULT nextval('sel_resultado_recomendacao_id_resultado_recomendacao_seq'::regclass);


--
-- TOC entry 2017 (class 2604 OID 24870)
-- Name: id_avaliacao; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_recomendacao ALTER COLUMN id_avaliacao SET DEFAULT nextval('sel_resultado_recomendacao_id_avaliacao_seq'::regclass);


--
-- TOC entry 2018 (class 2604 OID 24871)
-- Name: id_tipo_teste; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_tipo_teste ALTER COLUMN id_tipo_teste SET DEFAULT nextval('sel_tipo_teste_id_tipo_teste_seq'::regclass);


--
-- TOC entry 2019 (class 2604 OID 24872)
-- Name: id_url; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_url ALTER COLUMN id_url SET DEFAULT nextval('sel_url_id_url_seq'::regclass);


--
-- TOC entry 2020 (class 2604 OID 24874)
-- Name: id_usuario; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_usuario ALTER COLUMN id_usuario SET DEFAULT nextval('sel_usuario_id_usuario_seq'::regclass);


--
-- TOC entry 2119 (class 0 OID 0)
-- Dependencies: 168
-- Name: hibernate_sequence; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('hibernate_sequence', 326, true);


--
-- TOC entry 2062 (class 0 OID 24773)
-- Dependencies: 169
-- Data for Name: sel_avaliacao; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_avaliacao (id_avaliacao, ts_avaliacao, qtde_linhas, id_parametro_calculo, id_url, nu_nota) FROM stdin;
\.


--
-- TOC entry 2120 (class 0 OID 0)
-- Dependencies: 170
-- Name: sel_avaliacao_id_avaliacao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_avaliacao_id_avaliacao_seq', 1, false);


--
-- TOC entry 2121 (class 0 OID 0)
-- Dependencies: 171
-- Name: sel_avaliacao_id_parametro_calculo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_avaliacao_id_parametro_calculo_seq', 1, false);


--
-- TOC entry 2122 (class 0 OID 0)
-- Dependencies: 172
-- Name: sel_avaliacao_id_url_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_avaliacao_id_url_seq', 1, false);


--
-- TOC entry 2066 (class 0 OID 24782)
-- Dependencies: 173
-- Data for Name: sel_criterio; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_criterio (id_criterio, ds_descricao, vl_peso, id_recomendacao, id_tipo_teste, nu_criterio, lo_erro, ds_requisito, lo_verificacao_automatica) FROM stdin;
1	Não foram respeitados os Padrões Web HTML	3	1	3	1	t	\N	t
2	Não foram respeitados os Padrões Web CSS	1	1	3	2	t	\N	t
3	Presença de CSS(s) in-line	1	1	2	3	t	\N	t
4	Presença de CSS(s) interno	1	1	2	4	t	\N	t
5	Presença de javascript(s) in-line	1	1	2	5	t	\N	t
6	Presença de javascript(s) interno	1	1	2	6	t	\N	t
8	Presença de tags HTML sem atributo e conteúdo de texto.	1	2	2	2	t	\N	t
9	Presença de tags HTML sem atributo e conteúdo de texto.	1	2	2	3	t	\N	t
10	Os níveis de título não foram utilizados	1	3	2	1	t	\N	t
11	A hierarquia dos níveis de título está incorreta	5	3	2	2	t	\N	t
13	Foi utilizado somente o nível h1	4	3	2	4	t	\N	t
14	Foram utilizados níveis de título, mas o h1 não é o título principal da página	3	3	2	5	t	\N	t
15	Presença de mais de 1 cabeçalho <h1>	1	3	2	7	t	\N	t
7	Elementos utilizados de forma não semântica	2	2	2	1	t	\N	t
12	Títulos utilizados para elementos que não são títulos reais no conteúdo	1	3	2	3	t	\N	t
16	Imagens com conteúdo sem descrição	3	20	4	1	t	\N	t
17	Imagens com descrição inadequada	4	20	4	2	t	\N	t
18	Presença de tags HTML sem atributo e conteúdo de texto.	1	47	2	2	t	\N	t
19	Presença de tags HTML sem atributo e conteúdo de texto.	1	47	2	3	t	\N	t
20	Elementos utilizados de forma não semântica	2	47	2	1	t	\N	t
23	Presença de CSS(s) in-line	1	89	2	3	t	\N	t
24	Presença de CSS(s) interno	1	89	2	4	t	\N	t
25	Presença de javascript(s) in-line	1	89	2	5	t	\N	t
26	Presença de javascript(s) interno	1	89	2	6	t	\N	t
27	Os níveis de título não foram utilizados	1	90	2	1	t	\N	t
28	A hierarquia dos níveis de título está incorreta	5	90	2	2	t	\N	t
29	Foi utilizado somente o nível h1	4	90	2	4	t	\N	t
30	Foram utilizados níveis de título, mas o h1 não é o título principal da página	3	90	2	5	t	\N	t
31	Presença de mais de 1 cabeçalho <h1>	1	90	2	7	t	\N	t
32	Títulos utilizados para elementos que não são títulos reais no conteúdo	1	90	2	3	t	\N	t
33	Imagens com conteúdo sem descrição	3	91	4	1	t	\N	t
34	Imagens com descrição inadequada	4	91	4	2	t	\N	t
49	Teste de Verdadeiro	5	48	1	1	t	\N	t
21	Não foram respeitados os Padrões Web HTML	2	89	3	1	t	\N	t
22	Não foram respeitados os Padrões Web CSs	1	89	3	2	t	\N	t
116	Presença de CSS(s) in-line	1	317	2	3	t	\N	t
117	Presença de CSS(s) interno	1	317	2	4	t	\N	t
118	Presença de javascript(s) in-line	1	317	2	5	t	\N	t
119	Presença de javascript(s) interno	1	317	2	6	t	\N	t
121	Não foram respeitados os Padrões Web CSs	1	317	3	2	t	\N	t
122	Presença de tags HTML sem atributo e conteúdo de texto.	1	318	2	2	t	\N	t
123	Presença de tags HTML sem atributo e conteúdo de texto.	1	318	2	3	t	\N	t
124	Elementos utilizados de forma não semântica	2	318	2	1	t	\N	t
125	Os níveis de título não foram utilizados	1	319	2	1	t	\N	t
126	A hierarquia dos níveis de título está incorreta	5	319	2	2	t	\N	t
127	Foi utilizado somente o nível h1	4	319	2	4	t	\N	t
128	Foram utilizados níveis de título, mas o h1 não é o título principal da página	3	319	2	5	t	\N	t
129	Presença de mais de 1 cabeçalho <h1>	1	319	2	7	t	\N	t
130	Títulos utilizados para elementos que não são títulos reais no conteúdo	1	319	2	3	t	\N	t
132	Imagens com conteúdo sem descrição	3	336	4	1	t	\N	t
133	Imagens com descrição inadequada	4	336	4	2	t	\N	t
120	Não foram respeitados os Padrões Web HTML	3	317	3	1	t	\N	t
\.


--
-- TOC entry 2123 (class 0 OID 0)
-- Dependencies: 174
-- Name: sel_criterio_id_criterio_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_criterio_id_criterio_seq', 167, true);


--
-- TOC entry 2068 (class 0 OID 24787)
-- Dependencies: 175
-- Data for Name: sel_faixa; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_faixa (id_faixa, nu_faixa, ds_faixa, nu_faixa_fim, nu_faixa_inicio, nu_percentual_conformidade, id_criterio) FROM stdin;
13	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	3
19	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	4
25	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	5
31	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	6
37	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	7
43	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	8
49	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	9
55	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	10
61	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	11
67	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	12
1	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	1
7	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	2
73	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	13
79	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	14
85	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	15
2	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	1
3	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	1
4	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	1
5	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	1
6	6	Quantidade muito grande de erros	100000	0.090999999999999998	0	1
8	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	2
9	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	2
10	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	2
11	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	2
12	6	Quantidade muito grande de erros	100000	0.090999999999999998	0	2
91	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	18
92	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	19
93	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	20
94	6	Quantidade muito grande de erros	100000	0.090999999999999998	0	21
95	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	21
96	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	21
97	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	21
98	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	21
99	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	21
101	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	22
102	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	22
103	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	22
104	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	22
105	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	22
106	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	23
107	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	24
108	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	25
109	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	26
110	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	27
111	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	28
112	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	29
113	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	30
114	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	31
115	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	32
100	6	Quantidade muito grande de erroS	100000	0.090999999999999998	0	22
210	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	116
211	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	117
212	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	118
213	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	119
214	6	Quantidade muito grande de erros	100000	0.090999999999999998	0	120
215	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	120
216	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	120
217	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	120
218	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	120
219	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	120
220	6	Quantidade muito grande de erroS	100000	0.090999999999999998	0	121
221	5	Quantidade grande de erros	0.089999999999999997	0.050999999999999997	0.14999999999999999	121
222	4	Quantidade média de erros	0.050000000000000003	0.021000000000000001	0.29999999999999999	121
223	3	Quantidade pequena de erros	0.02	0.010999999999999999	0.59999999999999998	121
224	2	Quantidade muito pequena de erros	0.01	0.001	0.84999999999999998	121
225	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	121
226	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	122
227	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	123
228	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	124
229	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	125
230	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	126
231	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	127
232	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	128
233	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	129
234	1	Não existe erro na recomendação. A recomendação foi cumprida em sua totalidade.	0	0	1	130
\.


--
-- TOC entry 2124 (class 0 OID 0)
-- Dependencies: 176
-- Name: sel_faixa_id_faixa_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_faixa_id_faixa_seq', 284, true);


--
-- TOC entry 2070 (class 0 OID 24792)
-- Dependencies: 177
-- Data for Name: sel_grupo; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_grupo (id_grupo, no_grupo) FROM stdin;
1	Administrador
\.


--
-- TOC entry 2125 (class 0 OID 0)
-- Dependencies: 178
-- Name: sel_grupo_id_grupo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_grupo_id_grupo_seq', 2, true);


--
-- TOC entry 2072 (class 0 OID 24797)
-- Dependencies: 179
-- Data for Name: sel_grupo_permissao; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_grupo_permissao (id_grupo, id_permissao) FROM stdin;
1	43
1	24
1	59
1	50
1	53
1	39
1	51
1	20
1	30
1	32
1	61
1	3
1	52
1	55
1	9
1	57
1	29
1	10
1	48
1	34
1	60
1	6
1	25
1	54
1	35
1	21
1	22
1	7
1	4
1	23
1	63
1	40
1	56
1	28
1	5
1	62
1	26
1	41
1	46
1	31
1	45
1	33
1	2
1	27
1	1
1	44
1	47
1	8
1	58
1	49
\.


--
-- TOC entry 2126 (class 0 OID 0)
-- Dependencies: 181
-- Name: sel_parametro_avaliacao_id_usuario_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_parametro_avaliacao_id_usuario_seq', 1, false);


--
-- TOC entry 2073 (class 0 OID 24800)
-- Dependencies: 180
-- Data for Name: sel_parametro_calculo; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_parametro_calculo (id_parametro_calculo, ts_fim, ts_inicio, id_usuario, ds_descricao) FROM stdin;
1	2014-07-24 06:33:07.045	2014-06-27 20:45:31.888	1	e-Mag 1.0
4	2014-11-07 09:39:04.868	2014-07-24 06:33:07.045	1	e-Mag 2.2
12	\N	2014-11-07 09:39:04.868	1	Cenário BASE do modelo de cálculo
\.


--
-- TOC entry 2127 (class 0 OID 0)
-- Dependencies: 182
-- Name: sel_parametro_calculo_id_parametro_calculo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_parametro_calculo_id_parametro_calculo_seq', 14, true);


--
-- TOC entry 2076 (class 0 OID 24807)
-- Dependencies: 183
-- Data for Name: sel_permissao; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_permissao (id_permissao, ds_permissao) FROM stdin;
20	USUARIOS_ATUALIZAR
21	USUARIOS_ADICIONAR
22	USUARIOS_LISTA
23	USUARIOS_EXCLUIR
24	AVALIACOES_LISTA
25	AVALIACOES_AVALIACAO
26	AVALIACOES_RESULTADO
27	PERMISSOES_LISTA
28	PERMISSOES_SINCRONIZAR
29	GRUPOS_ATUALIZAR
30	GRUPOS_ADICIONAR
31	GRUPOS_EXCLUIR
32	GRUPOS_LISTA
33	DIRETRIZ_ADICIONAR
34	DIRETRIZ_ATUALIZAR
35	DIRETRIZ_LISTA
39	PAINEL
40	URL_LISTA
41	URL_ADICIONAR
43	DIRETRIZ_EXCLUIR
44	TIPOS_CONFORMIDADE_LISTA
45	TIPOS_CONFORMIDADE_EXCLUIR
46	TIPOS_CONFORMIDADE_ATUALIZAR
47	TIPOS_CONFORMIDADE_ADICIONAR
48	CONFORMIDADES_LISTA
49	CONFORMIDADES_EXCLUIR
50	CONFORMIDADES_ATUALIZAR
51	CONFORMIDADES_ADICIONAR
52	RECOMENDACAO_LISTA
53	RECOMENDACAO_EXCLUIR
54	RECOMENDACAO_ATUALIZAR
55	RECOMENDACAO_ADICIONAR
56	TIPOS_RECOMENDACAO_LISTA
57	TIPOS_RECOMENDACAO_EXCLUIR
58	TIPOS_RECOMENDACAO_ATUALIZAR
59	TIPOS_RECOMENDACAO_ADICIONAR
60	TIPOS_TESTELISTA
61	TIPOS_TESTE_ATUALIZAR
62	TIPOS_TESTE_ADICIONAR
63	TIPOS_TESTE_EXCLUIR
1	CRITERIO_ATUALIZAR
2	CRITERIO_ADICIONAR
3	CRITERIO_EXCLUIR
4	CRITERIO_LISTA
5	PARAMETRO_CALCULO_LISTA
6	PARAMETRO_CALCULO_ADICIONAR
7	PARAMETRO_CALCULO_ATUALIZAR
8	PARAMETRO_CALCULO_EXCLUIR
9	PARAMETRO_CALCULO_RELATORIO
10	PARAMETRO_CALCULO_ATIVAR
\.


--
-- TOC entry 2128 (class 0 OID 0)
-- Dependencies: 184
-- Name: sel_permissao_id_permissao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_permissao_id_permissao_seq', 10, true);


--
-- TOC entry 2078 (class 0 OID 24812)
-- Dependencies: 185
-- Data for Name: sel_recomendacao; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_recomendacao (id_recomendacao, ds_descricao, nu_recomendacao, vl_peso, id_parametro_calculo) FROM stdin;
2	Organizar o código HTML de forma lógica e semântica	2	1	1
4	Ordenar de forma lógica e intuitiva a leitura e tabulação	4	1	1
5	Disponibilizar todas as funções da página via teclado	5	1	1
6	Fornecer âncoras para ir direto a um bloco de conteúdo	6	1	1
7	Não utilizar tabelas para diagramação	7	1	1
8	Separar links adjacentes	8	1	1
9	Não abrir novas instâncias sem a solicitação do usuário	9	1	1
10	Garantir que os objetos programáveis sejam acessíveis	10	1	1
11	Não criar páginas com atualização automática periódica	11	1	1
12	Não utilizar redirecionamento automático de páginas	12	1	1
13	Fornecer alternativa para modificar limite de tempo	13	1	1
14	Não incluir situações com intermitência de tela	14	1	1
15	Assegurar o controle do usuário sobre as alterações temporais do conteúdo	15	1	1
16	Identificar o idioma principal da página	16	1	1
17	Oferecer um título descritivo e informativo à página	17	1	1
18	Informar o usuário sobre sua localização na página	18	1	1
19	Descrever links clara e sucintamente	19	1	1
21	Utilizar mapas de imagem de forma acessível	21	1	1
22	Disponibilizar documentos em formatos acessíveis	22	1	1
23	Em tabelas, utilizar títulos e resumos de forma apropriada	23	1	1
24	Associar células de dados às células de cabeçalho	24	1	1
25	Garantir a leitura e compreensão das informações	25	1	1
26	Disponibilizar uma explicação para siglas, abreviaturas e palavras incomuns	26	1	1
27	Informar mudança de idioma no conteúdo	27	1	1
28	Oferecer contraste mínimo entre plano de fundo e primeiro plano	28	1	1
29	Não utilizar apenas cor ou outras características sensoriais para diferenciar elementos	29	1	1
30	Permitir redimensionamento sem perda de funcionalidade	30	1	1
31	Dividir as áreas de informação	31	1	1
32	Possibilitar que o elemento com foco seja visualmente evidente	32	1	1
33	Fornecer alternativa para vídeo	33	1	1
34	Fornecer alternativa para áudio	34	1	1
35	Oferecer audiodescrição para vídeo pré-gravado	35	1	1
36	Fornecer controle de áudio para som	36	1	1
37	Fornecer controle de animação	37	1	1
38	Fornecer alternativa em texto para os botões de imagem de formulários	38	1	1
39	Associar etiquetas aos seus campos	39	1	1
40	Estabelecer uma ordem lógica de navegação	40	1	1
41	Não provocar automaticamente alteração no contexto	41	1	1
42	Identificar e descrever erros de entrada de dados e confirmar o envio das informações	42	1	1
43	Identificar e descrever erros de entrada de dados	43	1	1
44	Agrupar campos de formulário	44	1	1
45	Fornecer estratégias de segurança específicas ao invés de CAPTCHA	45	1	1
1	Respeitar os padrões web	1	3	1
3	Utilizar corretamente os níveis de cabeçalho	3	2	1
20	Fornecer alternativa em texto para as imagens do sítio	20	3	1
48	Ordenar de forma lógica e intuitiva a leitura e tabulação	4	1	4
49	Disponibilizar todas as funções da página via teclado	5	1	4
50	Fornecer âncoras para ir direto a um bloco de conteúdo	6	1	4
51	Não utilizar tabelas para diagramação	7	1	4
52	Separar links adjacentes	8	1	4
53	Não abrir novas instâncias sem a solicitação do usuário	9	1	4
54	Garantir que os objetos programáveis sejam acessíveis	10	1	4
55	Não criar páginas com atualização automática periódica	11	1	4
56	Não utilizar redirecionamento automático de páginas	12	1	4
57	Fornecer alternativa para modificar limite de tempo	13	1	4
58	Não incluir situações com intermitência de tela	14	1	4
59	Assegurar o controle do usuário sobre as alterações temporais do conteúdo	15	1	4
60	Identificar o idioma principal da página	16	1	4
61	Oferecer um título descritivo e informativo à página	17	1	4
62	Informar o usuário sobre sua localização na página	18	1	4
63	Descrever links clara e sucintamente	19	1	4
64	Utilizar mapas de imagem de forma acessível	21	1	4
65	Disponibilizar documentos em formatos acessíveis	22	1	4
66	Em tabelas, utilizar títulos e resumos de forma apropriada	23	1	4
67	Associar células de dados às células de cabeçalho	24	1	4
68	Garantir a leitura e compreensão das informações	25	1	4
69	Disponibilizar uma explicação para siglas, abreviaturas e palavras incomuns	26	1	4
70	Informar mudança de idioma no conteúdo	27	1	4
47	Organizar o código HTML de forma lógica e semântica.	2	1	4
71	Oferecer contraste mínimo entre plano de fundo e primeiro plano	28	1	4
72	Não utilizar apenas cor ou outras características sensoriais para diferenciar elementos	29	1	4
73	Permitir redimensionamento sem perda de funcionalidade	30	1	4
74	Dividir as áreas de informação	31	1	4
75	Possibilitar que o elemento com foco seja visualmente evidente	32	1	4
76	Fornecer alternativa para vídeo	33	1	4
77	Fornecer alternativa para áudio	34	1	4
78	Oferecer audiodescrição para vídeo pré-gravado	35	1	4
79	Fornecer controle de áudio para som	36	1	4
80	Fornecer controle de animação	37	1	4
81	Fornecer alternativa em texto para os botões de imagem de formulários	38	1	4
82	Associar etiquetas aos seus campos	39	1	4
83	Estabelecer uma ordem lógica de navegação	40	1	4
84	Não provocar automaticamente alteração no contexto	41	1	4
85	Identificar e descrever erros de entrada de dados e confirmar o envio das informações	42	1	4
86	Identificar e descrever erros de entrada de dados	43	1	4
87	Agrupar campos de formulário	44	1	4
88	Fornecer estratégias de segurança específicas ao invés de CAPTCHA	45	1	4
90	Utilizar corretamente os níveis de cabeçalho	3	2	4
91	Fornecer alternativa em texto para as imagens do sítio	20	3	4
89	Respeitar os padrões webS	1	3	4
317	Respeitar os padrões webS	1	3	12
318	Organizar o código HTML de forma lógica e semântica.	2	1	12
319	Utilizar corretamente os níveis de cabeçalho	3	2	12
336	Fornecer alternativa em texto para as imagens do sítio	20	3	12
\.


--
-- TOC entry 2129 (class 0 OID 0)
-- Dependencies: 186
-- Name: sel_recomendacao_id_parametro_calculo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_recomendacao_id_parametro_calculo_seq', 135, true);


--
-- TOC entry 2130 (class 0 OID 0)
-- Dependencies: 187
-- Name: sel_recomendacao_id_recomendacao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_recomendacao_id_recomendacao_seq', 410, true);


--
-- TOC entry 2081 (class 0 OID 24819)
-- Dependencies: 188
-- Data for Name: sel_resultado_criterio; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_resultado_criterio (id_resultado_criterio, nu_criterio, nu_erros, nu_itens, id_resultado_rescomendacao) FROM stdin;
\.


--
-- TOC entry 2131 (class 0 OID 0)
-- Dependencies: 189
-- Name: sel_resultado_criterio_id_resultado_criterio_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_resultado_criterio_id_resultado_criterio_seq', 1, false);


--
-- TOC entry 2132 (class 0 OID 0)
-- Dependencies: 190
-- Name: sel_resultado_criterio_id_resultado_rescomendacao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_resultado_criterio_id_resultado_rescomendacao_seq', 1, false);


--
-- TOC entry 2084 (class 0 OID 24826)
-- Dependencies: 191
-- Data for Name: sel_resultado_recomendacao; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_resultado_recomendacao (id_resultado_recomendacao, nu_recomendacao, nu_total_avisos, nu_total_erros, id_avaliacao) FROM stdin;
\.


--
-- TOC entry 2133 (class 0 OID 0)
-- Dependencies: 192
-- Name: sel_resultado_recomendacao_id_avaliacao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_resultado_recomendacao_id_avaliacao_seq', 1, false);


--
-- TOC entry 2134 (class 0 OID 0)
-- Dependencies: 193
-- Name: sel_resultado_recomendacao_id_resultado_recomendacao_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_resultado_recomendacao_id_resultado_recomendacao_seq', 1, false);


--
-- TOC entry 2087 (class 0 OID 24833)
-- Dependencies: 194
-- Data for Name: sel_tipo_teste; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_tipo_teste (id_tipo_teste, nu_maximo_teste, ds_tipo, ds_tipo_teste) FROM stdin;
1	1	Verdadeiro	Verifica uma condição. Teste é contabilizado quando a condição, em prol da acessibilidade, é verdadeira. O critério submetido a um teste deste tipo ganhará nota 0 caso o erro seja constatado, ou seja, não satisfaça a condição VERDADEIRA desejada.
2	1	Falso	Verifica uma condição. Teste é contabilizado quando a condição, em prol da acessibilidade, é falsa. O critério submetido a um teste deste tipo ganhará nota 0 caso o erro seja constatado, ou seja, não satisfaça a condição FALSA desejada.
3	1	Decrescente\n	considera o todo. Há uma quantificação e verificação de sua extensão em faixa pré-definidas de ocorrências. O critério submetido a um teste deste tipo deve apresentar um conjunto de faixas de conformidade, de acordo com a quantidade de erros encontrados. Essas faixas deverão corresponder a porcentagens, que, posteriormente, serão multiplicadas pelo peso do critério para fornecer a nota final do critério em questão.
4	1	Proporcional	Considera-se o todo de um certo tipo de elemento e verifica-se entre os elementos quais apresentam erros estabelecendo a proporção entre o número de elementos com erros e total de elementos avaliados. Este tipo de teste diferencia-se do DESCRESCENTE uma vez que no decrescente avalia-se dimensões de natureza diferentes, por exemplo TOTAL DE LINHAS CODIFICADAS e número de erros HTML encontrados estabelecendo relações de faixas para verificar a extensão do erro, enquanto que no proporcional avalia-se dimensões da mesma natureza e a extensão do erro e estabelecida diretamente sem a necessidade de correlação. 
\.


--
-- TOC entry 2135 (class 0 OID 0)
-- Dependencies: 195
-- Name: sel_tipo_teste_id_tipo_teste_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_tipo_teste_id_tipo_teste_seq', 1, false);


--
-- TOC entry 2089 (class 0 OID 24841)
-- Dependencies: 196
-- Data for Name: sel_url; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_url (id_url, ds_url) FROM stdin;
1	www.teste.com.br
2	http://www.teste.com.br
323	www.teste8888.com.br
\.


--
-- TOC entry 2136 (class 0 OID 0)
-- Dependencies: 197
-- Name: sel_url_id_url_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_url_id_url_seq', 2, true);


--
-- TOC entry 2091 (class 0 OID 24848)
-- Dependencies: 198
-- Data for Name: sel_usuario; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sel_usuario (id_usuario, ds_chave_alteracao_senha, nu_cpf, ds_email, no_usuario, senha, id_grupo) FROM stdin;
1	\N	00011122234	w	Administrador do Sistema	bce7c66ef30116d4ae1bb3739748aef84d70d00a168f3cff01b9a4d36a140e19d0b205d3a3afa175e27835395f39a6bbdb7a3c1ecbf212d90e741c4bf3615538	1
3	\N	34345345345	00011122234	Administrador do Sistema	bce7c66ef30116d4ae1bb3739748aef84d70d00a168f3cff01b9a4d36a140e19d0b205d3a3afa175e27835395f39a6bbdb7a3c1ecbf212d90e741c4bf3615538	1
\.


--
-- TOC entry 2137 (class 0 OID 0)
-- Dependencies: 199
-- Name: sel_usuario_id_usuario_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sel_usuario_id_usuario_seq', 3, true);


--
-- TOC entry 2022 (class 2606 OID 24876)
-- Name: sel_avaliacao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_avaliacao
    ADD CONSTRAINT sel_avaliacao_pkey PRIMARY KEY (id_avaliacao);


--
-- TOC entry 2024 (class 2606 OID 24878)
-- Name: sel_criterio_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_criterio
    ADD CONSTRAINT sel_criterio_pkey PRIMARY KEY (id_criterio);


--
-- TOC entry 2026 (class 2606 OID 24880)
-- Name: sel_faixa_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_faixa
    ADD CONSTRAINT sel_faixa_pkey PRIMARY KEY (id_faixa);


--
-- TOC entry 2028 (class 2606 OID 24882)
-- Name: sel_grupo_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_grupo
    ADD CONSTRAINT sel_grupo_pkey PRIMARY KEY (id_grupo);


--
-- TOC entry 2030 (class 2606 OID 24884)
-- Name: sel_parametro_avaliacao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_parametro_calculo
    ADD CONSTRAINT sel_parametro_avaliacao_pkey PRIMARY KEY (id_parametro_calculo);


--
-- TOC entry 2032 (class 2606 OID 24886)
-- Name: sel_permissao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_permissao
    ADD CONSTRAINT sel_permissao_pkey PRIMARY KEY (id_permissao);


--
-- TOC entry 2034 (class 2606 OID 24888)
-- Name: sel_recomendacao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_recomendacao
    ADD CONSTRAINT sel_recomendacao_pkey PRIMARY KEY (id_recomendacao);


--
-- TOC entry 2036 (class 2606 OID 24890)
-- Name: sel_resultado_criterio_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_resultado_criterio
    ADD CONSTRAINT sel_resultado_criterio_pkey PRIMARY KEY (id_resultado_criterio);


--
-- TOC entry 2038 (class 2606 OID 24892)
-- Name: sel_resultado_recomendacao_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_resultado_recomendacao
    ADD CONSTRAINT sel_resultado_recomendacao_pkey PRIMARY KEY (id_resultado_recomendacao);


--
-- TOC entry 2040 (class 2606 OID 24894)
-- Name: sel_tipo_teste_ds_tipo_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_tipo_teste
    ADD CONSTRAINT sel_tipo_teste_ds_tipo_key UNIQUE (ds_tipo);


--
-- TOC entry 2042 (class 2606 OID 24896)
-- Name: sel_tipo_teste_ds_tipo_teste_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_tipo_teste
    ADD CONSTRAINT sel_tipo_teste_ds_tipo_teste_key UNIQUE (ds_tipo_teste);


--
-- TOC entry 2044 (class 2606 OID 24898)
-- Name: sel_tipo_teste_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_tipo_teste
    ADD CONSTRAINT sel_tipo_teste_pkey PRIMARY KEY (id_tipo_teste);


--
-- TOC entry 2046 (class 2606 OID 24900)
-- Name: sel_url_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_url
    ADD CONSTRAINT sel_url_pkey PRIMARY KEY (id_url);


--
-- TOC entry 2048 (class 2606 OID 24902)
-- Name: sel_usuario_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sel_usuario
    ADD CONSTRAINT sel_usuario_pkey PRIMARY KEY (id_usuario);


--
-- TOC entry 2049 (class 2606 OID 24903)
-- Name: fk7ee45ef45734a096; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_avaliacao
    ADD CONSTRAINT fk7ee45ef45734a096 FOREIGN KEY (id_url) REFERENCES sel_url(id_url);


--
-- TOC entry 2051 (class 2606 OID 24908)
-- Name: fk_sel_criterio_sel_recomendacao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_criterio
    ADD CONSTRAINT fk_sel_criterio_sel_recomendacao FOREIGN KEY (id_recomendacao) REFERENCES sel_recomendacao(id_recomendacao);


--
-- TOC entry 2052 (class 2606 OID 24913)
-- Name: fk_sel_criterio_sel_tipo_teste; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_criterio
    ADD CONSTRAINT fk_sel_criterio_sel_tipo_teste FOREIGN KEY (id_tipo_teste) REFERENCES sel_tipo_teste(id_tipo_teste);


--
-- TOC entry 2053 (class 2606 OID 24918)
-- Name: fk_sel_faixa_sel_criterio; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_faixa
    ADD CONSTRAINT fk_sel_faixa_sel_criterio FOREIGN KEY (id_criterio) REFERENCES sel_criterio(id_criterio);


--
-- TOC entry 2054 (class 2606 OID 24923)
-- Name: fk_sel_grupo_permissao_sel_grupo; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_grupo_permissao
    ADD CONSTRAINT fk_sel_grupo_permissao_sel_grupo FOREIGN KEY (id_grupo) REFERENCES sel_grupo(id_grupo);


--
-- TOC entry 2055 (class 2606 OID 24928)
-- Name: fk_sel_grupo_permissao_sel_permissao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_grupo_permissao
    ADD CONSTRAINT fk_sel_grupo_permissao_sel_permissao FOREIGN KEY (id_permissao) REFERENCES sel_permissao(id_permissao);


--
-- TOC entry 2050 (class 2606 OID 24933)
-- Name: fk_sel_parametro_calculo_sel_avaliacao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_avaliacao
    ADD CONSTRAINT fk_sel_parametro_calculo_sel_avaliacao FOREIGN KEY (id_parametro_calculo) REFERENCES sel_parametro_calculo(id_parametro_calculo);


--
-- TOC entry 2057 (class 2606 OID 24938)
-- Name: fk_sel_parametro_calculo_sel_recomendacao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_recomendacao
    ADD CONSTRAINT fk_sel_parametro_calculo_sel_recomendacao FOREIGN KEY (id_parametro_calculo) REFERENCES sel_parametro_calculo(id_parametro_calculo);


--
-- TOC entry 2056 (class 2606 OID 24943)
-- Name: fk_sel_parametro_calculo_sel_usuario; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_parametro_calculo
    ADD CONSTRAINT fk_sel_parametro_calculo_sel_usuario FOREIGN KEY (id_usuario) REFERENCES sel_usuario(id_usuario);


--
-- TOC entry 2059 (class 2606 OID 24948)
-- Name: fk_sel_resultado_recomendacao_sel_avaliacao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_recomendacao
    ADD CONSTRAINT fk_sel_resultado_recomendacao_sel_avaliacao FOREIGN KEY (id_avaliacao) REFERENCES sel_avaliacao(id_avaliacao);


--
-- TOC entry 2058 (class 2606 OID 24953)
-- Name: fk_sel_resultado_sel_avaliacao; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_resultado_criterio
    ADD CONSTRAINT fk_sel_resultado_sel_avaliacao FOREIGN KEY (id_resultado_rescomendacao) REFERENCES sel_resultado_recomendacao(id_resultado_recomendacao);


--
-- TOC entry 2060 (class 2606 OID 24963)
-- Name: fk_sel_usuario_sel_grupo; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sel_usuario
    ADD CONSTRAINT fk_sel_usuario_sel_grupo FOREIGN KEY (id_grupo) REFERENCES sel_grupo(id_grupo);


--
-- TOC entry 2099 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2015-08-30 21:04:47

--
-- PostgreSQL database dump complete
--

