<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/avaliacoes" />"><strong><span class="glyphicon glyphicon-check"></span> Avaliações</strong></a>
		
		<a href="<c:url value="/url" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Avaliação</a>
		
		<br />
		
		<hr />
		
		<form name="pesquisa" class="form-inline" action="<c:url value="/avaliacoes/pesquisa"/>" method="post">
			<div class="form-group">
				<label for="inputNome">Filtrar Por</label>
				<input id="inputNome" name="nUrl" type="text" class="form-control input-sm" required placeholder="Url">
			</div>
			
			<div class="form-group">
				<label for="select">Ordenar por:</label>
				<select id="select" class="form-control input-sm">
					<option>Data</option>
				</select>
			</div>
			
			<input type="hidden" name="paginacao" id="paginacao" value="1">
			<button type="submit" class="btn btn-primary btn-sm" style="margin-top: 24.5px;">Pesquisar</button>
		</form>
		
		<br />

		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="usuariosTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>ID Avaliação</th>
								<th>URL</th>
								<th>Data da Avaliação</th>
								<th>Token</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
						<c:forEach items="${avaliacaoList}" var="avaliacao">
								<tr>
									<td>${avaliacao.id}</td>
									<td>${avaliacao.idUrl.url}</td>
									<td>${avaliacao.dataAvaliacao}</td>
									<td>&nbsp;</td>
									<td>
										<div class="btn-group">
											<a
												href="<c:url value="/avaliacoes/resultado/${avaliacao.id}" />"
												class="btn btn-default btn-sm">Consultar</a>
										</div>
									</td>
								</tr>
							</c:forEach>
					</table>
					${regInic} a ${regFim} de ${registros} registros
				</div>
				
				
				<ul class="pagination">
					<li class="disabled"><a href="#">«</a></li>
					<c:forEach var="i" begin="1" end="${paginas}">
						<li><a href="<c:url value="/avaliacoes/${i}"/>">${i}</a></li>
					</c:forEach>
					<li><a href="#">»</a></li>
				</ul>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>