<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/conformidades" />">
			<strong><span class="glyphicon glyphicon-list-alt"></span> Conformidades</strong>
		</a>

		<hr />

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form name="conformidadesForm" class="form-horizontal" action="<c:url value="/conformidades"/>" method="post">
					<fieldset>
					
						<input type="hidden" name="conformidade.diretriz.id" value="${diretrizId}" />
						
						<div class="form-group">
							<label for="inputFaixaInicio" class="col-lg-2 control-label">Faixa Inicial</label>
							<div class="col-xs-2">
								<input id="inputFaixaInicio" name="conformidade.faixaInicio" type="text" class="form-control required number" placeholder="Faixa Inicial" value="${conformidade.faixaInicio}" min="0" />
							</div>
						</div>
						
						<div class="form-group">
							<label for="inputFaixaFim" class="col-lg-2 control-label">Faixa Final</label>
							<div class="col-xs-2">
								<input id="inputFaixaFim" name="conformidade.faixaFim" type="text" class="form-control required number" placeholder="Faixa Final" value="${conformidade.faixaFim}" min="0" />
							</div>
						</div>
						
						<c:if test="${conformidade.id != null}">
							<input type="hidden" name="conformidade.id" value="${conformidade.id}" />							
							<input type="hidden" name="_method" value="put" />
						</c:if>
						
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<button class="btn btn-default btn-cancel">Cancelar</button>
								<c:if test="${parametroAvaliacao.tsFim == null}">
									<button type="submit" class="btn btn-primary">Salvar</button>
								</c:if>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
		
		<script>
		var quantidadeConformidades = ${quantidadeConformidades};
		</script>
	</tiles:putAttribute>
</tiles:insertTemplate>

