<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/parametrosAvaliacao/atualizar/${parametroAvaliacaoId}"/>"><strong><span class="glyphicon glyphicon-check"></span> Parametros de Avaliação</strong></a>

			<hr />
			
			<h4>Cadastro de Diretriz</h4>
			
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>

			<div class="row">
				<div class="col-md-12">
					<form name="diretrizForm" class="form-horizontal" action="<c:url value="/diretriz"/>" method="post">
						<fieldset>
							<div class="form-group">
								<label for="inputNumero" class="col-lg-2 control-label">Número da Diretriz</label>
								<div class="col-xs-3">
									<input id="inputNumero" name="diretriz.numeroDiretriz" type="number" class="form-control numeric" placeholder="Número da Diretriz" min="0" value="${diretriz.numeroDiretriz}" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label">Descrição</label>
								<div class="col-lg-10">
									<input id="inputDesc" name="diretriz.descricao" type="text" class="form-control" placeholder="Descrição"  value="${diretriz.descricao}" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="inputPeso" class="col-lg-2 control-label">Peso</label>
								<div class="col-xs-3">
									<input id="inputPeso" name="diretriz.peso" type="number" class="form-control numeric" placeholder="Peso"  value="${diretriz.peso}" min="0" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="selectTipoConformidade" class="col-lg-2 control-label">Tipo de Diretriz</label>
								<div class="col-lg-10">
									<select id="selectTipoConformidade" class="form-control required" name="diretriz.tipoDiretriz.id">
										<option value>Selecione</option>
										<c:forEach items="${tipoDiretrizList}" var="tipoDiretriz">
											<c:choose>
												<c:when test="${diretriz.tipoDiretriz.id == tipoDiretriz.id}">
													<option value="${tipoDiretriz.id}" selected>${tipoDiretriz.descricao}</option>
												</c:when>
												<c:otherwise>
													<option value="${tipoDiretriz.id}">${tipoDiretriz.descricao}</option>
												</c:otherwise>
											</c:choose>
										</c:forEach>
									</select>
								</div>
							</div>
							
							<c:if test="${diretriz.id != null}">
							
								<c:if test="${parametroAvaliacao.tsFim == null}">
									<div class="form-group">
										<a id="add-conformidades" href="<c:url value="/conformidades/${diretriz.id}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Conformidade</a>
									</div>
								</c:if>
							
								<div class="form-group">
									<table id="conformidadesTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
										<thead>
											<tr>
												<th class="text-center" colspan="3">Conformidades</th>
											</tr>
											<tr>
												<th>Faixa Inicial</th>
												<th>Faixa Final</th>
												<th>&nbsp;</th>
											</tr>
										</thead>
										<tbody>
											<c:forEach items="${diretriz.conformidades}" var="conformidade">
												<tr>
													<td>${conformidade.faixaInicio}</td>
													<td>${conformidade.faixaFim}</td>
													<td>
														<div class="btn-group">
															<a href="<c:url value="/conformidades/${diretriz.id}/${conformidade.id}" />" class="btn btn-default btn-sm">Consultar</a>
															<c:if test="${parametroAvaliacao.tsFim == null}">
																<a href="<c:url value="/conformidades/delete/${conformidade.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir a conformidade selecionado?">Excluir</a>
															</c:if>
														</div>
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</c:if>
							
							<div class="form-group">
								<input type="hidden" name="diretriz.parametroAvaliacao.id" value="${parametroAvaliacaoId}" />
								<c:if test="${diretriz.id != null}">
									<input type="hidden" name="diretriz.id" value="${diretriz.id}" />
									<input type="hidden" name="_method" value="put" />
								</c:if>
							</div>
																				
							<div class="form-group">
								<div class="col-lg-10 col-lg-offset-2">
									<button class="btn btn-default btn-cancel">Cancelar</button>
									<c:if test="${parametroAvaliacao.tsFim == null}">
										<button type="submit" class="btn btn-primary">Salvar</button>
									</c:if>
								</div>
							</div>
						</fieldset>
					</form>
				</div>
			</div> <!--/row-->
			
			<div class="modal fade" id="modalConformidades" tabindex="-1" role="dialog" aria-labelledby="modalConformidadesLabel" aria-hidden="true">
	  			<div class="modal-dialog modal-sm">
					<div class="modal-content">
						<div class="modal-body">
							<p>Em quantas conformidades o valor máximo da diretriz deve ser dividido?</p>
							
							<div class="form-group">
								<div class="col-xs-3">
									<input id="inputQtdConformidades" type="number" class="form-control numeric" min="0">
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button id="gerar-conformidades" type="button" class="btn btn-primary">Criar</button>
						</div>
					</div>
				</div>
			</div>
			
			<script>
			var urlCadastroConformidades = "<c:url value="/conformidades/gerarForm" />";
			var diretrizId = ${diretriz.id};
			</script>
	</tiles:putAttribute>
</tiles:insertTemplate>