<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/grupos" />">
			<strong><span class="glyphicon glyphicon-check"></span> Grupos</strong>
		</a>

		<hr />

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form name="gruposForm" class="form-horizontal" action="<c:url value="/grupos"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputNome" class="col-lg-2 control-label">Nome</label>
							<div class="col-lg-10">
								<input id="inputNome" name="grupo.nome" type="text" class="form-control required" placeholder="Nome" value="${grupo.nome}" />
							</div>
						</div>
						
						<div class="panel panel-default">
							<div class="panel-heading">Permissões</div>
							
							<div class="panel-body">
								<div class="form-group">
									<c:forEach items="${permissaoList}" var="permissao">
										<div class=" col-sm-6">
											<div class="checkbox">
												<label>
													<c:choose>
														<c:when test="${permissao.marcado}">
															<input type="checkbox" name="grupo.permissoes[].id" value="${permissao.id}" checked="checked" />
														</c:when>
														
														<c:otherwise>
															<input type="checkbox" name="grupo.permissoes[].id" value="${permissao.id}" />
														</c:otherwise>
													</c:choose>
													${permissao.permissao}
												</label>
											</div>
										</div>
									</c:forEach>
								</div>
							</div>
						</div>
						
						<c:if test="${grupo.id != null}">
							<input type="hidden" name="grupo.id" value="${grupo.id}" />
							<input type="hidden" name="_method" value="put" />
						</c:if>
						
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<button class="btn btn-default btn-cancel">Cancelar</button>
								<button type="submit" class="btn btn-primary">Salvar</button>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>