<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/parametrosAvaliacao"/>"><strong><span class="glyphicon glyphicon-check"></span> Parametros de Avaliação</strong></a>

			<hr />
			
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>

			<div class="row">
				<div class="col-md-12">
					<form name="parametroAvalicaoForm" class="form-horizontal" action="<c:url value="/parametrosAvaliacao"/>" method="post">
						<fieldset>
							<div class="form-group">
								<label for="inputNome" class="col-lg-2 control-label">Vigência Inicial</label>
								<div class="col-lg-10">
									<input id="inputVigInicial" name="parametroAvaliacao.tsInicio" type="text" class="form-control" placeholder="Início" ${parametroAvaliacao.id != null ? 'disabled' : ''} value="<fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroAvaliacao.tsInicio}" />" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="inputNome" class="col-lg-2 control-label">Vigência Final</label>
								<div class="col-lg-10">
									<input id="inputVigFinal" name="parametroAvaliacao.tsFim" type="text" class="form-control" placeholder="Fim" value="<fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroAvaliacao.tsFim}" />" disabled >
								</div>
							</div>
							
							<input type="hidden" name="parametroAvaliacao.usuario.id" value="${parametroAvaliacao.usuario.id}" />
							
							<c:if test="${parametroAvaliacao.id != null}">
								<div class="form-group">
									<label for="inputNomeUsuario" class="col-lg-2 control-label">Usuário</label>
									<div class="col-lg-10">
										<input id="inputNomeUsuario" name="parametroAvaliacao.usuario.nome" type="text" class="form-control" value="${parametroAvaliacao.usuario.nome}" disabled />
									</div>
								</div>
								
								<c:if test="${parametroAvaliacao.tsFim == null}">
									<div class="form-group">
										<a href="<c:url value="/diretriz/form/${parametroAvaliacao.id}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Diretriz</a>
									</div>
								</c:if>
								
								<div class="form-group">
									<table id="diretrizTable" class="table table-striped table-bordered table-hover table-condensed">
										<thead>
											<tr>
												<th class="text-center" colspan="4">Diretrizes</th>
											</tr>
											<tr>
												<th>Número</th>
												<th>Peso</th>
												<th>Descrição</th>
												<th>&nbsp;</th>
											</tr>
										</thead>
										<tbody>
											<c:forEach items="${parametroAvaliacao.diretrizes}" var="diretriz">
												<tr>
													<td><a href="<c:url value="/diretriz/form/${diretriz.parametroAvaliacao.id}/${diretriz.id}" />">${diretriz.numeroDiretriz}</a></td>
													<td>${diretriz.peso}</td>
													<td>${diretriz.descricao}</td>
													<td width="30%">
														<div class="btn-group">
															<a href="<c:url value="/diretriz/form/${diretriz.parametroAvaliacao.id}/${diretriz.id}" />" class="btn btn-default btn-sm">Consultar</a>
															<c:if test="${parametroAvaliacao.tsFim == null}">
																<a href="<c:url value="/diretriz/delete/${diretriz.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Um novo Parâmetro de Avaliação será criado a partir do atual. Deseja realmente excluir a diretriz selecionada?">Excluir</a>
															</c:if>
														</div>
													</td>									
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
								
								<input type="hidden" name="parametroAvaliacao.id" value="${parametroAvaliacao.id }" />
								<input type="hidden" name="_method" value="put" />
							</c:if>
																				
							<div class="form-group">
								<div class="col-lg-10 col-lg-offset-2">
									<button class="btn btn-default btn-cancel">Cancelar</button>
									<c:if test="${parametroAvaliacao.tsFim == null}">
										<button type="submit" class="btn btn-primary">Salvar</button>
									</c:if>
								</div>
							</div>
						</fieldset>
					</form>
				</div>
			</div> <!--/row-->
	</tiles:putAttribute>
</tiles:insertTemplate>