<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/parametrosAvaliacao" />"><strong><span class="glyphicon glyphicon-check"></span> Parametros de Avaliação</strong></a>
		
		<c:choose>
			<c:when test="${ultimoParametro != null}">
				<a href="<c:url value="/parametrosAvaliacao/atualizar/${ultimoParametro.id}" />" class="btn btn-default btn-confirm-modal pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Parametro de Avaliação</a>
			</c:when>
			
			<c:otherwise>
				<a href="<c:url value="/parametroAvaliacao/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Parametro de Avaliação</a>
			</c:otherwise>
		</c:choose>
		
		<br />
		
		<hr />
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="parametroAvaliacaoTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Início</th>
								<th>Fim</th>
								<th>Usuário</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${parametroAvaliacaoList}" var="parametroAvaliacao">
								<tr>
									<td><fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroAvaliacao.tsInicio}" /></td>
									<td><fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroAvaliacao.tsFim}" /></td>
									<td>${parametroAvaliacao.usuario.nome}</td>
									<td>
										<div class="btn-group">
											<a href="<c:url value="/parametrosAvaliacao/atualizar/${parametroAvaliacao.id}" />" class="btn btn-default btn-sm">Consultar</a>
											<c:if test="${parametroAvaliacao.tsFim == null}">
												<a href="<c:url value="/parametrosAvaliacao/delete/${parametroAvaliacao.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir o Parametro de Avaliação selecionado?">Excluir</a>
											</c:if>
										</div>
									</td>									
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				<jsp:include page="../template/paginacao.jsp"></jsp:include>
			</div>
		</div>
		
		<div class="modal fade" id="modalImport" tabindex="-1" role="dialog" aria-labelledby="modalImportLabel" aria-hidden="true">
  			<div class="modal-dialog modal-sm">
				<div class="modal-content">
					<div class="modal-body">
						Deseja importar as diretrizes e conformidades do Parâmetro de Avaliação ativo?
					</div>
					<div class="modal-footer">
						<button id="novo-parametro" type="button" class="btn btn-default">Não</button>
						<button id="importar-parametro" type="button" class="btn btn-primary">Sim</button>
					</div>
				</div>
			</div>
		</div>
		
		<script>
		var urlNovoParametro = "<c:url value="/parametrosAvaliacao/novo" />";
		var urlImportarParametro = "<c:url value="/parametrosAvaliacao/importar" />";
		</script>
    
	</tiles:putAttribute>
</tiles:insertTemplate>