<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/tiposDiretriz" />">
			<strong><span class="glyphicon glyphicon-check"></span> Tipos de Diretriz</strong>
		</a>

		<hr />

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>

		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>

		<div class="row">
			<div class="col-md-12">
				<form name="tipoDiretrizUsuariosForm" class="form-horizontal" action="<c:url value="/tiposDiretriz"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputDescricao" class="col-lg-2 control-label">Descrição</label>
							<div class="col-lg-10">
								<input id="inputDescricao" name="tipoDiretriz.descricao" type="text" class="form-control required" placeholder="Descrição" maxlength="100" value="${tipoDiretriz.descricao}" />
							</div>
						</div>

						<div class="form-group">
							<label for="inputValMaximoConformidade" class="col-lg-2 control-label">Valor Máximo</label>
							<div class="col-xs-3">
								<input id="inputValMaximoConformidade" name="tipoDiretriz.maximoConformidade" min="1" type="number" class="form-control number numeric required" placeholder="Valor Máximo" value="${tipoDiretriz.maximoConformidade}" />
							</div>
						</div>

						<c:if test="${tipoDiretriz.id != null}">
							<input type="hidden" name="tipoDiretriz.id" value="${tipoDiretriz.id}" />
							<input type="hidden" name="_method" value="put" />
						</c:if>

						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<button class="btn btn-default btn-cancel">Cancelar</button>
								<button type="submit" class="btn btn-primary">Salvar</button>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
		<!--/row-->
	</tiles:putAttribute>
</tiles:insertTemplate>