package br.com.eselo.component;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import javax.annotation.PostConstruct;

import br.com.caelum.vraptor.ioc.ApplicationScoped;
import br.com.caelum.vraptor.ioc.Component;
import br.com.caelum.vraptor.ioc.ComponentFactory;

@Component
@ApplicationScoped
public class ExecutorServiceProvider implements
		ComponentFactory<ExecutorService> {

	private ExecutorService pool;

	@PostConstruct
	public void initialize() {
		pool = Executors.newCachedThreadPool();
	}

	@Override
	public ExecutorService getInstance() {
		return pool;
	}

	public void close() {
		pool.shutdown();
	}

}
