package br.com.eselo.component;

import java.io.IOException;

import javax.servlet.ServletContext;

import br.com.caelum.vraptor.core.Localization;
import br.com.caelum.vraptor.freemarker.Freemarker;
import br.com.caelum.vraptor.ioc.Component;
import freemarker.template.Configuration;

@Component
public class TemplateMailer {

	private final Freemarker freemarker;
	private final Localization localization;
	private final String appPath;
	private Configuration configuration;

	public TemplateMailer(Localization _localization, Freemarker _freemarker,
			ServletContext context) {
		localization = _localization;
		freemarker = _freemarker;
		appPath = "localhost" + context.getContextPath();
	}

	public TemplateMail template(String name, Object... nameParameters) {
		try {
			boolean shouldUseCustomConfiguration = configuration != null;
			if (shouldUseCustomConfiguration)
				return new TemplateMail(name, freemarker, localization,
						appPath, configuration, nameParameters);

			return new TemplateMail(name, freemarker, localization, appPath,
					nameParameters);

		} catch (IOException e) {
			throw new IllegalArgumentException(e);
		}
	}

	public TemplateMailer with(Configuration _configuration) {
		configuration = _configuration;
		return this;
	}

}
