package br.com.eselo.conexaoAsesWeb;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.DomDriver;
import com.thoughtworks.xstream.io.xml.XmlFriendlyReplacer;

public class AvaliationReport {
	
	private String url;
	private Date date;
	private List<CheckPoint> checkPoints;
	
	public AvaliationReport() {
		this.checkPoints = new ArrayList<CheckPoint>();
	}
	
	
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}
	
	public List<CheckPoint> getCheckPoints() {
		return checkPoints;
	}

	public void setCheckPoints(List<CheckPoint> checkPoints) {
		this.checkPoints = checkPoints;
	}
	
	public void addCheckPoint(CheckPoint checkPoint) {
		this.checkPoints.add(checkPoint);
	}

	@Override
	public String toString() {
		XStream xstream = new XStream(new DomDriver("UTF-8", new XmlFriendlyReplacer("__", "_")));  
		
		xstream.alias("relatorio_de_avaliacao", AvaliationReport.class);
		xstream.alias("recomendacao", CheckPoint.class);
		xstream.alias("criterio", Criterio.class);

		xstream.aliasField("resultados", AvaliationReport.class, "result");

		xstream.aliasField("data", AvaliationReport.class, "date");
		xstream.addImplicitCollection(AvaliationReport.class, "checkPoints");

		xstream.aliasField("criterio", CheckPoint.class, "criterio");
		xstream.aliasField("descricao", Criterio.class, "description");
		xstream.aliasField("qtde_erros", Criterio.class, "qtdeErrors");		
				
		xstream.aliasField("identificador", CheckPoint.class, "identificador");
		xstream.aliasField("total_erros", CheckPoint.class, "totalErrors");
		xstream.aliasField("total_avisos", CheckPoint.class, "totalWarnings");
		
		return "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"+xstream.toXML(this);
		
	}

}
