package br.com.eselo.conversor;

import static com.google.common.base.Strings.isNullOrEmpty;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.ResourceBundle;

import br.com.caelum.iogi.exceptions.ConversionException;
import br.com.caelum.vraptor.Convert;
import br.com.caelum.vraptor.Converter;
import br.com.caelum.vraptor.ioc.ApplicationScoped;

@Convert(Date.class)
@ApplicationScoped
public class ESeloDateConverter implements Converter<Date> {

	@Override
	public Date convert(String value, Class<? extends Date> type, ResourceBundle bundle) {
		if (isNullOrEmpty(value)) {
			return null;
		}

		try {
			return new SimpleDateFormat("EEE MMM dd HH:mm:ss zzz yyyy", Locale.US).parse(value);
		} catch (ParseException e) {
			throw new ConversionException("is_not_a_valid_date", value);
		}
		
	}
	
}
