package br.com.eselo.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Conformidade;
import br.com.eselo.model.Diretriz;

@Component
public class ConformidadeDao extends GenericDao<Conformidade> {

	public ConformidadeDao(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Conformidade> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.desc("faixaInicio"))
				.addOrder(Order.desc("faixaFim")).list();
	}

	public List<Diretriz> getAllDiretriz() {
		DiretrizDao diretrizDao = (DiretrizDao) new DiretrizDao(getSession());

		return diretrizDao.listAll();
	}

	@SuppressWarnings("unchecked")
	public List<Conformidade> getByDiretriz(Diretriz diretriz) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("diretriz", diretriz))
				.addOrder(Order.asc("id")).list();
	}

}
