package br.com.eselo.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.ParametroAvaliacao;
import br.com.eselo.model.Usuario;

@Component
public class ParametroAvaliacaoDao extends GenericDao<ParametroAvaliacao> {

	public ParametroAvaliacaoDao(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<ParametroAvaliacao> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.desc("tsFim"))
				.addOrder(Order.desc("tsInicio")).list();
	}
	
	public List<Usuario> getAllUsuarios() {
		UsuarioDao usuarioDao = (UsuarioDao) new UsuarioDao(
				getSession());

		return usuarioDao.listAll();
	}
	
	public Usuario getUsuario(Long id){
		UsuarioDao usuarioDao = (UsuarioDao) new UsuarioDao(
				getSession());

		return usuarioDao.load(id);
		
	}
	
	public Long getMaxId(){
		return (Long) getSession().createCriteria(getPersistentClass())
				.setProjection(Projections.max("id"))
				.uniqueResult();
		
	}
	
	public ParametroAvaliacao getLastParametrosAvaliacao() {
		return this.load(this.getMaxId());
	}

}
