package br.com.eselo.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Resultado;

@Component
public class ResultadoDao extends GenericDao<Resultado> {

	public ResultadoDao(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Resultado> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.asc("id")).list();
	}
	
	@SuppressWarnings("unchecked")
	public List<Resultado> listResultado(Long idAvaliacao) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("avaliacao.id", idAvaliacao))
				.addOrder(Order.asc("id")).list();
	}

}
