package br.com.eselo.dao;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.TipoDiretriz;

@Component
public class TipoDiretrizDao  extends GenericDao<TipoDiretriz> {

	public TipoDiretrizDao(Session _session) {
		super(_session);
	}
	
	@SuppressWarnings("unchecked")
	public List<TipoDiretriz> listAll() throws HibernateException {
		return getSession().createCriteria(this.getPersistentClass())
				.addOrder(Order.asc("descricao")).list();
	}
	
	public boolean existeTipo(TipoDiretriz tipoConformidade) {
		TipoDiretriz encontrado = (TipoDiretriz) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("descricao", tipoConformidade.getDescricao())).uniqueResult();
		return encontrado != null;
	}

	public Long getIdByDescricao(String descricao) {
		TipoDiretriz encontrado = (TipoDiretriz) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("descricao", descricao)).uniqueResult();
		if (encontrado != null) {
			return encontrado.getId();
		}
		return null;
	}
	
}
