package br.com.eselo.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Grupo;
import br.com.eselo.model.Usuario;

@Component
public class UsuarioDao extends GenericDao<Usuario> {

	public UsuarioDao(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Usuario> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.asc("nome")).list();
	}

	public boolean existeUsuario(Usuario usuario) {
		Usuario encontrado = (Usuario) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("cpf", usuario.getCpf())).uniqueResult();
		return encontrado != null;
	}

	public Usuario getByCpfAndSenha(Usuario usuario) {
		return (Usuario) getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("cpf", usuario.getCpf()))
				.add(Restrictions.eq("senha", usuario.getSenha()))
				.uniqueResult();
	}

	public Long getIdByCpf(String cpf) {
		Usuario usuario = (Usuario) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("cpf", cpf)).uniqueResult();
		if (usuario != null) {
			return usuario.getId();
		}
		return null;
	}

	public List<Grupo> getAllGrupos() {
		GrupoDao grupoDao = (GrupoDao) new GrupoDao(getSession());

		return grupoDao.listAll();
	}

	public Usuario getByCpf(Usuario usuario) {
		Usuario _usuario = (Usuario) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("cpf", usuario.getCpf())).uniqueResult();
		if (_usuario != null) {
			return _usuario;
		}
		return null;
	}

	public Usuario getByHash(String chaveAlteracaoSenha) {
		Usuario _usuario = (Usuario) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("chaveAlteracaoSenha", chaveAlteracaoSenha)).uniqueResult();
		if (_usuario != null) {
			return _usuario;
		}
		return null;
	}
}
