package br.com.eselo.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "sel_avaliacao")
public class Avaliacao {

	@Id
	@GeneratedValue
	@Column(name = "id_avaliacao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_parametro_avaliacao")
	private ParametroAvaliacao parametroAvaliacao;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="id_url", insertable=true, updatable=true)
	private Url idUrl;

	@Column(name = "ts_avaliacao", columnDefinition = "timestamp without time zone")
	@Temporal(TemporalType.TIMESTAMP)
	private Date dataAvaliacao;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public ParametroAvaliacao getParametroAvaliacao() {
		return parametroAvaliacao;
	}

	public void setParametroAvaliacao(ParametroAvaliacao parametroAvaliacao) {
		this.parametroAvaliacao = parametroAvaliacao;
	}

	public Url getIdUrl() {
		return idUrl;
	}

	public void setIdUrl(Url url) {
		this.idUrl = url;
	}

	public Date getDataAvaliacao() {
		return dataAvaliacao;
	}

	public void setDataAvaliacao(Date dataAvaliacao) {
		this.dataAvaliacao = dataAvaliacao;
	}

}
