package br.com.eselo.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_conformidade")
public class Conformidade {

	@Id
	@SequenceGenerator(name = "sel_conformidade_id_conformidade_seq", sequenceName = "sel_conformidade_id_conformidade_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_conformidade_id_conformidade_seq")
	@Column(name = "id_conformidade", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "nu_faixa_inicio")
	private Long faixaInicio;

	@Column(name = "nu_faixa_fim")
	private Long faixaFim;

	@Column(name = "nu_percentual_conformidade")
	private Double percentualConformidade;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_diretriz", columnDefinition = "integer", nullable = false, insertable = true, updatable = true)
	@ForeignKey(name = "FK_sel_conformidade_sel_diretriz")
	private Diretriz diretriz;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getFaixaInicio() {
		return faixaInicio;
	}

	public void setFaixaInicio(Long faixaInicio) {
		this.faixaInicio = faixaInicio;
	}

	public Long getFaixaFim() {
		return faixaFim;
	}

	public void setFaixaFim(Long faixaFim) {
		this.faixaFim = faixaFim;
	}

	public Diretriz getDiretriz() {
		return diretriz;
	}

	public void setDiretriz(Diretriz diretriz) {
		this.diretriz = diretriz;
	}

	public double getPercentualConformidade() {
		return percentualConformidade;
	}

	public void setPercentualConformidade(Double percentualConformidade) {
		this.percentualConformidade = percentualConformidade;
	}

}
