package br.com.eselo.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OrderBy;
import javax.persistence.Table;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_diretriz")
public class Diretriz {

	@Id
	@GeneratedValue
	@Column(name = "id_diretriz", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "nu_diretriz")
	private Long numeroDiretriz;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_parametro_avaliacao", insertable = true, updatable = true)
	private ParametroAvaliacao parametroAvaliacao;

	@Column(name = "ds_descricao")
	private String descricao;

	@Column(name = "vl_peso")
	private Integer peso;

	@OneToMany(mappedBy = "diretriz", targetEntity = br.com.eselo.model.Conformidade.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	@OrderBy("faixaInicio desc, faixaFim desc")
	private List<Conformidade> conformidades;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_tipo_diretriz", columnDefinition = "integer", nullable = false, insertable = true, updatable = true)
	@ForeignKey(name = "fk_sel_diretriz_sel_tipo_diretriz")
	private TipoDiretriz tipoDiretriz;

	public List<Conformidade> getConformidades() {
		return conformidades;
	}

	public void setConformidades(List<Conformidade> conformidades) {
		this.conformidades = conformidades;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getPeso() {
		return peso;
	}

	public void setPeso(Integer peso) {
		this.peso = peso;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getNumeroDiretriz() {
		return numeroDiretriz;
	}

	public void setNumeroDiretriz(Long numeroDiretriz) {
		this.numeroDiretriz = numeroDiretriz;
	}

	public ParametroAvaliacao getParametroAvaliacao() {
		return parametroAvaliacao;
	}

	public void setParametroAvaliacao(ParametroAvaliacao parametroAvaliacao) {
		this.parametroAvaliacao = parametroAvaliacao;
	}

	public TipoDiretriz getTipoDiretriz() {
		return tipoDiretriz;
	}

	public void setTipoDiretriz(TipoDiretriz tipoDiretriz) {
		this.tipoDiretriz = tipoDiretriz;
	}

}
