package br.com.eselo.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_grupo")
public class Grupo {

	@Id
	@SequenceGenerator(name = "sel_grupo_id_grupo_seq", sequenceName = "sel_grupo_id_grupo_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_grupo_id_grupo_seq")
	@Column(name = "id_grupo", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "no_grupo")
	private String nome;

	@ManyToMany(fetch = FetchType.LAZY)
	@JoinTable(name = "sel_grupo_permissao",
		joinColumns = {
			@JoinColumn(name = "id_grupo", columnDefinition = "integer")
		},
		inverseJoinColumns = {
			@JoinColumn(name = "id_permissao", columnDefinition = "integer")
		}
	)
	@ForeignKey(name = "FK_sel_grupo_permissao_sel_grupo", inverseName = "FK_sel_grupo_permissao_sel_permissao")
	private List<Permissao> permissoes;

	@OneToMany(mappedBy = "grupo", targetEntity = br.com.eselo.model.Usuario.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Usuario> usuarios;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public List<Permissao> getPermissoes() {
		return this.permissoes;
	}

	public void setPermissoes(List<Permissao> permissoes) {
		this.permissoes = permissoes;
	}

	public List<Usuario> getUsuarios() {
		return usuarios;
	}

	public void setUsuarios(List<Usuario> usuarios) {
		this.usuarios = usuarios;
	}

	public boolean checkPermissao(String descricao) {
		List<Permissao> permissoes = getPermissoes();
		boolean result = false;
		
		for (Permissao permissao : permissoes) {
			if (permissao.getPermissao().equals(descricao)) {
				result = true;
				break;
			}
		}
		
		return result;
	}

}
