package br.com.eselo.model;

import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;

@Entity
@Table(name = "sel_parametro_avaliacao")
public class ParametroAvaliacao {

	@Id
	@SequenceGenerator(name = "sel_parametro_avaliacao_id_parametro_avaliacao_seq", sequenceName = "sel_parametro_avaliacao_id_parametro_avaliacao_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_parametro_avaliacao_id_parametro_avaliacao_seq")
	@Column(name = "id_parametro_avaliacao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "ts_inicio", columnDefinition = "timestamp without time zone")
	@Temporal(TemporalType.TIMESTAMP)
	private Date tsInicio;

	@Column(name = "ts_fim", columnDefinition = "timestamp without time zone")
	@Temporal(TemporalType.TIMESTAMP)
	private Date tsFim;

	@OneToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "id_usuario", insertable = true, updatable = true)
	@Fetch(FetchMode.SELECT)
	private Usuario usuario;

	@OneToMany(mappedBy = "parametroAvaliacao", targetEntity = br.com.eselo.model.Diretriz.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Diretriz> diretrizes;

	@OneToMany(mappedBy = "parametroAvaliacao", targetEntity = br.com.eselo.model.Avaliacao.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Avaliacao> avaliacoes;

	public List<Diretriz> getDiretrizes() {
		return diretrizes;
	}

	public void setDiretrizes(List<Diretriz> diretrizes) {
		this.diretrizes = diretrizes;
	}

	public List<Avaliacao> getAvaliacoes() {
		return avaliacoes;
	}

	public void setAvaliacoes(List<Avaliacao> avaliacoes) {
		this.avaliacoes = avaliacoes;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getTsInicio() {
		return tsInicio;
	}

	public void setTsInicio(Date tsInicio) {
		this.tsInicio = tsInicio;
	}

	public Date getTsFim() {
		return tsFim;
	}

	public void setTsFim(Date tsFim) {
		this.tsFim = tsFim;
	}

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

}
