package br.com.eselo.model;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name = "sel_permissao")
public class Permissao {

	@Id
	@SequenceGenerator(name = "sel_permissao_id_permissao_seq", sequenceName = "sel_permissao_id_permissao_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_permissao_id_permissao_seq")
	@Column(name = "id_permissao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "ds_permissao")
	private String permissao;

	@ManyToMany(fetch = FetchType.LAZY, mappedBy = "permissoes")
	private List<Grupo> grupos;

	@Transient
	private boolean marcado = false;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getPermissao() {
		return permissao;
	}

	public void setPermissao(String permissao) {
		this.permissao = permissao;
	}

	public List<Grupo> getGrupos() {
		return grupos;
	}

	public void setGrupos(List<Grupo> grupos) {
		this.grupos = grupos;
	}

	public boolean isMarcado() {
		return marcado;
	}

	public void setMarcado(boolean marcado) {
		this.marcado = marcado;
	}

}
