package br.com.eselo.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;

@Entity
@Table(name = "sel_resultado")
public class Resultado {

	@Id
	@GeneratedValue
	@Column(name = "id_resultado", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@OneToOne(fetch = FetchType.EAGER)
	@JoinColumn(name="id_avaliacao", insertable=true, updatable=true)
	@Fetch(FetchMode.SELECT)
	private Avaliacao avaliacao;
	
	@Column(name = "nu_diretriz")
	private Long numDiretriz;

	@Column(name = "nu_erros")
	private Long numErros;
	
	@Column(name = "nu_avisos")
	private Long numAvisos;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Avaliacao getAvaliacao() {
		return avaliacao;
	}

	public void setAvaliacao(Avaliacao avaliacao) {
		this.avaliacao = avaliacao;
	}

	public Long getNumDiretriz() {
		return numDiretriz;
	}

	public void setNumDiretriz(Long d) {
		this.numDiretriz = d;
	}

	public Long getNumErros() {
		return numErros;
	}

	public void setNumErros(Long numErros) {
		this.numErros = numErros;
	}

	public Long getNumAvisos() {
		return numAvisos;
	}

	public void setNumAvisos(Long numAvisos) {
		this.numAvisos = numAvisos;
	}


}
