package br.com.eselo.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "sel_tipo_diretriz")
public class TipoDiretriz {

	@Id
	@SequenceGenerator(name = "sel_tipo_diretriz_id_tipo_diretriz_seq", sequenceName = "sel_tipo_diretriz_id_tipo_diretriz_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_tipo_diretriz_id_tipo_diretriz_seq")
	@Column(name = "id_tipo_diretriz", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "ds_tipo_diretriz", unique = true, nullable = false)
	private String descricao;

	@Column(name = "nu_maximo_conformidade", nullable = false)
	private Long maximoConformidade;

	@OneToMany(mappedBy = "tipoDiretriz", targetEntity = br.com.eselo.model.Diretriz.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Diretriz> diretrizes;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Long getMaximoConformidade() {
		return maximoConformidade;
	}

	public void setMaximoConformidade(Long maximoConformidade) {
		this.maximoConformidade = maximoConformidade;
	}

	public List<Diretriz> getDiretrizes() {
		return diretrizes;
	}

	public void setDiretrizes(List<Diretriz> diretrizes) {
		this.diretrizes = diretrizes;
	}

}
