<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculo.id}"/>"><strong><span class="glyphicon glyphicon-check"></span>Cadastro de Parâmetros de Cálculo</strong></a>
		<a href="<c:url value="/recomendacao/form/${recomendacaoId}"/>"><strong> || Cadastro de Recomendação</strong></a>

		<hr />
			
		<h3>Cadastro de Critério</h3>
		<br/><br/>

		
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form id="form-faixas" name="diretrizForm" class="form-horizontal" action="<c:url value="/criterio"/>" method="post" novalidate="novalidate">
					<fieldset>
							<div class="form-group">
								<label for="inputNumero" class="col-lg-2 control-label required">Número do critério</label>
								<div class="col-xs-3">
									<input id="inputNumero" name="criterio.numeroCriterio" type="number" class="form-control required numeric" placeholder="Número da Critério" min="0" value="${criterio.numeroCriterio}" >
								</div>
							</div>
						<div class="form-group">
							<label for="inputPeso" class="col-lg-2 control-label required">Peso</label>
							<div class="col-xs-3">
								<input id="inputPeso" name="criterio.peso" type="number" class="form-control required numeric" placeholder="Peso"  value="${criterio.peso}" min="0" >
							</div>
						</div>
						<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label required">Descrição</label>
								<div class="col-lg-10">
									<input id="inputDesc" name="criterio.descricao" type="text" class="form-control required" placeholder="Descrição"  value="${criterio.descricao}" >
								</div>
						</div>
						<div class="form-group">
							<label for="selectTipoTeste" class="col-lg-2 control-label required">Tipo de Teste</label>
							<div class="col-lg-10">
								<select id="selectTipoTeste" class="form-control required" name="criterio.tipoTeste.id">
									<option value>Selecione</option>
									<c:forEach items="${tipoTesteList}" var="tipoTeste">
										<c:choose>
											<c:when test="${criterio.tipoTeste.id == tipoTeste.id}">
												<option value="${tipoTeste.id}" selected>${tipoTeste.tipo}</option>
											</c:when>
											<c:otherwise>
												<option value="${tipoTeste.id}">${tipoTeste.tipo}</option>
											</c:otherwise>
										</c:choose>
									</c:forEach>
								</select>
							</div>
						</div>
						<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label required">Requisito</label>
								<div class="col-lg-10">
									<input id="inputDesc" name="criterio.requisito" type="text" class="form-control required" placeholder="Requisito"  value="${criterio.requisito}" >
								</div>
						</div>
						<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label required">Tipo de Verificação</label>
								<div class="col-lg-10">
									<select id="selectTipoVerificacao" class="form-control required" name="criterio.verificacaoAutomatica">
										<c:choose>
											<c:when test="${criterio.verificacaoAutomatica}">
												<option value="true" selected>Automática</option>
												<option value="false">Humana</option>
											</c:when>
											<c:when test="${not criterio.verificacaoAutomatica}">
												<option value="false">Automática</option>
												<option value="true" selected>Humana</option>
											</c:when>
											<c:otherwise>
												<option value="false">Automática</option>
												<option value="false">Humana</option>
											</c:otherwise>
										</c:choose>
									</select>
								</div>
						</div>
						<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label required">Tipo de Mensagem</label>
								<div class="col-lg-10">
									<select id="selectTipoMensagem" class="form-control required" name="criterio.erro">
										<c:choose>
											<c:when test="${criterio.erro}">
												<option value="true" selected>Erro</option>
												<option value="false">Aviso</option>
											</c:when>
											<c:when test="${not criterio.erro}">
												<option value="true">Erro</option>
												<option value="false" selected>Aviso</option>
											</c:when>
											<c:otherwise>
												<option value="true">Erro</option>
												<option value="false">Aviso</option>
											</c:otherwise>
										</c:choose>
									</select>
								</div>
						</div>
						
						<c:if test="${criterio.id != null}">
							<c:if test="${criterio.tipoTeste.id == 3}">
								<c:if test="${parametroCalculo.tsFim == null}">
									<div class="form-group">
										<a id="add-criterios" href="<c:url value="/faixas/gerarForm/${criterio.id}/${tipoTeste.maximoTeste}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Faixas</a>
									</div>
								</c:if>
								
						
							<div class="form-group">
								<table id="criteriosTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
									<thead>
										<tr>
											<th class="text-center" colspan="6">Faixas</th>
										</tr>
										<tr>
											<th>Faixa</th>
											<th>Descrição</th>
											<th>Inicio</th>
											<th>Fim</th>
											<th>%</th>
											<th>&nbsp;</th>
										</tr>
									</thead>
									<tbody>
										<c:forEach items="${criterio.faixas}" var="faixa">
											<tr>
												<td>${faixa.faixa}</td>
												<td>${faixa.descricao}</td>
												<td>${faixa.faixaInicio}</td>
												<td>${faixa.faixaFim}</td>
												<td>${faixa.percentualConformidade}</td>
												<td>
													<div class="btn-group">
														<c:if test="${parametroCalculo.tsFim == null}">
															<c:if test="${criterio.tipoTeste.id == 3}">
																<a href="<c:url value="/faixas/form/${faixa.id}" />" class="btn btn-default btn-sm">Consultar</a>
															</c:if>
																<a href="<c:url value="/faixas/delete/${faixa.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir a faixa selecionado?">Excluir</a>
														</c:if>
													</div>
												</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</div>
							</c:if>
						</c:if>
						
						<div class="form-group">
							<input type="hidden" name="criterio.recomendacao.id" value="${recomendacaoId}" />
							<c:if test="${criterio.id != null}">
								<input type="hidden" name="criterio.id" value="${criterio.id}" />
								<input type="hidden" name="_method" value="put" />
							</c:if>
						</div>
																			
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<a href="<c:url value="/recomendacao/form/${recomendacaoId}"/>" class="btn btn-default">Cancelar</a>
								<c:if test="${parametroCalculo.tsFim == null}">
									<button type="submit" class="btn btn-primary">Salvar</button>
								</c:if>
							</div>
						</div>
					</fieldset>
				</form>
				<small>Campo obrigatório (*)</small>
			</div>
		</div> <!--/row-->
		
	</tiles:putAttribute>
</tiles:insertTemplate>