<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculo.id}"/>"><strong><span class="glyphicon glyphicon-check"></span> Cadastro de Parâmetros de Cálculo</strong></a>
		<a href="<c:url value="/recomendacao/form/${recomendacaoId}"/>"><strong> || Cadastro de Recomendação</strong></a>
		<a href="<c:url value="/criterio/form/${criterioId}"/>" ><strong> || Cadastro de Critério</strong></a>

		<hr />
		
		<h3>Cadastro de Faixa</h3>
		<br/><br/>
		

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form id="form-add-faixas" name="faixasForm" class="form-horizontal" action="<c:url value="/faixas/add"/>" method="post" novalidate="novalidate">
					<fieldset>
					
						<c:forEach var="i" begin="1" end="${quantidadeFaixas}">
							<fieldset class="faixa">
								<legend>Faixa ${i}</legend>
								
								<input type="hidden" name="faixas[${i}].criterio.id" value="${criterioId}" />

								<div class="form-group">
									<label class="col-lg-2 control-label required">Número da faixa</label>
									<div class="col-xs-2">
										<input name="faixas[${i}].faixa" type="number" class="form-control  required numeric" placeholder="Faixa" min="0" value="${faixa.faixa}" >
									</div>
								</div>
								<div class="form-group">
									<label class="col-lg-2 control-label required">Descrição</label>
									<div class="col-lg-10">
										<input name="faixas[${i}].descricao" type="text" class="form-control required" placeholder="Descrição"  value="${faixa.descricao}" >
									</div>
								</div>
								<div class="form-group">
									<label class="col-lg-2 control-label required">Valor Inicial</label>
									<div class="col-xs-2">
										<input name="faixas[${i}].faixaInicio" type="number" class="form-control required currency faixaInicial" placeholder="Faixa Inicial" min="0"  />
									</div>
								</div>
								
								<div class="form-group">
									<label class="col-lg-2 control-label required">Valor Final</label>
									<div class="col-xs-2">
										<input name="faixas[${i}].faixaFim" type="number" class="form-control required currency faixaFinal" placeholder="Faixa Final" min="0" />
									</div>
								</div>
								<div class="form-group">
									<label class="col-lg-2 control-label required">Percentual de Conformidade</label>
									<div class="col-xs-2">
										<input name="faixas[${i}].percentualConformidade" type="number" class="form-control required currency faixaFinal" placeholder="Percentual de Conformidade"  value="${faixa.percentualConformidade}" />
									</div>
								</div>
								<br/>
							</fieldset>
						</c:forEach>
						
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<a href="<c:url value="/criterio/form/${criterioId}"/>" class="btn btn-default ">Cancelar</a>
								<c:if test="${parametroCalculo.tsFim == null}">
									<button type="submit" class="btn btn-primary">Salvar</button>
								</c:if>
							</div>
						</div>
					</fieldset>
				</form>
				<small>Campo obrigatório (*)</small>
			</div>
		</div>
		
		<script>
		var quantidadeConformidades = ${quantidadeFaixas};
		var quantidadeMaximaDiretriz = ${criterio.tipoTeste.maximoTeste};
		</script>
	</tiles:putAttribute>
</tiles:insertTemplate>

