<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculo.id}"/>"><strong><span class="glyphicon glyphicon-check"></span> Cadastro de Parâmetros de Cálculo</strong></a>
		<a href="<c:url value="/recomendacao/form/${recomendacaoId}"/>"><strong> || Cadastro de Recomendação</strong></a>
		<a href="<c:url value="/criterio/form/${criterioId}"/>" ><strong> || Cadastro de Critério</strong></a>
		
		<hr />
		
		<h3>Cadastro de Faixa</h3>
		<br/><br/>
		
		<

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form name="faixasForm" class="form-horizontal" action="<c:url value="/faixas"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputFaixa" class="col-lg-2 control-label required">Número da faixa</label>
							<div class="col-xs-2">
								<input id="inputFaixa" name="faixa.faixa" type="text" class="form-control required number" placeholder="Faixa" value="${faixa.faixa}" />
							</div>
						</div>
						<div class="form-group">
								<label for="inputDesc" class="col-lg-2 control-label required">Descrição</label>
								<div class="col-lg-10">
									<input id="inputDesc" name="faixa.descricao" type="text" class="form-control required" placeholder="Descrição"  value="${faixa.descricao}" >
								</div>
						</div>
						<input type="hidden" name="faixa.diretriz.id" value="${diretrizId}" />
						
						<div class="form-group">
							<label for="inputFaixaInicio" class="col-lg-2 control-label required">Valor Inicial</label>
							<div class="col-xs-2">
								<input id="inputFaixaInicio" name="faixa.faixaInicio" type="text" class="form-control required currency" placeholder="Faixa Inicial" value="${faixa.faixaInicio}"  min="0" />
							</div>
						</div>
						<div class="form-group">
							<label for="inputFaixaFim" class="col-lg-2 control-label required">Valor Final</label>
							<div class="col-xs-2">
								<input id="inputFaixaFim" name="faixa.faixaFim" type="text" class="form-control required currency" placeholder="Faixa Final" value="${faixa.faixaFim}" max="1"  min="0" />
							</div>
						</div>
						<div class="form-group">
							<label for="inputPercentualConformidade" class="col-lg-2 control-label required">Percentual de conformidade</label>
							<div class="col-xs-2">
								<input id="inputPercentualConformidade" name="faixa.percentualConformidade" type="text" class="form-control required currency" value="${faixa.percentualConformidade}" placeholder="Percentual de conformidade" min="0" >
							</div>
						</div>
						
						<c:if test="${faixa.id != null}">
							<input type="hidden" name="faixa.id" value="${faixa.id}" />
							<input type="hidden" name="faixa.criterio.id" value="${criterioId}" />
							<input type="hidden" name="_method" value="put" />
						</c:if>
						
						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<a href="<c:url value="/criterio/form/${criterioId}"/>" class="btn btn-default">Cancelar</a>
								<c:if test="${parametroCalculo.tsFim == null}">
									<button type="submit" class="btn btn-primary">Salvar</button>
								</c:if>
							</div>
						</div>
					</fieldset>
				</form>
				<small>Campo obrigatório (*)</small>
			</div>
		</div>
		
		<script>
		var quantidadeConformidades = ${quantidadeConformidades};
		</script>
	</tiles:putAttribute>
</tiles:insertTemplate>

