<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/conformidades" />"><strong><span class="glyphicon glyphicon-list-alt"></span> Conformidades</strong></a>
		
		<a href="<c:url value="/conformidades/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir</a>
		
		<br />
		
		<hr />
		
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="gruposTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Diretriz</th>
								<th>Faixa Inicial</th>
								<th>Faixa Final</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${conformidadeList}" var="conformidade">
								<tr>
									<td>${conformidade.diretriz.descricao}</td>
									<td>${conformidade.faixaInicio}</td>
									<td>${conformidade.faixaFim}</td>
									<td>
										<div class="btn-group">
											<a href="<c:url value="/conformidades/${conformidade.id}" />" class="btn btn-default btn-sm">Atualizar</a>
											<a href="<c:url value="/conformidades/delete/${conformidade.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir a conformidade selecionado?">Excluir</a>
										</div>
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>