<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/grupos" />"><strong><span class="glyphicon glyphicon-check"></span> Grupos</strong></a>
		
		<a href="<c:url value="/grupos/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir</a>
		
		<br />
		
		<hr />
		
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form class="form-inline" role="form" action="<c:url value="/grupos/lista"/>">
					<div class="form-group">
						<label for="txtNome">Nome</label>
						<input id="txtNome" name="grupo.nome" class="form-control input-sm" value="${grupo.nome}">
					</div>
					<button type="submit" class="btn btn-default btn-sm" style="margin-top: 24px">Pesquisar</button>
				</form>
			</div>
		</div>
		
		<br />
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="gruposTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Nome</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${grupoList}" var="grupo">
								<tr>
									<td>${grupo.nome}</td>
									<td>
										<div class="btn-group">
											<a href="<c:url value="/grupos/${grupo.id}" />" class="btn btn-default btn-sm">Atualizar</a>
											<a href="<c:url value="/grupos/delete/${grupo.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir o grupo selecionado?">Excluir</a>
										</div>
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				
				<div id="user-pagination"></div>
<!-- 				<ul class="pagination pagination-small pagination-centered"> -->
<!-- 					<li class="disabled"><a href="#">«</a></li> -->
<!-- 					<li class="active"><a href="#">1</a></li> -->
<!-- 					<li><a href="#">2</a></li> -->
<!-- 					<li><a href="#">3</a></li> -->
<!-- 					<li><a href="#">4</a></li> -->
<!-- 					<li><a href="#">5</a></li> -->
<!-- 					<li><a href="#">»</a></li> -->
<!-- 				</ul> -->
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>