<html>
<bodY>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/parametrosCalculo"/>"><strong><span class="glyphicon glyphicon-check"></span> Parametros de Cálculo</strong></a>

			<hr />
			
			<div class="row">
				<div class="col-xs-12">
					<div class="text-center">
						<i class="fa fa-search-plus pull-left icon"></i>
						<h1>${parametroCalculo.descricao}</h1>
					</div>
					
					<hr />
				</div>
			</div>
			
			<br/>
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>
			
			
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
						<div class="panel-heading">
		                    <h2 class="text-center">RECOMENDAÇÕES, CRITÉRIOS E FAIXAS</h2>
		                </div>
		                
		                <div class="panel-body">
		                <c:choose>
               				<c:when test="${empty recomendacaoList}">
             					<div class="table-responsive">
	        						<table class="table table-condensed table-hover">
                						<tr>
                							<td colspan="3">
												<table id="criteriosTable" pagesize="10" class="table table-condensed table-hover">
													<thead>
														<tr>
															<th class="text-left" colspan="6">
																<div >
																	<h3>Nenhuma recomendação cadastrada</h3>
																	<a id="add-recomendacao" href="<c:url value="/recomendacao/novo/${parametroCalculo.id}" />" class="btn btn-default" onclick="return gravadoParametroCalculo();"><span class="glyphicon glyphicon-plus" ></span> Incluir Recomendação</a>
																</div>
															</th>
														</tr>
													</thead>
													<tbody>
													</tbody>
												</table>
											</td>
	                					</tr>
									</table>
								</div>
								
               				</c:when>
               				<c:when test="${not empty recomendacaoList}">
		                	<c:forEach items="${recomendacaoList}" var="recomendacao">
			                	<fieldset>
			                		<h3>Recomendação ${recomendacao.numeroRecomendacao}: ${recomendacao.descricao}</h3>
									<c:choose>
											<c:when test="${empty recomendacao.criterios}">
	       										<div >
			                						<b>ERRO:</b> Nenhum critério cadastrado
			                						<a id="add-criterios" href="<c:url value="/criterio/novo/${recomendacao.id}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Critério</a>
			                					</div>
			                				</c:when>
	                				</c:choose>			                		
		                			<c:choose>
		                				<c:when test="${not empty recomendacao.criterios}">
			                				<ul>
			                				<c:forEach items="${recomendacao.criterios}" var="criterio">
			                					<li>
			                						<div>Critério ${criterio.numeroCriterio}: ${criterio.descricao} (TIPO DECRESCENTE)
													<br/><b>ERRO:</b> Nenhuma faixa cadastrada
													<a id="add-criterios" href="<c:url value="/faixas/gerarForm/${criterio.id}/1" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Faixas</a></div>
													<br/>
			                					</li>
		                					</c:forEach>
			                				</ul>
		               					</c:when>
	               					</c:choose>
									<hr />
								</fieldset>
		                	</c:forEach>
		                	</c:when>
		                	</c:choose>
		                </div>
					</div>
				</div>
			</div>
			
	</tiles:putAttribute>
</tiles:insertTemplate>
</bodY>
</html>
