<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/painel"/>" ><strong><span class="glyphicon glyphicon-dashboard"></span> Meu Painel</strong></a>
	
		<br/>
		<hr />
			
			<h3>Parâmetros de Cálculo</h3>
			<br/><br/>
		<c:choose>
			<c:when test="${ultimoParametro != null}">
				<a href="<c:url value="/parametrosCalculo/atualizar/${ultimoParametro.id}" />" class="btn btn-default btn-confirm-modal pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Parametro de Cálculo</a>
			</c:when>
			
			<c:otherwise>
				<a href="<c:url value="/parametroCalculo/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Parametro de Cálculo</a>
			</c:otherwise>
		</c:choose>
		
		<br />
		
		<hr />
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<form class="form-inline" role="form" action="<c:url value="/parametrosCalculo/lista"/>">
					<div class="form-group">
						<label for="txtDescricao">Descrição</label>
						<input id="txtDescricao" name="parametroCalculo.descricao" class="form-control input-sm" value="${parametroCalculo.descricao}">
					</div>
					<button type="submit" class="btn btn-default btn-sm" style="margin-top: 24px">Pesquisar</button>
				</form>
			</div>
		</div>
		<br/>
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="parametroCalculoTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Válido a partir de</th>
								<th>Válido até</th>
								<th>Descricao</th>
								<th>Usuário</th>
								<th style="width: 220px;">&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${parametroCalculoList}" var="parametroCalculo">
								<tr>
									<td><fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroCalculo.tsInicio}" /></td>
									<td><fmt:formatDate type="both" pattern="dd/MM/yyyy HH:mm:ss" value="${parametroCalculo.tsFim}" /></td>
									<td>${parametroCalculo.descricao}</td>
									<td>${parametroCalculo.usuario.nome}</td>
									<td>
										<div class="btn-group">
											<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculo.id}" />" class="btn btn-default btn-sm">Consultar</a>
											<c:if test="${parametroCalculo.tsFim == null}">
												<a href="<c:url value="/parametrosCalculo/delete/${parametroCalculo.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir o Parametro de Cálculo selecionado?">Excluir</a>
												<a href="<c:url value="/parametrosCalculo/exportar/${parametroCalculo.id}/${parametroCalculo.slug}.ods" />" class="btn btn-default btn-sm">Exportar</a>
												<c:if test="${parametroCalculo.tsInicio == null}">
													<br/><a href="<c:url value="/parametrosCalculo/ativar/${parametroCalculo.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente ativar o Parametro de Cálculo selecionado?">Ativar</a>
												</c:if>	
											</c:if>
										</div>
									</td>									
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				<jsp:include page="../template/paginacao.jsp"></jsp:include>
			</div>
		</div>

		<div class="modal fade" id="modalImport" tabindex="-1" role="dialog" aria-labelledby="modalImportLabel" aria-hidden="true">
  			<div class="modal-dialog modal-sm">
				<div class="modal-content">
					<div class="modal-body">
							Deseja selecionar as recomendações e critérios de um dos parâmetros de cálculo existentes?
					</div>
					<div class="modal-footer">

					<form method="get" action="<c:url value="/parametrosCalculo/importar/"/>">
						<div class="col-lg-13">
							<select id="selectGrupo" class="form-control required" name="idParametroCalculo">
								<c:forEach items="${parametroCalculoList}" var="parametroCalculo">
									<c:choose>
										<c:when test="${not empty parametroCalculo.tsInicio}">
											<c:choose>
												<c:when test="${empty parametroCalculo.tsFim}">
													<option value="${parametroCalculo.id}" selected>${parametroCalculo.descricao} - [Ativo]</option>
												</c:when>
												<c:otherwise>
													<option value="${parametroCalculo.id}" >${parametroCalculo.descricao}</option>
												</c:otherwise>
											</c:choose>
										</c:when>
										<c:otherwise>
											<option value="${parametroCalculo.id}" >${parametroCalculo.descricao}</option>
										</c:otherwise>
									</c:choose>
								</c:forEach>
							</select>
						</div>
						<br/>
						<input  type="submit" name="acao"  class="btn btn-default" value="Importar">
						<input  type="submit" name="acao" class="btn btn-default" value="Não Importar">
						<input  type="submit" name="acao" class="btn btn-default" value="Cancelar">

					</form>		
					</div>
				</div>
			</div>
		</div>
		
    
	</tiles:putAttribute>
</tiles:insertTemplate>