<html>
<bodY>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/parametrosCalculo"/>"><strong><span class="glyphicon glyphicon-check"></span> Parametros de Cálculo</strong></a>

			<hr />
			
			<div class="row">
				<div class="col-xs-12">
					<div class="text-center">
						<i class="fa fa-search-plus pull-left icon"></i>
						<h2>${parametroCalculo.descricao}</h2>
					</div>
					
					<hr />
				</div>
			</div>
			
			<br/>
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>
			
			
			<div class="row">
				<div class="col-md-12">
					<div class="panel panel-default">
						<div class="panel-heading">
		                    <h3 class="text-center"><strong>RECOMENDAÇÕES, CRITÉRIOS E FAIXAS</strong></h3>
		                </div>
		                
		                <div class="panel-body">
		                <c:choose>
               				<c:when test="${empty parametroCalculo.recomendacoes}">
             					<div class="table-responsive">
	        						<table class="table table-condensed table-hover">
                						<tr>
                							<td colspan="3">
												<table id="criteriosTable" pagesize="10" class="table table-condensed table-hover">
													<thead>
														<tr>
															<th class="text-left" colspan="6">
																<div class="has-error-report">
																	Nenhuma recomendação cadastrada
																	<a id="add-recomendacao" href="<c:url value="/recomendacao/novo/${parametroCalculo.id}" />" class="btn btn-default" onclick="return gravadoParametroCalculo();"><span class="glyphicon glyphicon-plus" ></span> Incluir Recomendação</a>
																</div>
															</th>
														</tr>
													</thead>
													<tbody>
													</tbody>
												</table>
											</td>
	                					</tr>
									</table>
								</div>
								
               				</c:when>
               				<c:when test="${not empty parametroCalculo.recomendacoes}">
		                	<c:forEach items="${parametroCalculo.recomendacoes}" var="recomendacao">
			                	<fieldset>
			                		<legend>Recomendação ${recomendacao.numeroRecomendacao}: ${recomendacao.descricao} (Peso: ${recomendacao.peso})</legend>

		                			<c:choose>
		                				<c:when test="${empty recomendacao.criterios}">
       										<div class="has-error-report">
		                						Nenhum critério cadastrado
		                						<a id="add-criterios" href="<c:url value="/criterio/novo/${recomendacao.id}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Critério</a>
		                					</div>
		                				</c:when>
		                				<c:when test="${not empty recomendacao.criterios}">
			               					<div class="table-responsive">
			               						<table class="table table-condensed table-hover">
			               							<thead>
						                				<tr>
						                					<th></th>
						                					<th>Critério</th>
						                					<th>Peso</th>
						                					<th>Tipo</th>
						                				</tr>
						                			</thead>
						                			<tbody>
						                				<c:forEach items="${recomendacao.criterios}" var="criterio">
						                					<tbody>
								                				<tr>
								                					<td>${criterio.numeroCriterio}</td>
								                					<td>${criterio.descricao}</td>
								                					<td>${criterio.peso}</td>
								                					<td>${criterio.tipoTeste.tipo}</td>
								                				</tr>
								                					<c:if test="${criterio.tipoTeste.id==3 and not empty criterio.faixas}">
										                						<tr>
										                							<td colspan="4">
																						<table id="criteriosTable" pagesize="10" class="table table-condensed table-hover">
																							<thead>
																								<tr>
																									<th>&nbsp;</th>
																									<th>Faixa</th>
																									<th>Descrição</th>
																									<th>Inicio</th>
																									<th>Fim</th>
																									<th>%</th>
																								</tr>
																							</thead>
																							<tbody>
																								<c:forEach items="${criterio.faixas}" var="faixa">
																									<tr>
																										<th>&nbsp;</th>
																										<td>${faixa.faixa}</td>
																										<td>${faixa.descricao}</td>
																										<td>${faixa.faixaInicio}</td>
																										<td>${faixa.faixaFim}</td>
																										<td>${faixa.percentualConformidade}</td>
																									</tr>
																								</c:forEach>
																							</tbody>
																						</table>
																					</td>
											                					</tr>
								                					</c:if>
								                					<c:if test="${criterio.tipoTeste.id==3 and empty criterio.faixas}">
										                						<tr>
										                							<td colspan="3">
																						<table id="criteriosTable" pagesize="10" class="table table-condensed table-hover">
																							<thead>
																								<tr>
																									<th class="text-left" colspan="6">
																										<div class="has-error-report">
																											Nenhuma faixa cadastrada
																											<a id="add-criterios" href="<c:url value="/faixas/gerarForm/${criterio.id}/1" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Faixas</a>
																										</div>
																									</th>
																								</tr>
																							</thead>
																							<tbody>
																							</tbody>
																						</table>
																					</td>
											                					</tr>
								                					</c:if>
								                					
								                			</tbody>
						                				</c:forEach>
						                			</tbody>
			               						</table>
			               					</div>
		               					</c:when>
	               					</c:choose>
	               					
									<hr />
									<br /><br />
								</fieldset>
		                	</c:forEach>
		                	</c:when>
		                	</c:choose>
		                </div>
					</div>
				</div>
			</div>
			
	</tiles:putAttribute>
</tiles:insertTemplate>
</bodY>
</html>
