<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
			<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculoId}"/>"><strong><span class="glyphicon glyphicon-check"></span>Cadastro de Parâmetros de Cálculo</strong></a>

			<hr />
			
			<h3>Cadastro de Recomendações</h3>
			<br/><br/>
			
			<c:forEach var="error" items="${errors}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${error.message}
				</div>
			</c:forEach>
			
			<c:if test="${not empty mensagem}">
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					${mensagem}
				</div>
			</c:if>

			<div class="row">
				<div class="col-md-12">
					<form name="diretrizForm" class="form-horizontal" action="<c:url value="/recomendacao"/>" method="post">
						<fieldset>
							<div class="form-group">
								<label for="inputNumero" class="col-lg-4 control-label required">Número da Recomendação</label>
								<div class="col-xs-4">
									<input id="inputNumero" name="recomendacao.numeroRecomendacao" type="number" class="form-control numeric  required" placeholder="Número da Recomendação" min="0" value="${recomendacao.numeroRecomendacao}" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="inputDesc" class="col-lg-4 control-label required">Descrição</label>
								<div class="col-lg-8">
									<input id="inputDesc" name="recomendacao.descricao" type="text" class="form-control required" placeholder="Descrição"  value="${recomendacao.descricao}" >
								</div>
							</div>
							
							<div class="form-group">
								<label for="inputPeso" class="col-lg-4 control-label required">Peso</label>
								<div class="col-xs-4">
									<input id="inputPeso" name="recomendacao.peso" type="number" class="form-control numeric required" placeholder="Peso"  value="${recomendacao.peso}" min="0" >
								</div>
							</div>
							
							
							<c:if test="${recomendacao.id != null}">
							
								<c:if test="${parametroCalculo.tsFim == null}">
									<div class="form-group">
										<a id="add-criterios" href="<c:url value="/criterio/novo/${recomendacao.id}" />" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-plus"></span> Incluir Critério</a>
									</div>
								</c:if>
							
								<div class="form-group">
									<table id="criteriosTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
										<thead>
											<tr>
												<th class="text-center" colspan="5">Critérios</th>
											</tr>
											<tr>
												<th>Número</th>
												<th>Peso</th>
												<th>Descrição</th>
												<th>Tipo de Teste</th>
												<th>&nbsp;</th>
											</tr>
										</thead>
										<tbody>
											<c:forEach items="${criterioList}" var="criterio">
												<tr>
													<td>${criterio.numeroCriterio}</td>
													<td>${criterio.peso}</td>
													<td>${criterio.descricao}</td>
													<td>${criterio.tipoTeste.tipo}</td>
													<td>
														<div class="btn-group">
															<a href="<c:url value="/criterio/form/${criterio.id}" />" class="btn btn-default btn-sm">Consultar</a>
															<c:if test="${not empty parametroCalculo.avaliacoes}">
																<a href="<c:url value="/criterio/delete/${recomendacao.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Um novo Parâmetro de Cálculo poderá ser criado a partir do atual. Deseja realmente excluir o critério selecionado?">Excluir</a>
															</c:if>
															<c:if test="${empty parametroCalculo.avaliacoes}">
																<a href="<c:url value="/criterio/delete/${recomendacao.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Deseja realmente excluir o critério selecionada?">Excluir</a>
															</c:if>
														</div>
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</c:if>
							
							<div class="form-group">
								<input type="hidden" name="recomendacao.parametroCalculo.id" value="${parametroCalculoId}" />
								<c:if test="${recomendacao.id != null}">
									<input type="hidden" name="recomendacao.id" value="${recomendacao.id}" />
									<input type="hidden" name="_method" value="put" />
								</c:if>
							</div>
																				
							<div class="form-group">
								<div class="col-lg-10 col-lg-offset-2">
									<a href="<c:url value="/parametrosCalculo/atualizar/${parametroCalculoId}"/>" class="btn btn-default">Cancelar</a>
									<c:if test="${empty parametroCalculo.avaliacoes}">
										<button type="submit" class="btn btn-primary">Salvar</button>
									</c:if>
									<c:if test="${not empty parametroCalculo.avaliacoes}">
										<button type="submit" class="btn btn-primary btn-confirm" data-msg="Um novo Parâmetro de Cálculo será criado a partir do atual. Deseja realmente alterar a recomendação selecionada?">Salvar</button>
									</c:if>
								</div>
							</div>
						</fieldset>
					</form>
				<small>Campo obrigatório (*)</small>
				</div>
			</div> <!--/row-->
			
			<div class="modal fade" id="modalConformidades" tabindex="-1" role="dialog" aria-labelledby="modalConformidadesLabel" aria-hidden="true">
	  			<div class="modal-dialog modal-sm">
					<div class="modal-content">
						<div class="modal-body">
							<p>Em quantas conformidades o valor máximo da recomendação deve ser dividido?</p>
							
							<div class="form-group">
								<div class="col-xs-3">
									<input id="inputQtdConformidades" type="number" class="form-control numeric" min="0">
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button id="gerar-conformidades" type="button" class="btn btn-primary">Criar</button>
						</div>
					</div>
				</div>
			</div>
			
			<script>
			var urlCadastroConformidades = "<c:url value="/conformidades/gerarForm" />";
			var diretrizId = ${recomendacao.id};
			</script>
	</tiles:putAttribute>
</tiles:insertTemplate>