<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>


<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/diretriz" />"><strong><span class="glyphicon glyphicon-check"></span> Recomendações</strong></a>
		
		<a href="<c:url value="/diretriz/form/${parametroCalculoId}" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Recomendação</a>
		
		<br />
		
		<hr />
		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<p>Lista de recomendações do Parametro de Avaliação válido a partir de 
						<b><fmt:formatDate pattern="dd/MM/yyyy HH:mm:ss" value="${parametroCalculo.tsInicio}" /></b>
						, cadastrado por 
						<b>${parametroCalculo.usuario.nome}</b>
					<c:if test="${parametroCalculo.tsFim != null}">
						 válido até <b><fmt:formatDate pattern="dd/MM/yyyy HH:mm:ss" value="${parametroCalculo.tsFim}"/></b>
					</c:if>.
					</p>
					<table id="diretrizTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Número</th>
								<th>Peso</th>
								<th>Descrição</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${diretrizList}" var="diretriz">
								<tr>
									<td><a href="<c:url value="/diretriz/atualizar/${diretriz.id}" />">${diretriz.numeroDiretriz}</a></td>
									<td>${diretriz.peso}</td>
									<td>${diretriz.descricao}</td>
									<td width="30%">
										<div class="btn-group">
											<a href="<c:url value="/diretriz/atualizar/${diretriz.id}" />" class="btn btn-default btn-sm">Consultar</a>
											<a href="<c:url value="/diretriz/delete/${diretriz.id}" />" class="btn btn-default btn-sm btn-confirm" data-msg="Um novo Parâmetro de Avaliação será criado a partir do atual. Deseja realmente excluir a diretriz selecionada?">Excluir</a>
									</td>									
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				<jsp:include page="../template/paginacao.jsp"></jsp:include>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>