<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/tiposTeste" />">
			<strong><span class="glyphicon glyphicon-check"></span> Tipos de Teste</strong>
		</a>

		<hr />

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>

		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>

		<div class="row">
			<div class="col-md-12">
				<form name="tipoTesteForm" class="form-horizontal" action="<c:url value="/tiposTeste"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputTipo" class="col-lg-2 control-label required">Tipo</label>
							<div class="col-lg-10">
								<input id="inputTipo" name="tipoTeste.tipo" type="text" class="form-control required" ${tipoTeste.id != null ? "readonly" : ""} placeholder="Tipo" maxlength="100" value="${tipoTeste.tipo}" />
							</div>
						</div>
						<div class="form-group">
							<label for="inputDescricao" class="col-lg-2 control-label required">Descrição</label>
							<div class="col-lg-10">
								<textarea id="inputDescricao" name="tipoTeste.descricao" class="form-control required" placeholder="Descrição" maxlength="500" rows="4">${tipoTeste.descricao}</textarea>
							</div>
						</div>

						<c:if test="${tipoTeste.id != null}">
							<input type="hidden" name="tipoTeste.id" value="${tipoTeste.id}" />
							<input type="hidden" name="_method" value="put" />
						</c:if>

						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<a href="<c:url value="/tiposTeste"/>" class="btn btn-default">Cancelar</a>
								<button type="submit" class="btn btn-primary">Salvar</button>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
		</div>
		<!--/row-->
	</tiles:putAttribute>
</tiles:insertTemplate>