<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/url" />"><strong><span class="glyphicon glyphicon-check"></span> Avaliar Url's</strong></a>
		
		<a href="<c:url value="/avaliacao/form" />" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> Incluir Url</a>
				
		<br />
		
		<hr />
		
		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>
		
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table id="usuariosTable" pagesize="10" class="table table-striped table-bordered table-hover table-condensed">
						<thead>
							<tr>
								<th>Id</th>
								<th>Url</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${urlList}" var="url">
								<tr>
									<td><a href="<c:url value="/usuarios/${url.id}" />">${url.id}</a></td>
									<td>${url.url}</td>
									<td>
										<div class="btn-group">
											<a href="<c:url value="/avaliacoes/avalia/${url.id}" />" class="btn btn-default btn-sm">Avaliar</a>
										</div>
									</td>									
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
				
				<ul class="pagination">
					<li class="disabled"><a href="#">«</a></li>
					<li class="active"><a href="#">1</a></li>
					<li><a href="#">2</a></li>
					<li><a href="#">3</a></li>
					<li><a href="#">4</a></li>
					<li><a href="#">5</a></li>
					<li><a href="#">»</a></li>
				</ul>
			</div>
		</div>
	</tiles:putAttribute>
</tiles:insertTemplate>