<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>

<tiles:insertTemplate template="/WEB-INF/jsp/template/template.jsp">
	<tiles:putAttribute name="body">
		<a href="<c:url value="/usuarios" />">
			<strong><span class="glyphicon glyphicon-check"></span> Cadastro de usuário</strong>
		</a>

		<hr />

		<c:forEach var="error" items="${errors}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${error.message}
			</div>
		</c:forEach>

		<c:if test="${not empty mensagem}">
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				${mensagem}
			</div>
		</c:if>

		<div class="row">
			<div class="col-md-12">
				<form name="usuariosForm" class="form-horizontal" action="<c:url value="/usuarios"/>" method="post">
					<fieldset>
						<div class="form-group">
							<label for="inputNome" class="col-lg-2 control-label required">Nome</label>
							<div class="col-lg-10">
								<input id="inputNome" name="usuario.nome" type="text" class="form-control required" placeholder="Nome" value="${usuario.nome}" />
							</div>
						</div>

						<div class="form-group">
							<label for="inputCpf" class="col-lg-2 control-label required">CPF</label>
							<div class="col-lg-10">
								<input id="inputCpf" name="usuario.cpf" type="text" class="form-control cpf required" placeholder="CPF" value="${usuario.cpf}" />
							</div>
						</div>
						
						<div class="form-group">
							<label for="inputEmail" class="col-lg-2 control-label required">Email</label>
							<div class="col-lg-10">
								<input id="inputEmail" name="usuario.email" type="text" class="form-control required" placeholder="Email" value="${usuario.email}" />
							</div>
						</div>
						
						<div class="form-group">
							<label for="selectGrupo" class="col-lg-2 control-label required">Grupo</label>
							<div class="col-lg-10">
								<select id="selectGrupo" class="form-control required" name="usuario.grupo.id">
									<option value="">Selecione</option>
									<c:forEach items="${grupoList}" var="grupo">
										<c:choose>
											<c:when test="${usuario.grupo.id == grupo.id}">
												<option value="${grupo.id}" selected>${grupo.nome}</option>
											</c:when>
											<c:otherwise>
												<option value="${grupo.id}">${grupo.nome}</option>
											</c:otherwise>
										</c:choose>
									</c:forEach>
								</select>
							</div>
						</div>

						<div class="form-group">
							<label for="inputSenha" class="col-lg-2 control-label required">Senha</label>
							<div class="col-lg-10">
								<c:choose>
									<c:when test="${usuario.id == null}">
										<input id="inputSenha" name="usuario.senha" type="password" class="form-control required" placeholder="Senha" />
									</c:when>
									<c:otherwise>
										<input id="inputSenha" name="usuario.senha" type="password" class="form-control" placeholder="Senha" />
									</c:otherwise>
								</c:choose>
							</div>
						</div>

						<c:if test="${usuario.id != null}">
							<input type="hidden" name="usuario.id" value="${usuario.id}" />
							<input type="hidden" name="_method" value="put" />
						</c:if>

						<div class="form-group">
							<div class="col-lg-10 col-lg-offset-2">
								<a href="<c:url value="/usuarios"/>" class="btn btn-default">Cancelar</a>
								<button type="submit" class="btn btn-primary">Salvar</button>
							</div>
						</div>
					</fieldset>
				</form>
				
				<small>Campo obrigatório (*)</small>
			</div>
		</div>
		<!--/row-->
	</tiles:putAttribute>
</tiles:insertTemplate>