$.extend($.validator.messages, {
    required: "Este campo é obrigatório.",
    remote: "Please fix this field.",
    email: "Please enter a valid email address.",
    url: "Please enter a valid URL.",
    date: "Please enter a valid date.",
    dateISO: "Please enter a valid date (ISO).",
    number: "Digite um número válido.",
    digits: "Please enter only digits.",
    creditcard: "Please enter a valid credit card number.",
    equalTo: "Please enter the same value again.",
    accept: "Please enter a value with a valid extension.",
    maxlength: $.validator.format("Please enter no more than {0} characters."),
    minlength: $.validator.format("Please enter at least {0} characters."),
    rangelength: $.validator.format("Please enter a value between {0} and {1} characters long."),
    range: $.validator.format("Please enter a value between {0} and {1}."),
    max: $.validator.format("Please enter a value less than or equal to {0}."),
//  min: $.validator.format("Please enter a value greater than or equal to {0}.")
    min: $.validator.format("O valor máximo do tipo de conformidade deve ser maior que zero.")
});

$("#testeForm").on("submit", function(e) {
	e.preventDefault();
	
	if ($("#testeForm").valid()) {
	 	$.ajax({
	 		type: "POST",
	 		url: $(this).attr("action"),
	 		data: {
	 			"teste.url": $("#inputUrl").val(),
	 			"teste.xml": $("#inputXml").val()
	 		},
	 		dataType: "json",
	 		beforeSend: function(xhr) {
	 			$("#loader").show();
	 		}
	 	}).done(function(data) {
	 		$("#inputImagem").val(data.path);
	 		$("#inputNota").val(data.nota);
	 	}).always(function() {
	 		$("#loader").hide();
	 	});
	}
});

$(".date").datepicker({
	language: "pt-BR",
    autoclose: true,
    todayHighlight: true
});

$(".cpf").mask("000.000.000-00");

$(".numeric, .number").numeric({
	decimal: false,
	negative: false
}, function() {
	this.value = "";
	this.focus();
});

$(".btn-cancel").on("click", function(e) {
	e.preventDefault();
	
	history.back(-1);
});

$(".btn-confirm").on("click", function(e) {	
	if (confirm($(this).data("msg"))) {
		return true;
	}
	return false;
});

$("#add-conformidades").on("click", function(e) {
	e.preventDefault();
	
	$('#modalConformidades').modal({
		keyboard: false
	});
	$("#modalConformidades").modal("show");
});

$(".btn-confirm-modal").on("click", function(e) {
	e.preventDefault();
	
	$('#modalImport').modal({
		keyboard: false
	});
	$("#modalImport").modal("show");
});

$("#novo-parametro").on("click", function(e) {
	e.preventDefault();
	window.location.replace(urlNovoParametro);
});

$("#importar-parametro").on("click", function(e) {
	e.preventDefault();
	window.location.href = urlImportarParametro;
});

$("#gerar-conformidades").on("click", function(e) {
	e.preventDefault();
	
	var $input = $("#inputQtdConformidades");
	
	if ($input.val() < 0) {
		alert("O valor deve ser positivo.");
	}
	
	window.location.href = urlCadastroConformidades + "/" + diretrizId + "/" + $input.val();
});

$("#form-add-conformidades .faixaInicial:first").val(0).attr({
	readonly: true,
	min: 0,
	max: 0
});

$("#form-add-conformidades .faixaFinal:last").val(quantidadeMaximaDiretriz).attr({
	readonly: true,
	min: quantidadeMaximaDiretriz,
	max: quantidadeMaximaDiretriz
});

$("#form-add-conformidades .faixaInicial, #form-add-conformidades .faixaFinal").not(":first").on("change", function(e) {
	var $this = $(this);
	var $parent = $this.parents("fieldset.conformidade:first");
	var $inicial = $parent.find(".faixaInicial");
	var $final = $parent.find(".faixaFinal");
	
	var thisVal = parseInt($this.val());
	var valInicial = parseInt($inicial.val());
	var valFinal = parseInt($final.val());
	
	$parent.addClass("validating");
	if (thisVal > quantidadeMaximaDiretriz) {
		alert("O valor máximo da diretriz é " + quantidadeMaximaDiretriz);
		$this.val("").focus();
		$parent.removeClass("validating");
		
		return;
	}
	
	if (($inicial.val() != "" && $final.val() != "")
			&& (valInicial >= valFinal)) {
		alert("A faixa inicial deve ser menor que a final.");
		$inicial.val("").focus();
		$final.val("");
		$parent.removeClass("validating");
		
		return;
	}
	
	var valido = true;
	$(".conformidade:not(.validating)").each(function(idx, el) {
		var $el = $(el);
		var $elInicial = $el.find(".faixaInicial");
		var $elFinal = $el.find(".faixaFinal");
		
		var valElInicial = parseInt($elInicial.val());
		var valElFinal = parseInt($elFinal.val());
		
		if ($elInicial.val() == "" || $elFinal.val() == "") {
			return;
		}
		
		if ($inicial.attr("readonly") == undefined) {			
			if (valInicial == valElInicial) {
				$inicial.val("").focus();
			}
		}
		
		if ($final.attr("readonly") == undefined) {
			if (valFinal == valElFinal) {
				$final.val("").focus();
			}
		}
		
		if ((valInicial <= valElInicial)
				&& (valFinal >= valElFinal)) {
			valido = false;
		}
		
		if ((valInicial >= valElInicial)
				&& (valInicial <= valElFinal) 
				&& (valFinal >= valElFinal)) {
			valido = false;
		}
	});
	
	if (!valido) {
		if ($inicial.attr("readonly") == undefined) {				
			$inicial.val("").focus();
		}
		if ($final.attr("readonly") == undefined) {				
			$final.val("");
		}
		alert("Faixa inválida, preencha corretamente.");
	}
	
	$parent.removeClass("validating");
});

$("form").validate();

//$('#user-pagination').bootstrapPaginator({
//	onPageClicked: function(event, originalEvent, type, page) {
//		console.log(event);
//		console.log(originalEvent);
//		console.log(type);
//		console.log(page);
//	}
//});