package br.com.eselo.component;

import java.util.Date;

import org.hibernate.Session;

import br.com.eselo.dao.ParametroCalculoDAO;
import br.com.eselo.dao.UsuarioDAO;
import br.com.eselo.model.Criterio;
import br.com.eselo.model.Faixa;
import br.com.eselo.model.ParametroCalculo;
import br.com.eselo.model.Recomendacao;
import br.com.eselo.model.Usuario;

public class CopiadorParametroCalculo {
	
	public void criarNovoParametroCalculo(ParametroCalculo ultimoParametroAvaliacao, UsuarioWeb usuarioWeb, Session session) {

		ParametroCalculoDAO parametroCalculoDAO = new ParametroCalculoDAO(session);
		
		UsuarioDAO usuarioDAO = new UsuarioDAO(session);
		Usuario usuario = usuarioDAO.load(usuarioWeb.getId());

		// Cria o parametro
		ParametroCalculo novoParametroAvaliacao = new ParametroCalculo();
		novoParametroAvaliacao.setUsuario(usuario);
		//novoParametroAvaliacao.setTsInicio(new Date());
		//novoParametroAvaliacao.setTsFim(null);
		
		if(ultimoParametroAvaliacao.getDescricao()==null){
			novoParametroAvaliacao.setDescricao("Novo Parâmetro de Cálculo");
		}else{
			novoParametroAvaliacao.setDescricao("Baseado no "+ultimoParametroAvaliacao.getDescricao());
		}
		
		for(Recomendacao recomendacao:ultimoParametroAvaliacao.getRecomendacoes()){
			
			Recomendacao novaRecomendacao = new Recomendacao();
			novaRecomendacao.setParametroCalculo(novoParametroAvaliacao);
			novaRecomendacao.setNumeroRecomendacao(recomendacao.getNumeroRecomendacao());
			novaRecomendacao.setDescricao(recomendacao.getDescricao());
			novaRecomendacao.setPeso(recomendacao.getPeso());
			
			for(Criterio criterio: recomendacao.getCriterios()){
				
				Criterio novoCriterio = new Criterio();
				novoCriterio.setRecomendacao(novaRecomendacao);
				novoCriterio.setNumeroCriterio(criterio.getNumeroCriterio());
				novoCriterio.setDescricao(criterio.getDescricao());
				novoCriterio.setPeso(criterio.getPeso());
				novoCriterio.setTipoTeste(criterio.getTipoTeste());
				novoCriterio.setRequisito(criterio.getRequisito());
				novoCriterio.setErro(criterio.isErro());
				novoCriterio.setVerificacaoAutomatica(criterio.isVerificacaoAutomatica());
				
				for(Faixa faixa: criterio.getFaixas()){
					Faixa novaFaixa = new Faixa();
					novaFaixa.setCriterio(novoCriterio);
					novaFaixa.setDescricao(faixa.getDescricao());
					novaFaixa.setFaixa(faixa.getFaixa());
					novaFaixa.setFaixaInicio(faixa.getFaixaInicio());
					novaFaixa.setFaixaFim(faixa.getFaixaFim());
					novaFaixa.setPercentualConformidade(faixa.getPercentualConformidade());
					
					novoCriterio.addFaixa(novaFaixa);
				}
				
				novaRecomendacao.addCriterio(novoCriterio);
			}
			System.out.println("Recomendacao "+novaRecomendacao.getNumeroRecomendacao());
			novoParametroAvaliacao.addRecomendacao(novaRecomendacao);
		}
		
		// Salva novo e atualiza o ultimo
			//ultimoParametroAvaliacao = parametroCalculoDAO.load(ultimoParametroAvaliacao.getId());
			
			//ultimoParametroAvaliacao = parametroCalculoDAO.getLastParametrosCalculo();
			//ultimoParametroAvaliacao.setTsFim(novoParametroAvaliacao.getTsInicio());
			//parametroCalculoDAO.update(ultimoParametroAvaliacao);
		
			parametroCalculoDAO.save(novoParametroAvaliacao);
	}
	
	public ParametroCalculo copiarParametroCalculo(ParametroCalculo parametroCalculo){
		ParametroCalculo novoParametroAvaliacao = new ParametroCalculo();
		
		novoParametroAvaliacao.setDescricao(parametroCalculo.getDescricao());
		novoParametroAvaliacao.setTsInicio(new Date());
		
		
		for(Recomendacao recomendacao : parametroCalculo.getRecomendacoes()){

			Recomendacao novaRecomendacao = new Recomendacao();
			novaRecomendacao.setParametroCalculo(novoParametroAvaliacao);
			novaRecomendacao.setNumeroRecomendacao(recomendacao.getNumeroRecomendacao());
			novaRecomendacao.setDescricao(recomendacao.getDescricao());
			novaRecomendacao.setPeso(recomendacao.getPeso());

			for(Criterio criterio: recomendacao.getCriterios()){

				Criterio novoCriterio = new Criterio();
				novoCriterio.setRecomendacao(novaRecomendacao);
				novoCriterio.setNumeroCriterio(criterio.getNumeroCriterio());
				novoCriterio.setDescricao(criterio.getDescricao());
				novoCriterio.setPeso(criterio.getPeso());
				novoCriterio.setTipoTeste(criterio.getTipoTeste());

				for(Faixa faixa: criterio.getFaixas()){
					Faixa novaFaixa = new Faixa();
					novaFaixa.setCriterio(novoCriterio);
					novaFaixa.setDescricao(faixa.getDescricao());
					novaFaixa.setFaixa(faixa.getFaixa());
					novaFaixa.setFaixaInicio(faixa.getFaixaInicio());
					novaFaixa.setFaixaFim(faixa.getFaixaFim());
					novaFaixa.setPercentualConformidade(faixa.getPercentualConformidade());

					novoCriterio.addFaixa(novaFaixa);
				}

				novaRecomendacao.addCriterio(novoCriterio);
			}

			novoParametroAvaliacao.addRecomendacao(novaRecomendacao);
		}

		return novoParametroAvaliacao;
	}
	
}
