package br.com.eselo.component;

import java.security.Timestamp;
import java.text.DateFormat;
import java.text.DecimalFormat;
import java.text.Normalizer;
import java.text.SimpleDateFormat;
import java.text.Normalizer.Form;
import java.text.ParseException;
import java.time.ZoneOffset;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoUnit;
import java.time.temporal.TemporalAccessor;
import java.util.Date;
import java.util.Locale;
import java.util.regex.Pattern;

import javax.persistence.Temporal;
import javax.swing.text.MaskFormatter;

public class Util {

	private static final Pattern NONLATIN = Pattern.compile("[^\\w-]");
	private static final Pattern WHITESPACE = Pattern.compile("[\\s]");

	public static String format(String mascara, Object valor) {
		MaskFormatter mask;

		try {
			mask = new MaskFormatter(mascara);
			mask.setValueContainsLiteralCharacters(false);
			return mask.valueToString(valor);
		} catch (ParseException e) {
			throw new RuntimeException(e);
		}
	}

	public static String toSlug(String input) {
		String nowhitespace = WHITESPACE.matcher(input).replaceAll("-");
		String normalized = Normalizer.normalize(nowhitespace, Form.NFD);
		String slug = NONLATIN.matcher(normalized).replaceAll("_");
		return slug.toLowerCase(Locale.ENGLISH);
	}
	
	public static String dataHoraAtual() {
		//DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-ddTHH:mm:ssZ");  
        //dateFormat.format(new Date());
		return ZonedDateTime.now( ZoneOffset.UTC )
        .truncatedTo( ChronoUnit.SECONDS )
        .format( DateTimeFormatter.ISO_DATE_TIME );
      
	}
	
	public static String convertDataBrasil(java.sql.Timestamp data) {
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		 return sdf.format(data);
		
	}
	
	public static double formataCasasDecimais(double valor) {
		
		DecimalFormat decimal = new DecimalFormat( "0.##" );		
		
		 return Double.valueOf(decimal.format(valor).replaceAll(",", "."));
		
	}
}
