package br.com.eselo.controller;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.sql.Time;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.List;
import java.util.Properties;

import javax.imageio.ImageIO;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.swing.Timer;
import javax.ws.rs.QueryParam;

import org.apache.commons.httpclient.DefaultHttpMethodRetryHandler;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpMethod;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.commons.httpclient.methods.HeadMethod;
import org.apache.commons.httpclient.params.HttpConnectionParams;
import org.apache.commons.httpclient.params.HttpMethodParams;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import br.com.caelum.vraptor.Get;
import br.com.caelum.vraptor.Post;
import br.com.caelum.vraptor.Resource;
import br.com.caelum.vraptor.Result;
import br.com.caelum.vraptor.Validator;
import br.com.caelum.vraptor.view.Results;
import br.com.eselo.component.LeitorXML;
import br.com.eselo.component.Mailer;
import br.com.eselo.component.URLNormalizer;
import br.com.eselo.component.UsuarioWeb;
import br.com.eselo.component.Util;
import br.com.eselo.component.WebChecker;
import br.com.eselo.dao.AgendamentoAvaliacaoUrlDAO;
import br.com.eselo.dao.AvaliacaoDAO;
import br.com.eselo.dao.CriterioDAO;
import br.com.eselo.dao.OrgaoDao;
import br.com.eselo.dao.ParametroCalculoDAO;
import br.com.eselo.dao.RecomendacaoDAO;
import br.com.eselo.dao.ResultadoCriterioDao;
import br.com.eselo.dao.ResultadoRecomendacaoDao;
import br.com.eselo.dao.SitioDAO;
import br.com.eselo.dao.UrlDAO;
import br.com.eselo.integracao.CriterioAvaliado;
import br.com.eselo.integracao.RecomendacaoAvaliada;
import br.com.eselo.integracao.RelatorioAvaliacao;
import br.com.eselo.integracao.ResultadoAvaliacao;
import br.com.eselo.model.AgendamentoAvaliacaoUrl;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.Criterio;
import br.com.eselo.model.Orgao;
import br.com.eselo.model.ParametroCalculo;
import br.com.eselo.model.Recomendacao;
import br.com.eselo.model.ResultadoCriterio;
import br.com.eselo.model.ResultadoRecomendacao;
import br.com.eselo.model.ResumoAvaliacao;
import br.com.eselo.model.Url;

@Resource
public class AvaliacaoController {

	private static final Logger LOGGER = LoggerFactory
			.getLogger(AvaliacaoController.class);
	private final Result result;
	private final UrlDAO daoUrl;
	private final ParametroCalculoDAO paramDao;
	private final AvaliacaoDAO dao;
	private final SitioDAO daoSitio;
	private final OrgaoDao daoOrgao;
	private final AgendamentoAvaliacaoUrlDAO daoAgendamentoAvaliacaoUrl;
	private final ResultadoRecomendacaoDao daoResultadoRecomendacao;
	private final HttpServletRequest request;
	private ServletContext application;

	private final ResultadoCriterioDao daoResultadoCriterio;
	private final CriterioDAO daoCriterio;
	private final RecomendacaoDAO daoRecomendacao;

	private static final String CAMINHO_SELOS = "eselo.config.avaliacao.caminhoSelos";
	private static final String URL_SERVICO = "eselo.config.avaliacao.urlServico";
	private static final String URL_ARQUIVOS_HTML = "eselo.config.avaliacao.enderecoHtml";
	private static final String SALVAR_ARQUIVOS_HTML = "eselo.config.avaliacao.arquivosHtml";
	private static final String SALVAR_ARQUIVOS_JSON = "eselo.config.avaliacao.arquivosJson";
	
	private final Properties properties = new Properties();

	public AvaliacaoController(Result _result, UrlDAO _daoUrl,
			ParametroCalculoDAO _paramDao, UsuarioWeb _usuarioWeb,
			Validator _validator, HttpServletRequest _request,
			AvaliacaoDAO _dao, AvaliacaoDAO _avaliAvaliacaoDAO,
			ServletContext application,
			ResultadoRecomendacaoDao _daoResultadoRecomendacao,
			ResultadoCriterioDao _daoResultadoCriterio,
			CriterioDAO _daoCriterio, RecomendacaoDAO _daoRecomendacao,
			SitioDAO _daoSitio, OrgaoDao _daoOrgao, AgendamentoAvaliacaoUrlDAO _daoAgendamentoAvaliacaoUrl)// gibran
			// ResultadoCriterioDao
			// _resultadoCriterioDao
			throws IOException {
		daoUrl = _daoUrl;
		dao = _dao;
		daoSitio = _daoSitio;
		daoOrgao = _daoOrgao;
		daoResultadoRecomendacao = _daoResultadoRecomendacao;		
		result = _result;
		paramDao = _paramDao;
		request = _request;
		this.application = application;
		
		this.daoAgendamentoAvaliacaoUrl = _daoAgendamentoAvaliacaoUrl;
		this.daoResultadoCriterio = _daoResultadoCriterio;
		this.daoCriterio = _daoCriterio;
		this.daoRecomendacao = _daoRecomendacao;

		String fileName = "config.properties";
		InputStream stream = Mailer.class.getResourceAsStream("/" + fileName);
		Properties propertiesFile = new Properties();

		if (stream != null) {
			propertiesFile.load(stream);
			this.properties.putAll(propertiesFile);
		} else {
			LOGGER.warn("Could not find the file '{}' to load.", fileName);
		}
	}

	public void form() {
	}

	@Get("/avaliar/{url}")
	public void resultado(String url) {
		String xml;
		// Obtendo um xml de teste
		if (url.equals("www.teste.com.br")) {
			xml = RelatorioAvaliacao.TESTEXML;
		} else {
			RelatorioAvaliacao ra = new RelatorioAvaliacao();
			ra.setUrl(url);
			ra.setDate(new Date());
			xml = ra.toString();
		}

		// Receber o xml
		RelatorioAvaliacao relatorioAvaliacao = new LeitorXML()
				.lerAvaliacaoXML(xml);

		calcularNota(relatorioAvaliacao, false);
	}

	private Double avaliar(RelatorioAvaliacao relatorioAvaliacao, Url url,
			String urlComProtocolo, boolean salvarAvaliacao) {

		List<Recomendacao> lsRecomendacao = new ArrayList<Recomendacao>();

		// lsResultadoCriterio = daoCriterio.listAll();

		List<Recomendacao> recomendacoesValidas;
		List<RecomendacaoAvaliada> recomendacoesAvaliadas;
		recomendacoesAvaliadas = new ArrayList<RecomendacaoAvaliada>();

		List<RecomendacaoAvaliada> lsRecomendacaoAvaliada = new ArrayList<RecomendacaoAvaliada>();
		List<CriterioAvaliado> lsCriterioAvaliado = new ArrayList<CriterioAvaliado>();

		RecomendacaoAvaliada recAvaliada;

		RelatorioAvaliacao relatorioAvaliacaoSalvar;

		double somaPesosRecomendacoes = 0.0;
		double conformidadeAcessibilidade = 0.0;
		List<String> recomendacoesCriteriosParaImprimir = new ArrayList<String>();
		/*
		 * Nota da Avaliação = (somatório da Nota Teste / somatório do peso)
		 * Nota da Avaliação = 2,025 + 2,3 / 3 + 4 Nota da Avaliação = 4,325 / 7
		 * Nota da Avaliação = 0,61785
		 */
		double notaCriterio = 0.0;
		double notaRecomendacao = 0.0;
		double somatorioNotaTeste = 0.0;
		double somatorioPesosCriterios = 0.0;
		
		//System.out.println(relatorioAvaliacao);
		
		/*
		 * Nota da Recomendação = Nota da Avaliação * Peso da Recomendação Nota
		 * da Recomendação = 0,61785 * 3 Nota da Recomendação = 1,8535
		 */
		double somatorioNotaRecomendacoes = 0.0;

		
		// obter os resultados
		recomendacoesAvaliadas = relatorioAvaliacao.getRecomendacoes();

		
		
		ParametroCalculo parametroCalculo = paramDao
				.getLastParametrosCalculoAtivo();
		if (parametroCalculo != null) {

			// foi colocada abaixo (Gibran)
			// Avaliacao novaAvalicao = salvarAvaliacao(relatorioAvaliacao,
			// parametroCalculo);

			// obter as diretrizes e níveis de conformidade
			recomendacoesValidas = parametroCalculo.getRecomendacoes();

			// Lendo e Comparando os resultados com o Parametro de Avaliacao
			for (RecomendacaoAvaliada recomendacaoAvaliada : recomendacoesAvaliadas) {
				// System.out.println("recomendacaoAvaliada = " +
				// recomendacaoAvaliada.getIdRecomendacao());
				// System.out.println(recomendacaoAvaliada.getIdRecomendacao());
				recomendacoesCriteriosParaImprimir
						.add("recomendacaoAvaliada = "
								+ recomendacaoAvaliada.getIdRecomendacao());
				recAvaliada = new RecomendacaoAvaliada();
				

				for (Recomendacao recomendacao : recomendacoesValidas) {
					if (recomendacaoAvaliada.getIdRecomendacao().equals(
							recomendacao.getNumeroRecomendacao())) {
						
						for (CriterioAvaliado criterioAvaliado : recomendacaoAvaliada
								.getCriterios()) {
							// System.out.println("criterioAvaliado = " +
							// criterioAvaliado.getIdCriterio());
							recomendacoesCriteriosParaImprimir
									.add("criterioAvaliado = "
											+ criterioAvaliado.getIdCriterio());
							notaCriterio = 0.0;
							Criterio criterioSalvar = new Criterio();
							for (Criterio criterio : recomendacao
									.getCriterios()) {
								criterioSalvar = criterio;
								if (criterioAvaliado.getIdCriterio().equals(
										criterio.getNumeroCriterio())) {

									notaCriterio = criterio
											.getResultadoTeste(criterioAvaliado);
									somatorioNotaTeste = notaCriterio
											+ somatorioNotaTeste;
									somatorioPesosCriterios = criterio
											.getPeso()
											+ somatorioPesosCriterios;
									// System.out.println("somatorioNotaTeste = "
									// + somatorioNotaTeste);
									recomendacoesCriteriosParaImprimir
											.add("Resultado teste criterio = "
													+ criterio
															.getResultadoTeste(criterioAvaliado));

									recomendacoesCriteriosParaImprimir
											.add("Peso do Critério = "
													+ criterio.getPeso());
									recomendacoesCriteriosParaImprimir
											.add("somatorioNotaTeste = "
													+ somatorioNotaTeste);
									// System.out.println("somatorioPesosCriterios = "
									// + somatorioPesosCriterios);
									recomendacoesCriteriosParaImprimir
											.add("somatorioPesosCriterios = "
													+ somatorioPesosCriterios);

									// criterioAvaliado.setNu_nota(notaCriterio);
									// criterioAvaliado.setIdCriterio(criterio.getId());
									// criterioAvaliado.setCriterio(criterio);
									// lsCriterioAvaliado.add(criterioAvaliado);
									break;
								}

							}
							
							
							criterioAvaliado.setNu_nota(notaCriterio);
							criterioAvaliado.setIdCriterio(criterioSalvar
									.getId());
							criterioAvaliado.setCriterio(criterioSalvar);
							lsCriterioAvaliado.add(criterioAvaliado);
							// criterioAvaliado.setNu_nota(notaCriterio);
							// lsCriterioAvaliado.add(criterioAvaliado);
						}
						
						if (somatorioPesosCriterios > 0) {

							notaRecomendacao = (somatorioNotaTeste / somatorioPesosCriterios)
									* recomendacao.getPeso();

							somaPesosRecomendacoes = somaPesosRecomendacoes
									+ recomendacao.getPeso();
							// System.out.println("somaPesosRecomendacoes = " +
							// somaPesosRecomendacoes);
							recomendacoesCriteriosParaImprimir
									.add("Peso da Recomendação = "
											+ recomendacao.getPeso());
							recomendacoesCriteriosParaImprimir
									.add("somaPesosRecomendacoes = "
											+ somaPesosRecomendacoes);
							somatorioNotaRecomendacoes = notaRecomendacao
									+ somatorioNotaRecomendacoes;
							// System.out.println("somatorioNotaRecomendacoes = "
							// + somatorioNotaRecomendacoes);
							recomendacoesCriteriosParaImprimir
									.add("somatorioNotaRecomendacoes = "
											+ somatorioNotaRecomendacoes);

							recAvaliada.setIdRecomendacao(recomendacaoAvaliada
									.getIdRecomendacao());
							recAvaliada.setCriterios(lsCriterioAvaliado);
							recAvaliada.setNuNota(notaRecomendacao);
							recAvaliada.setTotalAvisos(recomendacaoAvaliada
									.getTotalAvisos());
							recAvaliada.setTotalErros(recomendacaoAvaliada
									.getTotalErros());

							lsRecomendacaoAvaliada.add(recAvaliada);
							lsCriterioAvaliado = new ArrayList<CriterioAvaliado>();
						}
						else
						{
							lsCriterioAvaliado = new ArrayList<CriterioAvaliado>();
						}
						somatorioNotaTeste = 0.0;
						somatorioPesosCriterios = 0.0;
						break;
					}
				}

			}

			/*
			 * Calculo da Conformidade Acessibilidade Conformidade
			 * Acessibilidade = somatório das notas das recomendações (NR) /
			 * somatório dos pesos das recomendações (PR) Conformidade
			 * Acessibilidade = NR1 + NR2 + NR3 + NR22 / PR1 + PR2 + PR3 + PR22
			 * Conformidade Acessibilidade = 1,10625 + 0,5 + 0,8 + 1,8535 / 3 +
			 * 1 + 2 + 3 Conformidade Acessibilidade = 4,25975 / 9 Conformidade
			 * Acessibilidade = 0,4733 ==> 47,33 %
			 */
			
			
			conformidadeAcessibilidade = 100 * (somatorioNotaRecomendacoes / somaPesosRecomendacoes);

			
			conformidadeAcessibilidade = (double) new Double(
					conformidadeAcessibilidade * 100).intValue() / 100;
			// System.out.println("conformidadeAcessibilidade = " +
			// conformidadeAcessibilidade);
			recomendacoesCriteriosParaImprimir
					.add("conformidadeAcessibilidade = "
							+ conformidadeAcessibilidade);
			//for (String string : recomendacoesCriteriosParaImprimir) {
			//	System.out.println(string);
			//}

			relatorioAvaliacao.setRecomendacoes(lsRecomendacaoAvaliada);
			
			if (salvarAvaliacao) {
				
				Avaliacao novaAvalicao = salvarAvaliacao(relatorioAvaliacao,
						parametroCalculo, conformidadeAcessibilidade);

				// novaAvalicao.setNota(conformidadeAcessibilidade);
				// dao.update(novaAvalicao);

				ResumoAvaliacao resumoAvaliacao = new ResumoAvaliacao();

				resumoAvaliacao.setValor(conformidadeAcessibilidade);
				resumoAvaliacao.setUrl(urlComProtocolo);
				resumoAvaliacao.setDataAvaliacao(Util.dataHoraAtual());
				// this.result.forwardTo(PersistenciaFileSystemController.class).salvarhtml(resumoAvaliacao,
				// novaAvalicao, urlComProtocolo);

				// salvarJsGrafico(url);
				salvarhtml(resumoAvaliacao, novaAvalicao, url.getUrl(), url);
			}

		}
	
		//gerarSelo(url, conformidadeAcessibilidade);
		
		return conformidadeAcessibilidade;
	}

	/**
	 * Função REST que executa uma avaliação e devolve seu resultado no formato
	 * JSON
	 *
	 * @param relatorioAvaliacao
	 */
	@Post("/calcular-nota")
	public void calcularNota(RelatorioAvaliacao relatorioAvaliacao,	boolean salvarAvaliacao) {
		 //System.out.println(relatorioAvaliacao);
		ResultadoAvaliacao resultadoAvaliacao = new ResultadoAvaliacao();
		String observacao = "Foi impossivel realizar a avaliação.";
		String urlComProtocolo = relatorioAvaliacao.getUrl();

		
		ParametroCalculo parametroCalculo = paramDao
				.getLastParametrosCalculoAtivo();
		
		if (parametroCalculo != null) {
			//String fullContextPath = request.getScheme() + "://"
			//		+ request.getServerName() + ":" + request.getServerPort()
			//		+ request.getContextPath();
			String fullContextPath = "/";
			

			if (relatorioAvaliacao.getRecomendacoes() != null
					&& relatorioAvaliacao.getRecomendacoes().size() > 0
					&& relatorioAvaliacao.getDate() != null
					&& relatorioAvaliacao.getUrl() != null) {
				try {
					relatorioAvaliacao.setUrl(URLNormalizer.normalize(relatorioAvaliacao.getUrl()));
				} catch (MalformedURLException e) {
					e.printStackTrace();
				}
				Url url = daoUrl.getStringUrl(relatorioAvaliacao.getUrl());
				
				if (url == null) {
					url = new Url();
					url.setUrl(relatorioAvaliacao.getUrl());
					daoUrl.save(url);
				}
				
				//resultadoAvaliacao.setPath(fullContextPath + "/"
				//		+ properties.getProperty(CAMINHO_SELOS) + "/"
				//		+ url.getId().toString() + "/selo.png");
				
				resultadoAvaliacao.setPath("/"
						+ properties.getProperty(CAMINHO_SELOS) + "/"
						+ url.getId().toString() + "/selo.png");

				
				
				resultadoAvaliacao.setUrl(url.getUrl());
				resultadoAvaliacao.setDataSolicitacao(relatorioAvaliacao
						.getDate());
				
				double nota = avaliar(relatorioAvaliacao, url, urlComProtocolo,
						salvarAvaliacao);
				
				if (nota > 0) {
					resultadoAvaliacao.setNota(nota);
					observacao = "Avaliação realizada com sucesso!";
				} else {
					resultadoAvaliacao.setNota(null);
				}
			} else {
				resultadoAvaliacao.setNota(null);
				resultadoAvaliacao.setUrl(relatorioAvaliacao.getUrl());
				resultadoAvaliacao.setDataSolicitacao(relatorioAvaliacao
						.getDate());
			}

		} else {
			observacao = "Não existe parâmetros de cálculo ativo. Foi impossível realizar a avaliação.";
		}

		resultadoAvaliacao.setDataSolicitacao(relatorioAvaliacao.getDate());
		resultadoAvaliacao.setDataResultado(new Date());
		resultadoAvaliacao.setObservacoes(observacao);
		
		result.use(Results.json()).withoutRoot().from(resultadoAvaliacao)
				.serialize();
	}

	private Avaliacao salvarAvaliacao(RelatorioAvaliacao relatorioAvaliacao,
			ParametroCalculo parametroCalculo, Double nota) {

		try {
			relatorioAvaliacao.setUrl(URLNormalizer
					.normalize(relatorioAvaliacao.getUrl()));
		} catch (MalformedURLException e) {
			System.out
					.println("Erro ao tentar normalizar a URL do Relatorio de Avaliacao");
			e.printStackTrace();
		}

		Avaliacao avaliacao = new Avaliacao();
		avaliacao.setDataAvaliacao(relatorioAvaliacao.getDate());
		avaliacao.setParametroCalculo(parametroCalculo);
		avaliacao.setQtdeLinhas(relatorioAvaliacao.getQtdeLinhas());
		avaliacao.setNota(nota);

	
		Url url = daoUrl.getStringUrl(relatorioAvaliacao.getUrl());

		if (url == null) {
			url = new Url();
			url.setUrl(relatorioAvaliacao.getUrl());
			daoUrl.save(url);
		}
		url.setUrl(relatorioAvaliacao.getUrl());
	
		
		avaliacao.setUrl(url);
		
		avaliacao = new LeitorXML().lerResultadosXML(relatorioAvaliacao,
				avaliacao);
		
		dao.save(avaliacao);
		return avaliacao;
	}

	public void gerarSelo(Url url, double nota) {
		BufferedImage img = null;
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
		@SuppressWarnings("deprecation")
		String caminhoSelo = request.getRealPath("/"
				+ properties.getProperty(CAMINHO_SELOS));
		@SuppressWarnings("deprecation")
		String caminhoModelos = request.getRealPath("/static/img");
		Date dataAtual = new Date(System.currentTimeMillis());
		String dataFormatada = sdf.format(dataAtual);

		String tipoSelo = null;
		if (nota >= 0 && nota < 60) {
			tipoSelo = "bronze";
		} else if (nota >= 60 && nota < 90) {
			tipoSelo = "prata";
		} else {
			tipoSelo = "ouro";
		}

		try {
			img = ImageIO.read(new File(caminhoModelos + File.separator
					+ "modelo_selo_" + tipoSelo + ".png"));
		} catch (IOException ex) {
			ex.printStackTrace();
		}

		Graphics g = img.getGraphics();
		g.setColor(new Color(153, 204, 0));
		g.setFont(new Font("Arial", Font.PLAIN | Font.LAYOUT_LEFT_TO_RIGHT, 12));
		g.drawString("Auditado em: " + dataFormatada + " (" + tipoSelo + ")",
				8, 120);

		File pastaURL = new File(caminhoSelo + File.separator
				+ url.getId().toString());

		if (!pastaURL.exists()) {
			pastaURL.mkdirs();
		}

		try {
			ImageIO.write(img, "PNG", new File(caminhoSelo + File.separator
					+ url.getId().toString() + File.separator + "selo.png"));
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}

	// chama um serviço no ases para avaliar a url
	@Get("/avaliar-url")
	@Post("/avaliar-url")
	public void avaliarUrl(@QueryParam("url") String url) {
		
				
		boolean paginaAvaliada = false;
		//boolean urlAvaliada = false;
		String urlAvaliada = "false";
		String paginaAlterada = "";
		
		String urlServico = properties.getProperty(URL_SERVICO);

		WebChecker.PostParams postParams = WebChecker.from(urlServico)
				.withPostRequest();

		if(!url.substring(0,4).equalsIgnoreCase("http"))
		{
			url = "http://" + url;
		}
		postParams.addParam("url", url);
		Gson g = new GsonBuilder().create();
		try
		{
			urlAvaliada = g.fromJson(postParams.execute().getContent(),
					String.class);
		}catch (Exception e) {
			urlAvaliada = e.getMessage();
		}
		finally {
			//result.use(Results.xml()).from(urlAvaliada).recursive().serialize();
			result.use(Results.json()).withoutRoot().from(urlAvaliada).serialize(); 
			
		}
		 
		
		
			
		
		/*int codResponse = 0;
		   HttpMethod metodoRequisicaoGET = null;
		      HttpClient clienteHTTPJakartaCommons;
		      url = url.replace("https", "http");
		     
		      codResponse = verificarConexao(url, "http.agent", "Jakarta Commons-HttpClient/3.1");
		      if (codResponse != 200) {
		        codResponse = verificarConexao(url, "user-agent", "NewUseAgent/1.0");		       
		      }
		
		
		
		if(codResponse == 200)
		{
			
			if(verificarAlteracaoPagina(url))
			{
				String urlServico = properties.getProperty(URL_SERVICO);
				
				WebChecker.PostParams postParams = null;
				
				postParams = WebChecker.from(urlServico)
						.withPostRequest();

				postParams.addParam("url", url);
				Gson g = new GsonBuilder().create();
				urlAvaliada = g.fromJson(postParams.execute().getContent(),
						Boolean.class);
				
				//result.use(Results.xml()).from(urlAvaliada).recursive().serialize();
				paginaAvaliada = true;
			}
			else
			{
				paginaAlterada = " Página não alterada.";
			}
		}
		else
		{
			paginaAlterada = " Url inválida!";
		}
		
		
		if(paginaAvaliada)
		{
			result.use(Results.xml()).from(urlAvaliada).recursive().serialize();
		}
		else {			
			result.use(Results.xml()).from(paginaAlterada).recursive().serialize();
		}*/
		
	}

	@Get("/buscar-avaliacao")
	@Post("/buscar-avaliacao/")
	public void buscarAvaliacao(@QueryParam("url") String url)
			throws FileNotFoundException {

		url = url.replace("https", "http");
		String nomeArquivo = url.toLowerCase().replace("http://", "").replace("/", "").replace(".", "")
				.replace("\"", "")
				+ ".json";

		//File diretorioJson = new File( properties.getProperty(SALVAR_ARQUIVOS_JSON) + "/" + nomeArquivo);
				
		File diretorioJson = new File(this.application.getRealPath("") + "/WEB-INF/arquivosJson/" + nomeArquivo);
		

		ResumoAvaliacao resumoAvaliacao = null;

		if (diretorioJson.exists()) {

			BufferedReader br = new BufferedReader(new FileReader(
					diretorioJson.toString()));

			Gson gson = new Gson();

			resumoAvaliacao = gson.fromJson(br, ResumoAvaliacao.class);
		} else {
			resumoAvaliacao = new ResumoAvaliacao();

			resumoAvaliacao.setDataAvaliacao(Util.dataHoraAtual());
			resumoAvaliacao.setUrl(url);
			resumoAvaliacao.setUrlResultado("");
			resumoAvaliacao.setValor(null);
			
			AgendamentoAvaliacaoUrl agendamentoAvaliacaoUrl  = new AgendamentoAvaliacaoUrl();
		
			agendamentoAvaliacaoUrl.setDt_solicitacao(new Date());
			agendamentoAvaliacaoUrl.setStatus("false");
			agendamentoAvaliacaoUrl.setUrl(url);
			
			try {
				daoAgendamentoAvaliacaoUrl.save(agendamentoAvaliacaoUrl);
			}catch (Exception e) {
				e.printStackTrace();
			}
			
		}

		result.use(Results.json()).withoutRoot().from(resumoAvaliacao)
				.recursive().serialize();
	}

	public void salvarAvaliacao(ResumoAvaliacao resumoAvaliacao) {
		
		
		
		//para teste local
		File diretorioJson = new File(this.application.getRealPath("")	+ "/WEB-INF/arquivosJson"); diretorioJson.mkdir();
		

		//File diretorioJson = new File( properties.getProperty(SALVAR_ARQUIVOS_JSON));
		
	

						
		String urlArquivosHtml = properties.getProperty(URL_ARQUIVOS_HTML);

		File diretorioHtml = new File(urlArquivosHtml);

		String nomeArquivo = "";

		try {
			nomeArquivo = URLNormalizer.normalize(resumoAvaliacao.getUrl())
					.toLowerCase().replace("/", "").replace(".", "");
		} catch (MalformedURLException e1) {
			e1.printStackTrace();
		}

		resumoAvaliacao
				.setUrlResultado(urlArquivosHtml + "/" + nomeArquivo + ".html");

		String json;
		Gson gson = new Gson();

		json = gson.toJson(resumoAvaliacao);

		FileWriter arq;
		PrintWriter gravarArq;
		try {
			arq = new FileWriter(diretorioJson.toString() + "/" + nomeArquivo
					+ ".json");
			gravarArq = new PrintWriter(arq);
			gravarArq.printf(json);

			arq.close();

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void salvarhtml(ResumoAvaliacao resumoAvaliacao,
			Avaliacao avaliacao, String urlSemProtocolo, Url url) {

		List<ResultadoRecomendacao> resultadosRecomendacao;
		List<ResultadoCriterio> resultadosCriterio;
		Criterio criterio;
		Recomendacao recomendacao;

		//para teste local
		//File diretorioHtml = new File(this.application.getRealPath("")	+ "/WEB-INF/arquivosHtml"); 		diretorioHtml.mkdir();
		
		File diretorioHtml = new File(properties.getProperty(SALVAR_ARQUIVOS_HTML));
		
		String nomeArquivo;
		StringBuffer html = new StringBuffer();

		try {
			nomeArquivo = URLNormalizer.normalize(urlSemProtocolo)
					.toLowerCase().replace("/", "").replace(".", "")
					+ ".txt";

			OutputStreamWriter bufferOut = new OutputStreamWriter(
					new FileOutputStream(diretorioHtml + "/" + nomeArquivo),
					"UTF-8");
			
			 Double notaAvaliacao = resumoAvaliacao.getValor();
			 
			 String webaxscore = "";
			 
			    if (notaAvaliacao >= 95) {
			        webaxscore = "bom";      
			      } else if (notaAvaliacao >= 85 & notaAvaliacao < 95) {
			          webaxscore = "razoavel";
			      } else if (notaAvaliacao >= 70 & notaAvaliacao < 85) {
			          webaxscore = "ruim";
			      }else {
			        webaxscore = "pessimo";
			      }
			    
			    
			
			bufferOut.write("	<div class=\"logoAvaliacao\">\n");
			bufferOut.write("		<div id=\"emag\">");
			bufferOut.write("				<label>eMAG v. 3.1</label>	\n");
			bufferOut.write("		</div>\n");
			
			
			bufferOut.write("		<div id=\"testesAutomaticos\">					\n");
			//bufferOut.write("				<label>Testes Automáticos<br> Nota: " + resumoAvaliacao.getValor() + "/100</label>	</div>	");
			
			bufferOut.write("			<div class=\"cell width-5 position-2 >\n");
			
			
			bufferOut.write("				<div id=\"block\">\n");
			bufferOut.write("					<div id=\"webaxscore\" class=\"scoreB_" + webaxscore + "\">Porcentagem");
			bufferOut.write("						<strong>ASES</strong>");
			bufferOut.write("						<span>" + notaAvaliacao +"%</span>\n");
			bufferOut.write("					</div>\n");
			bufferOut.write("				</div>\n");
			
			//bufferOut.write("				<br>");
			
			
			bufferOut.write("<div id=\"legenda\" >\n");
			bufferOut.write("<label>Legenda</label><br>");
			bufferOut.write("<ul>");
			bufferOut.write("	<li class=\"legenda\"><img id=\"bom\" alt=\"farol verde, nota maior ou igual a 95%\" src=\"/static/img/verde.png\"></li>");
			bufferOut.write("	<li class=\"legenda\"><img id=\"razoavel\" alt=\"farol amarela, nota maior ou igual a 85% e menor que 95%\" src=\"/static/img/amarelo.png\"></li>");
			bufferOut.write("	<li class=\"legenda\"><img id=\"ruim\" alt=\"farol laranja, nota maior ou igual a 70% e menor que 85%\" src=\"/static/img/laranja.png\"></li>");
			bufferOut.write("	<li class=\"legenda\"><img id=\"pessimo\" alt=\"farol vermelho, nota menor que 70%\" src=\"/static/img/vermelho.png\"></li>");
			bufferOut.write("</ul>");
			bufferOut.write("</div>");
			
			bufferOut.write("			</div>	<br>");
				

			bufferOut.write("		<div id=\"grafico2\" >				");

			bufferOut
					.write("				<h2 class=\"oculto_visao\" >Gráfico com as notas das últimas avaliações ordenada da mais antiga para a mais atual, limitado até quatro avaliações.</h2> ");
			List<Avaliacao> lsAvaliacao = dao
					.getTresUltimasAvaliacoesByURL(url);

			int i = 5;
			bufferOut.write("<ul class=\"oculto_visao\" >	");

			List<Avaliacao> avaliacoesOrdenada = new ArrayList<Avaliacao>();

			for (Avaliacao avaliacao2 : lsAvaliacao) {
				i--;
				avaliacoesOrdenada.add(avaliacao2);
				if (i <= 1) {
					break;
				}
			}
			Collections.sort(avaliacoesOrdenada);

			i = 0;
			for (Avaliacao avaliacaoOrdenada : avaliacoesOrdenada) {
				i++;
				bufferOut.write("<li >Nota " + i + ": <span id=\"nota" + i
								+ "\">" + avaliacaoOrdenada.getNota()
								+ "</span><span>Data da avaliação:"
								+ avaliacaoOrdenada.getDataAvaliacao()
								+ "</span></li>");

			}

			Long idSitio = avaliacao.getUrl().getIdSitio();

			//Sitio sitio = daoSitio.getSitioById(idSitio);
			Orgao orgao = daoOrgao.buscarOrgaoPorSitio(idSitio);
			
			String nomeOrgao = (orgao != null) ? orgao.getNomeOrgao() : "";

			bufferOut.write("</ul>");
			bufferOut.write("<label id=\"qntAvaliacoes\" class=\"oculto\">" + i
					+ "</label>");
			bufferOut.write("		<div class=\"myChart\" >				");
			bufferOut.write("			<canvas id=\"myChartAvaliacao\" ></canvas>				");
			bufferOut.write("		</div>");
			bufferOut.write("	</div>");
			bufferOut.write("	</div>");
			bufferOut.write("	</div>");
			
			bufferOut.write("<div class=\"avaliacao\">");

			String dataFormatada = avaliacao.getDataAvaliacao().toString();

			bufferOut
					.write("<label><h2><strong>Teste Automático de Acessibilidade</strong></label></h2></label>");
			bufferOut.write("<label><strong>Órgão: </strong>" + nomeOrgao
					+ "</label><br>");
			bufferOut.write("<label><strong>Página:  </strong>"
					+ resumoAvaliacao.getUrl() + "</label><br>");
			bufferOut.write("<label><strong>Data de Avaliação: </strong>"
					+ dataFormatada + "</label><br>");
			bufferOut.write("<label><strong>Nota:  </strong>"
					+ avaliacao.getNota() + "</label><br>");
			bufferOut.write("<hr>");

			resultadosRecomendacao = new ArrayList<ResultadoRecomendacao>();
			resultadosRecomendacao = daoResultadoRecomendacao
					.getResultadoRecomendacao(avaliacao);

			
			
			for (ResultadoRecomendacao resultadoRecomendacao : resultadosRecomendacao) {

				recomendacao = new Recomendacao();
				recomendacao = daoRecomendacao
						.getRecomendacaoPorNumeroRecomendacao(resultadoRecomendacao
								.getNumRecomendacao());

				bufferOut.write("<h3><label><strong>Recomendação "
						+ resultadoRecomendacao.getNumRecomendacao() + " - "
						+ recomendacao.getDescricao()
						+ "</strong></label></h3>");
				bufferOut
						.write("<label><strong>Peso da Recomendação: </strong>"
								+ recomendacao.getPeso() + "</label><br>");
				bufferOut
						.write("<label><strong>Nota da Recomendação: </strong>"
								+ resultadoRecomendacao.getNotaRecomendacao()
								+ "</label><br>");

			
				//resultadosCriterio = daoResultadoCriterio.getResultadoCriterio(resultadoRecomendacao);
				resultadosCriterio  = null;
				resultadosCriterio = resultadoRecomendacao.getCriterios();
				
				 Collections.sort(resultadosCriterio, new Comparator<ResultadoCriterio>() {
				      public int compare(ResultadoCriterio occurrence1, ResultadoCriterio occurrence2) {
				        return occurrence1.getIdCriterio().compareTo(occurrence2.getIdCriterio());
				      }
				    });
				
				
				bufferOut
						.write("<h3><label><strong>Critérios Avaliados</strong></label></h3>");
				bufferOut.write("<table>");

				bufferOut.write("<thead>");
				bufferOut.write("<tr>");
				bufferOut.write("<th id=\"numero\">Nº Critério</th>");
				bufferOut.write("<th id=\"criterio\">Critério</th>");
				bufferOut.write("<th id=\"tipoTeste\">Tipo de Teste</th>");
				bufferOut.write("<th id=\"peso\">Peso</th>");
				bufferOut.write("<th id=\"erros\">Erros</th>");
				bufferOut.write("<th id=\"itens\">Itens</th>");
				bufferOut.write("<th id=\"nota\">Nota</th>");
				bufferOut.write("</tr>");
				bufferOut.write("</thead>");

				bufferOut.write("<tbody>");
							
						
				for (ResultadoCriterio resultadoCriterio : resultadosCriterio) {
					
					criterio = new Criterio();
					criterio = daoCriterio.load(resultadoCriterio
							.getIdCriterio());
					bufferOut.write("<tr>");
					bufferOut.write("<td headers=\"numero\" class=\"celula\">"
							+ criterio.getNumeroCriterio() + "</td>");
					bufferOut
							.write("<td headers=\"criterio\" class=\"celula\">"
									+ criterio.getDescricao() + "</td>");
					bufferOut
							.write("<td headers=\"tipoTeste\" class=\"celula\">"
									+ criterio.getTipoTeste().getTipo()
									+ "</td>");
					bufferOut.write("<td headers=\"peso\" class=\"celula\">"
							+ criterio.getPeso() + "</td>");
					bufferOut.write("<td headers=\"erros\" class=\"celula\">"
							+ resultadoCriterio.getNumErros() + "</td>");
					bufferOut.write("<td headers=\"itens\" class=\"celula\">"
							+ resultadoCriterio.getNumItens() + "</td>");
					bufferOut.write("<td headers=\"nota\" class=\"celula\">"
							+ resultadoCriterio.getNotaCriterio() + "</td>");
					bufferOut.write("</tr>");

				}
				
				bufferOut.write("</tbody>");
				bufferOut.write("</table><br>");
				
			}
			bufferOut.write("</div>");
			


			bufferOut.close();

			if (diretorioHtml.exists()) {
				
				salvarAvaliacao(resumoAvaliacao);
			}
		} catch (UnsupportedEncodingException e1) {
			e1.printStackTrace();
		} catch (FileNotFoundException e1) {
			e1.printStackTrace();
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

	}
	
	
	
	private boolean verificarAlteracaoPagina(String url) {

		boolean paginaAlterada = false;
		WebChecker pagina = WebChecker.from(url).withGetRequest().execute();
		String html = pagina.getContent().toString().toLowerCase().replace("\n", "");
				
		MessageDigest digest;
		byte[] secured = null;
		
		
		
		try {
			digest = MessageDigest.getInstance("SHA-1");			
			digest.reset();
			secured =  digest.digest(html.getBytes());
			
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
		}
		
		Url urlCompleta = null;
		try {
			urlCompleta = daoUrl.getStringUrl(URLNormalizer.normalize(url));			
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		
		pagina = null;
		html = null;
		
		if(urlCompleta != null)
		{
			
			 if (urlCompleta.getCodHash() == null ||  !MessageDigest.isEqual(urlCompleta.getCodHash(), secured)) 
				{
				 
				
				 try {
					 	urlCompleta.setCodHash(secured);
						daoUrl.update(urlCompleta);
						paginaAlterada = true;
						
						
				} catch (Exception e) {
					e.getCause();
				}
					
				}	
		}
		else
		{
			paginaAlterada = true;
		}
		
		return paginaAlterada;
	}

	  private Integer verificarConexao(String href, String usuario, String agente) {

		    System.setProperty("jsse.enableSNIExtension", "false");
		    HttpMethod metodoRequisicao = null;
		    HttpClient clienteHTTPJakartaCommons;
		    URL UrlConvertida;
		    int codResponse = -1;

		    try {

		      String[] test = href.split("\\../");
		      String newurl = "";
		      for (String tes : test)
		        newurl = newurl + tes.trim();

		      newurl = newurl.replace(" ", "%20");

		      UrlConvertida = new URL(newurl);

		      clienteHTTPJakartaCommons = new HttpClient();
		      clienteHTTPJakartaCommons.getParams().setParameter(HttpMethodParams.RETRY_HANDLER,
		          new DefaultHttpMethodRetryHandler(3, false));
		      clienteHTTPJakartaCommons.getParams().setParameter("http.protocol.allow-circular-redirects",
		          true);
		      clienteHTTPJakartaCommons.getParams().setParameter(HttpConnectionParams.CONNECTION_TIMEOUT,
		          new Integer(2000));

		      
		      metodoRequisicao = new HeadMethod(UrlConvertida.toExternalForm());

		      metodoRequisicao.setRequestHeader(usuario, agente);
		     
		      codResponse = clienteHTTPJakartaCommons.executeMethod(metodoRequisicao);
		      
		      if(codResponse >= 400 && codResponse < 500)
		      {    	  
		    	  metodoRequisicao = new GetMethod(UrlConvertida.toExternalForm());
		    	  codResponse = clienteHTTPJakartaCommons.executeMethod(metodoRequisicao);
		      }
		      
		    } catch (MalformedURLException e) {
		      e.printStackTrace();
		      return -1;

		    } catch (IOException e) {
		      e.printStackTrace();
		      return -1;

		    } catch (IllegalArgumentException e) {
		      e.printStackTrace();
		      return -1;

		    } finally {

		      if (metodoRequisicao != null) {
		        metodoRequisicao.releaseConnection();
		      }

		    }
		    return codResponse;

		  }
	  
	 
}
