package br.com.eselo.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import br.com.caelum.vraptor.Get;
import br.com.caelum.vraptor.Post;
import br.com.caelum.vraptor.Resource;
import br.com.caelum.vraptor.Result;
import br.com.eselo.component.LeitorXML;
import br.com.eselo.integracao.RelatorioAvaliacao;
import br.com.eselo.model.Teste;

@Resource
public class TestesController {

	private final Result result;
	private final AvaliacaoController avaliacaoController;

	private static final Logger LOGGER = LoggerFactory
			.getLogger(TestesController.class);

	public TestesController(Result _result, AvaliacaoController _avaliacaoController) {
		this.result = _result;
		this.avaliacaoController = _avaliacaoController;
	}

	@Get("/teste")
	public void form() {
	}

	@Post("/teste/form")
	public void form(Teste teste) {
		LOGGER.debug("XML: " + teste.getXml());

		RelatorioAvaliacao relatorioAvaliacao = new LeitorXML()
				.lerAvaliacaoXML(teste.getXml());

		avaliacaoController.calcularNota(relatorioAvaliacao, false);

		result.include("mensagem", "Teste realizado.");
	}

}
