package br.com.eselo.controller;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.List;
import java.util.Properties;

import javax.servlet.ServletContext;
import javax.swing.text.html.HTML;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import br.com.caelum.vraptor.Get;
import br.com.caelum.vraptor.Resource;
import br.com.caelum.vraptor.Result;
import br.com.caelum.vraptor.ioc.spring.VRaptorRequestHolder;
import br.com.eselo.component.Mailer;
import br.com.eselo.controller.PainelAcessibilidadeController.CaminhoLink;
import br.com.eselo.model.ResumoAvaliacao;

@Resource
public class arquivosHtmlController {
	
	private static final Logger LOGGER = LoggerFactory
			.getLogger(AvaliacaoController.class);
	
	private ServletContext application;
	private Result result;
	private static final String BUSCAR_ARQUIVOS_HTML = "eselo.config.avaliacao.arquivosHtml";
	private static Properties properties = new Properties();

	public arquivosHtmlController(ServletContext application, Result result) throws IOException {
		super();
		this.application = application;
		this.result = result;
		
		String fileName = "config.properties";
		InputStream stream = Mailer.class.getResourceAsStream("/" + fileName);
		Properties propertiesFile = new Properties();

		if (stream != null) {
			propertiesFile.load(stream);
			this.properties.putAll(propertiesFile);
		} else {
			LOGGER.warn("Could not find the file '{}' to load.", fileName);
		}
	}

	@Get("/arquivosHtml/{nomeArquivo}")
	public void arquivosHtml(String nomeArquivo)
	{
				
		
		
		//File diretorioHtml = new File(this.application.getRealPath("")+ "/WEB-INF/arquivosHtml/"+ nomeArquivo.replace(".html",".txt"));
		this.application.getRealPath("");
		
		File diretorioHtml = new File(properties.getProperty(BUSCAR_ARQUIVOS_HTML) + "/" + nomeArquivo.replace(".html",".txt"));
		StringBuilder html = new StringBuilder();
		try {
			BufferedReader myBuffer = new BufferedReader(new InputStreamReader(new FileInputStream(diretorioHtml), "UTF-8"));
			String linha;
			
			
			while ( ( linha = myBuffer.readLine() ) != null) {
				html.append(linha);
			}
			myBuffer.close();
			
			
			
			//<script src="${pageContext.request.contextPath}/static/js/chartPainelAgregado.js"></script>
			
			
			result.include("html", html);
			
			result.include("grafico_js", "<script type=\"text/javascript\" src=\"/static/js/chartAvaliacao.js\"></script>");
			
			List<CaminhoLink> lsCaminhoAvaliacao = (List<CaminhoLink>) VRaptorRequestHolder.currentRequest().getServletContext().getAttribute("lsCaminhoAvaliacao");
			
			if(lsCaminhoAvaliacao != null)
			{
				VRaptorRequestHolder.currentRequest().getServletContext().setAttribute("lsCaminhoAvaliacao", lsCaminhoAvaliacao);
			}
			 
			 
		} catch (FileNotFoundException e1) {
			e1.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		
}
	
	
	
}
