package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.List;

import javassist.runtime.Desc;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.ParametroCalculo;
import br.com.eselo.model.Url;

@Component
public class AvaliacaoDAO extends GenericDAO<Avaliacao> {

	public AvaliacaoDAO(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Avaliacao> listAll(int regIni, int regFim) {
		return getSession().createCriteria(getPersistentClass())
				//.setFirstResult(regIni)
				//.setMaxResults(regFim)
				.addOrder(Order.desc("dataAvaliacao")).list();
	}
	
	public Avaliacao getAvaliacao(Long idAval) {
		return (Avaliacao) getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("id", idAval))
				.uniqueResult();
		

	}
	
	public Long getAvaliacaoByURL(Url url) {
		return (Long) getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("idUrl", url))
				.setProjection(Projections.max("id"))
				.uniqueResult();
	}
	
	@SuppressWarnings("unchecked")
	public List<Avaliacao> getAvaliacaoByURL2(Url url) {
		 List<Avaliacao> encontrado = getSession()
				.createCriteria(getPersistentClass())
				.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY)
				.add(Restrictions.eq("url", url))
				.list();

			try {
				session.connection().close();
			} catch (HibernateException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
			

		 return encontrado;
	}
	
	@SuppressWarnings("unchecked")
	public List<Avaliacao> getAvaliacaoByURL3(Url url) {
		Configuration config = new Configuration();
		config.configure();
		SessionFactory factory = config.buildSessionFactory();
		Session session = factory.openSession();
		//Transaction tx = session.beginTransaction();
		
		 List<Avaliacao> encontrado = session
					.createCriteria(getPersistentClass())
					.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY)
					.add(Restrictions.eq("url", url))
					.addOrder(Order.desc("id"))
					.setFirstResult(1)
					.list();

			try {
				session.connection().close();
			} catch (HibernateException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
			

			 return encontrado;
	}
	
	@SuppressWarnings("unchecked")
	public List<Avaliacao> getTresUltimasAvaliacoesByURL(Url url) {
		List<Avaliacao> encontrado = getSession()
				.createCriteria(getPersistentClass())
				.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY)
				.add(Restrictions.eq("url", url))
				.addOrder(Order.desc("id"))
				.list();
		 

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		 return encontrado;
		
	}
	
	public int numLinhas(){
		return (Integer) session.createCriteria(Avaliacao.class)
				.setProjection(Projections.rowCount())
				.uniqueResult();
	}
	
	public boolean existeAvaliacao(ParametroCalculo parametroCalculo) {
		@SuppressWarnings("unchecked")
		List<Avaliacao> encontrado = getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("parametroCalculo", parametroCalculo))
				.list();
		

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		return encontrado.size() > 0;
	}

	
}
