package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Criterio;
import br.com.eselo.model.ParametroCalculo;
import br.com.eselo.model.Recomendacao;
import br.com.eselo.model.ResultadoCriterio;

@Component
public class CriterioDAO extends GenericDAO<Criterio> {

	public CriterioDAO(Session _session) {
		super(_session);
	}

	
	@SuppressWarnings("unchecked")
	public List<Criterio> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.asc("id")).list();
	}

	@SuppressWarnings("unchecked")
	public List<Criterio> listAllAtivas(Recomendacao recomendacao) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("recomendacao", recomendacao))
				.addOrder(Order.asc("numeroCriterio")).list();
	}
	
	public List<Criterio> criterioDaRecomendacao(Recomendacao recomendacao) {
		List<Criterio> criterios = this.listAll();
		List<Criterio> criterioRecomendacoesDoUltimoParametro = new ArrayList<Criterio>();

		for (Criterio criterio : criterios) {
			if (criterio.getRecomendacao().getId() == recomendacao
					.getId()) {
				criterioRecomendacoesDoUltimoParametro.add(criterio);
			}
		}

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		return criterioRecomendacoesDoUltimoParametro;	
	}

	public Object getAllTipoTeste() {
		TipoTesteDAO tipoTesteDao = (TipoTesteDAO) new TipoTesteDAO(
				getSession());


		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		return tipoTesteDao.listAll();
	}

	public int numLinhas(Recomendacao recomendacao) {
		return (Integer) session.createCriteria(getPersistentClass())
				.add(Restrictions.eq("recomendacao", recomendacao))
				.setProjection(Projections.rowCount()).uniqueResult();
	}
}
