package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.SQLQuery;
import org.hibernate.Session;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.ErrosMaisComuns;

@Component
public class ErrosMaisComunsDAO extends GenericDAO<ErrosMaisComuns>{

	public ErrosMaisComunsDAO(Session _session) {
		super(_session);
	}

	public List<ErrosMaisComuns> errosMaisComuns() {
		List<ErrosMaisComuns> lsErrosMaisComuns = new ArrayList<ErrosMaisComuns>();
		StringBuffer query = new StringBuffer();
		
		
		query.append(" select sum(qtd_erros) qtd_erros, 0 criterio,  0 peso, 'Total' descricao from   ");
		query.append(" (select sum(a.nu_erros) qtd_erros, a.id_criterio criterio, b.vl_peso peso, b.ds_descricao descricao     ");
		query.append(" from sel_resultado_criterio a, sel_criterio b, sel_resultado_recomendacao c, sel_avaliacao d  ");
		query.append(" where a.id_criterio = b.id_criterio  ");
		query.append(" and d.id_avaliacao = c.id_avaliacao  ");
		query.append(" and c.id_resultado_recomendacao = a.id_resultado_rescomendacao  ");
		query.append(" and b.lo_erro = true  ");
		query.append(" and b.lo_verificacao_automatica = true  ");
		query.append(" and d.id_avaliacao in ( select aval1.id_avaliacao from sel_avaliacao aval1  ");
		query.append(" where aval1.id_avaliacao = (select max(aval2.id_avaliacao) from sel_avaliacao aval2 where aval2.id_url = aval1.id_url))  ");
		query.append(" group by a.id_criterio, b.vl_peso, b.ds_descricao   ");
		query.append(" having sum(a.nu_erros) > 0  ");
		query.append(" order by sum(a.nu_erros) desc, b.vl_peso desc) k  ");
		query.append(" union all  ");
		query.append(" select sum(a.nu_erros) qtd_erros, a.id_criterio criterio, b.vl_peso peso, b.ds_descricao descricao     ");
		query.append(" from sel_resultado_criterio a, sel_criterio b, sel_resultado_recomendacao c, sel_avaliacao d  ");
		query.append(" where a.id_criterio = b.id_criterio  ");
		query.append(" and d.id_avaliacao = c.id_avaliacao  ");
		query.append(" and c.id_resultado_recomendacao = a.id_resultado_rescomendacao  ");
		query.append(" and b.lo_erro = true  ");
		query.append(" and b.lo_verificacao_automatica = true  ");
		query.append(" and d.id_avaliacao in ( select aval1.id_avaliacao from sel_avaliacao aval1  ");
		query.append(" where aval1.id_avaliacao = (select max(aval2.id_avaliacao) from sel_avaliacao aval2 where aval2.id_url = aval1.id_url))  ");
		query.append(" group by a.id_criterio, b.vl_peso, b.ds_descricao   ");
		query.append(" having sum(a.nu_erros) > 0  ");
		query.append(" order by qtd_erros desc, peso desc  ");
		query.append(" limit 11");
		
		
		SQLQuery sqlQuery = session.createSQLQuery(query.toString());
		sqlQuery.addEntity(ErrosMaisComuns.class);
		List list = sqlQuery.list();
		
		for (Object object : list) {
			lsErrosMaisComuns.add((ErrosMaisComuns)object);
		}
		

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		return lsErrosMaisComuns;
	}
	
	public List<ErrosMaisComuns> OutrosErrosMaisComuns() {
		List<ErrosMaisComuns> lsErrosMaisComuns = new ArrayList<ErrosMaisComuns>();
		StringBuffer query = new StringBuffer();
		
		
		query.append(" select sum(qtd_erros) qtd_erros, 0 criterio,  0 peso, 'Total' descricao from   ");
		query.append(" (select sum(a.nu_erros) qtd_erros, a.id_criterio criterio, b.vl_peso peso, b.ds_descricao descricao     ");
		query.append(" from sel_resultado_criterio a, sel_criterio b, sel_resultado_recomendacao c, sel_avaliacao d  ");
		query.append(" where a.id_criterio = b.id_criterio  ");
		query.append(" and d.id_avaliacao = c.id_avaliacao  ");
		query.append(" and c.id_resultado_recomendacao = a.id_resultado_rescomendacao  ");
		query.append(" and b.lo_erro = true  ");
		query.append(" and b.lo_verificacao_automatica = true  ");
		query.append(" and d.id_avaliacao in ( select aval1.id_avaliacao from sel_avaliacao aval1  ");
		query.append(" where aval1.id_avaliacao = (select max(aval2.id_avaliacao) from sel_avaliacao aval2 where aval2.id_url = aval1.id_url))  ");
		query.append(" group by a.id_criterio, b.vl_peso, b.ds_descricao   ");
		query.append(" having sum(a.nu_erros) > 0  ");
		query.append(" order by sum(a.nu_erros) desc, b.vl_peso desc) k  ");
		query.append(" union all  ");
		query.append(" select sum(a.nu_erros) qtd_erros, a.id_criterio criterio, b.vl_peso peso, b.ds_descricao descricao     ");
		query.append(" from sel_resultado_criterio a, sel_criterio b, sel_resultado_recomendacao c, sel_avaliacao d  ");
		query.append(" where a.id_criterio = b.id_criterio  ");
		query.append(" and d.id_avaliacao = c.id_avaliacao  ");
		query.append(" and c.id_resultado_recomendacao = a.id_resultado_rescomendacao  ");
		query.append(" and b.lo_erro = true  ");
		query.append(" and b.lo_verificacao_automatica = true  ");
		query.append(" and d.id_avaliacao in ( select aval1.id_avaliacao from sel_avaliacao aval1  ");
		query.append(" where aval1.id_avaliacao = (select max(aval2.id_avaliacao) from sel_avaliacao aval2 where aval2.id_url = aval1.id_url))  ");
		query.append(" group by a.id_criterio, b.vl_peso, b.ds_descricao   ");
		query.append(" having sum(a.nu_erros) > 0  ");
		query.append(" order by qtd_erros desc, peso desc  ");
		
		
		SQLQuery sqlQuery = session.createSQLQuery(query.toString());
		sqlQuery.addEntity(ErrosMaisComuns.class);
		List list = sqlQuery.list();
		
		for (Object object : list) {
			lsErrosMaisComuns.add((ErrosMaisComuns)object);
		}
		
		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		return lsErrosMaisComuns;
		
	}
}
