package br.com.eselo.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Criterio;
import br.com.eselo.model.Faixa;
import br.com.eselo.model.Recomendacao;

@Component
public class FaixaDAO extends GenericDAO<Faixa> {

	public FaixaDAO(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Faixa> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.desc("faixaInicio"))
				.addOrder(Order.desc("faixaFim")).list();
	}

	public List<Recomendacao> getAllRecomendacao() {
		RecomendacaoDAO diretrizDao = (RecomendacaoDAO) new RecomendacaoDAO(getSession());

		return diretrizDao.listAll();
	}
	
	@SuppressWarnings("unchecked")
	public List<Faixa> listAllAtivas(Criterio criterio) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("criterio", criterio))
				.addOrder(Order.asc("faixa")).list();
	}

	@SuppressWarnings("unchecked")
	public List<Faixa> getByDiretriz(Recomendacao recomendacao) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("recomendacao", recomendacao))
				.addOrder(Order.asc("id")).list();
	}
	
	public int numLinhas(Criterio criterio) {
		return (Integer) session.createCriteria(getPersistentClass())
				.add(Restrictions.eq("criterio", criterio))
				.setProjection(Projections.rowCount()).uniqueResult();
	}

}
