package br.com.eselo.dao;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.SQLQuery;
import org.hibernate.Session;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.GraficoMediaAvaliacao;
import br.com.eselo.model.MediaAvaliacao;
import br.com.eselo.model.UltimaAvaliacao;

@Component
public class MediaAvaliacaoDAO extends GenericDAO<MediaAvaliacao>{

	public MediaAvaliacaoDAO(Session _session) {
		super(_session);
	}

	
	public List<MediaAvaliacao> mediaAvaliacao(String tipo, String id) {
		List<MediaAvaliacao> lsMediaAvaliacao = new ArrayList<MediaAvaliacao>();
		StringBuffer query = new StringBuffer();
		

		query.append(" SELECT * FROM RetornaMediaGrupoElmAcessibilidade('"+ tipo +"', "+ id +") AS (id bigint, nome varchar, total bigint, media numeric(5,2)); ");
		
		
		SQLQuery sqlQuery = session.createSQLQuery(query.toString());
		sqlQuery.addEntity(MediaAvaliacao.class);
		List list = sqlQuery.list();
		
		
		for (Object object : list) {
			lsMediaAvaliacao.add((MediaAvaliacao)object);
		}
		
		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		return lsMediaAvaliacao;
		
	}
	
	public List<GraficoMediaAvaliacao> gerarGraficoMediaAvaliacao(String tipo, String id, int quantidadeUltimasAvaliacoes) {
		List<GraficoMediaAvaliacao> lsGraficoMediaAvaliacao = new ArrayList<GraficoMediaAvaliacao>();
		
		String query ;//= new StringBuffer();
		
		query = " SELECT * FROM RetornaMediaElmAcessibilidade('"+ tipo + "', "+ id +", "+ quantidadeUltimasAvaliacoes +") AS (id bigint, nome varchar, total bigint, media numeric(5,2), id_agendamento varchar);";
			
			
		List list = session.createSQLQuery(query).list();
		//sqlQuery.addEntity(GraficoMediaAvaliacao.class);
		//List list = sqlQuery.list();	
		
		GraficoMediaAvaliacao graficoMediaAvaliacao;
		
		Iterator it = list.iterator();
		int i = 0;
		try
		{
			while (it.hasNext()) {			
				
				
				graficoMediaAvaliacao = new GraficoMediaAvaliacao();
				
				Object[] ob =  (Object[]) list.get(i);
				
				//for (Object object : ob) {
					graficoMediaAvaliacao.setIdGrafico( (BigInteger) ob[0]);
					graficoMediaAvaliacao.setNomeGrafico((String) ob[1]);
					graficoMediaAvaliacao.setTotalGrafico( (BigInteger) ob[2]);
					graficoMediaAvaliacao.setMediaGrafico( (Number) ob[3]);
					graficoMediaAvaliacao.setId_agendamentoGrafico((String) ob[4]);
					
					lsGraficoMediaAvaliacao.add(graficoMediaAvaliacao);
					i++;
				//}
				
				
				
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		
		return lsGraficoMediaAvaliacao;
		
	}
	
	
	
	public UltimaAvaliacao ultimaAvaliacao() {
		UltimaAvaliacao ultimaAvaliacao = new UltimaAvaliacao();
		StringBuffer query = new StringBuffer();
		

		//query.append(" SELECT to_char(max(data_media), 'DD/MM/YYYY') AS data_ultima_avaliacao   FROM sel_media_avaliacao_sitio; ");
		query.append(" SELECT max(data_media) AS data_ultima_avaliacao   FROM sel_media_avaliacao_sitio; ");
		
		SQLQuery sqlQuery = session.createSQLQuery(query.toString());
		sqlQuery.addEntity(UltimaAvaliacao.class);
		ultimaAvaliacao = (UltimaAvaliacao) sqlQuery.uniqueResult();
		
		

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		
		return ultimaAvaliacao;
		
	}
		
}
