package br.com.eselo.dao;

import java.util.List;

import javassist.expr.NewArray;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.ParametroCalculo;
import br.com.eselo.model.Recomendacao;
import br.com.eselo.model.ResultadoCriterio;
import br.com.eselo.model.ResultadoRecomendacao;

@Component
public class RecomendacaoDAO extends GenericDAO<Recomendacao> {

	public RecomendacaoDAO(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Recomendacao> listAll() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.asc("numeroRecomendacao")).list();
	}

	public List<ParametroCalculo> getAllParametrosCalculo() {
		ParametroCalculoDAO parametroCalculo = (ParametroCalculoDAO) new ParametroCalculoDAO(
				getSession());

		return parametroCalculo.listAll();
	}

	@SuppressWarnings("unchecked")
	public List<Recomendacao> getByParametroCalculo(
			ParametroCalculo parametroCalculo) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("parametroCalculo", parametroCalculo))
				.addOrder(Order.asc("numeroRecomendacao")).list();
	}

	@SuppressWarnings("unchecked")
	public List<Recomendacao> listAllAtivas(ParametroCalculo parametroCalculo) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("parametroCalculo", parametroCalculo))
				.addOrder(Order.asc("numeroRecomendacao")).list();
	}

	public int numLinhas(ParametroCalculo parametroCalculo) {
		return (Integer) session.createCriteria(getPersistentClass())
				.add(Restrictions.eq("parametroCalculo", parametroCalculo))
				.setProjection(Projections.rowCount()).uniqueResult();
	}

	@SuppressWarnings("unchecked")
	public Recomendacao getRecomendacaoPorNumeroRecomendacao(Long resultadoRecomendacao) {
						
		Recomendacao encontrado = (Recomendacao) getSession()
				.createCriteria(Recomendacao.class)
				.add(Restrictions.eq("numeroRecomendacao", new Long(resultadoRecomendacao)))
				.uniqueResult();
				
		 return encontrado;
	}
}
