package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Avaliacao;
import br.com.eselo.model.ResultadoCriterio;
import br.com.eselo.model.ResultadoRecomendacao;

@Component
public class ResultadoCriterioDao  extends GenericDAO<ResultadoCriterio> {

	public ResultadoCriterioDao(Session _session) {
		super(_session);
	}
	
	@SuppressWarnings("unchecked")
	public List<ResultadoCriterio> getResultadoCriterio(ResultadoRecomendacao resultadoRecomendacao) {
						
		 List<ResultadoCriterio> encontrado = getSession()
				.createCriteria(getPersistentClass())
				.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY)
				.add(Restrictions.eq("resultadoRecomendacao", resultadoRecomendacao)).addOrder(Order.asc("idCriterio"))
				.list();
		 
		 try {
				session.connection().close();
			} catch (HibernateException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		 
		 return encontrado;
	}
	
	@SuppressWarnings("unchecked")
	public List<ResultadoCriterio> listAllCriterio() {
		return getSession().createCriteria(getPersistentClass())
				.addOrder(Order.asc("idCriterio")).list();
	}

	public Object getAllCriterio() {
		CriterioDAO criterioDao = (CriterioDAO) new CriterioDAO(
				getSession());

				
		return criterioDao.listAll();
	}
	
}
