package br.com.eselo.dao;

import org.hibernate.Session;
import org.hibernate.annotations.Subselect;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Sitio;

@Component
public class SitioDAO extends GenericDAO<Sitio>{

	public SitioDAO(Session _session) {
		super(_session);
	}

	  public Sitio existeUsuarioServicoWeb(String sitio) {
		    return (Sitio) getSession().createCriteria(getPersistentClass())
		        .add(Restrictions.eq("sitio", sitio))
		        .uniqueResult();
		  }
	  
	  public Sitio existeUsuarioServicoWeb(Integer id) {
		    return (Sitio) getSession().createCriteria(getPersistentClass())
		        .add(Restrictions.eq("id_sitio", id))
		        .uniqueResult();
		  }
	  
	  public Sitio getSitioByNome(String sitio) {
		    return (Sitio) getSession().createCriteria(getPersistentClass())
		        .add(Restrictions.eq("sitio", sitio))
		        .uniqueResult();
		  }
	  
	 
	  public Sitio getSitioById(Long id) {
		  
		  Sitio sitio = null;
		  
		  try {
			  sitio =  (Sitio) getSession().createCriteria(getPersistentClass())
				        .add(Restrictions.eq("id", id))
				        .uniqueResult();
		} catch (Exception e) {
			sitio = null;
		}
		 		  
		     
		     return sitio;
		  }
	  
}
