package br.com.eselo.dao;

import java.sql.SQLException;
import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.TipoTeste;

@Component
public class TipoTesteDAO  extends GenericDAO<TipoTeste> {

	public TipoTesteDAO(Session _session) {
		super(_session);
	}
	
	@SuppressWarnings("unchecked")
	public List<TipoTeste> listAll() throws HibernateException {
		return getSession().createCriteria(this.getPersistentClass())
				.addOrder(Order.asc("tipo")).list();
	}
	
	public boolean existeTipo(TipoTeste tipoTeste) {
		TipoTeste encontrado = (TipoTeste) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("descricao", tipoTeste.getDescricao())).uniqueResult();
		

		try {
			session.connection().close();
		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		

		return encontrado != null;
	}

	public Long getIdByDescricao(String descricao) {
		TipoTeste encontrado = (TipoTeste) getSession()
				.createCriteria(getPersistentClass())
				.add(Restrictions.eq("descricao", descricao)).uniqueResult();
		if (encontrado != null) {
			return encontrado.getId();
		}
		return null;
	}
	
}
