package br.com.eselo.dao;

import java.util.ArrayList;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;

import br.com.caelum.vraptor.ioc.Component;
import br.com.eselo.model.Url;

@Component
public class UrlDAO extends GenericDAO<Url> {

	public UrlDAO(Session _session) {
		super(_session);
	}

	@SuppressWarnings("unchecked")
	public List<Url> listAll(long idUsuario) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("usuario.id", idUsuario))
				.addOrder(Order.desc("id")).list();

	}

	public List<Url> listFiltro(String nUrl, Long idUsuario) {
		List<Url> urlList = this.listAll();

		List<Url> resultado = new ArrayList<Url>(0);
		for (Url url : urlList) {
			resultado.add(url);
		}
		return resultado;
	}

	@SuppressWarnings("unchecked")
	public List<Url> getUrlById(Long id) {
		return getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("id", id)).addOrder(Order.desc("id"))
				.list();
	}

	private Long getUrl(String url) {
		return (Long) getSession().createCriteria(getPersistentClass())
				.add(Restrictions.eq("url", url))
				.setProjection(Projections.max("id")).uniqueResult();
	}

	public Url getStringUrl(String url) {
		return this.load(this.getUrl(url));

	}
}
