package br.com.eselo.integracao;

import java.util.Date;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.converters.basic.DateConverter;
import com.thoughtworks.xstream.io.xml.DomDriver;
import com.thoughtworks.xstream.io.xml.XmlFriendlyReplacer;

public class ResultadoAvaliacao {
	
	private String url;
	private Date dataSolicitacao;
	private Date dataResultado;
	private Double nota;
	private String observacoes;
	private String path;
	
	public String getUrl() {
		return url;
	}
	
	public void setUrl(String url) {
		this.url = url;
	}
	
	public Date getDataSolicitacao() {
		return dataSolicitacao;
	}
	
	public void setDataSolicitacao(Date data) {
		this.dataSolicitacao = data;
	}
	
	public Date getDataResultado() {
		return dataResultado;
	}

	public void setDataResultado(Date dataResultado) {
		this.dataResultado = dataResultado;
	}

	public Double getNota() {
		return nota;
	}
	
	public void setNota(Double nota) {
		this.nota = nota;
	}

	public String getObservacoes() {
		return observacoes;
	}

	public void setObservacoes(String observacoes) {
		this.observacoes = observacoes;
	}
	
	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	@Override
	public String toString() {
		XStream xstream = new XStream(new DomDriver("UTF-8", new XmlFriendlyReplacer("__", "_")));  
		xstream.registerConverter(new DateConverter( "EEE MMM dd HH:mm:ss zzz yyyy", new String[0] ));  
		
		xstream.alias("resultado_da_avaliacao", ResultadoAvaliacao.class);
		xstream.aliasField("url", ResultadoAvaliacao.class, "url");
		xstream.aliasField("data_solicitacao", ResultadoAvaliacao.class, "dataSolicitacao");
		xstream.aliasField("data_resultado", ResultadoAvaliacao.class, "dataResultado");
		xstream.aliasField("nota", ResultadoAvaliacao.class, "nota");
		xstream.aliasField("observacoes", ResultadoAvaliacao.class, "observacoes");
		xstream.aliasField("path", ResultadoAvaliacao.class, "path");
		
		return "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"+xstream.toXML(this);
		
	}

	
}
