package br.com.eselo.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_avaliacao")
public class Avaliacao  implements Comparable<Avaliacao>{

	public Avaliacao() {
		this.resultadoRecomendaca = new ArrayList<ResultadoRecomendacao>();
	}
	
	@Override
	public int compareTo(Avaliacao avaliacao) {
		
		 if (this.id < avaliacao.getId()) {
	          return -1;
	     }
	     if (this.id > avaliacao.getId()) {
	          return 1;
	     }
	     return 0;
	
	}
	
	@Id
	@GeneratedValue
	@Column(name = "id_avaliacao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "id_parametro_calculo", insertable = true, updatable = true)
	@ForeignKey(name = "fk_sel_parametro_calculo_sel_avaliacao")
	private ParametroCalculo parametroCalculo;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="id_url", insertable=true, updatable=true)
	private Url url;

	@Column(name = "ts_avaliacao", columnDefinition = "timestamp without time zone",nullable = false)
	@Temporal(TemporalType.TIMESTAMP)
	private Date dataAvaliacao;
	
	@OneToMany(mappedBy = "avaliacao", targetEntity = br.com.eselo.model.ResultadoRecomendacao.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<ResultadoRecomendacao> resultadoRecomendaca;
	
	@Column(name = "qtde_linhas",nullable = false)
	private Long qtdeLinhas;
	
	@Column(name = "nu_nota",nullable = false)
	private Double nota;	
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public ParametroCalculo getParametroCalculo() {
		return parametroCalculo;
	}

	public void setParametroCalculo(ParametroCalculo parametroCalculo) {
		this.parametroCalculo = parametroCalculo;
	}

	public Url getUrl() {
		return url;
	}

	public void setUrl(Url url) {
		this.url = url;
	}

	public Date getDataAvaliacao() {
		return dataAvaliacao;
	}

	public void setDataAvaliacao(Date dataAvaliacao) {
		this.dataAvaliacao = dataAvaliacao;
	}

	public List<ResultadoRecomendacao> getResultadoRecomendacao() {
		return resultadoRecomendaca;
	}
	
	public void setResultadoRecomendacao(List<ResultadoRecomendacao> resultados) {
		this.resultadoRecomendaca = resultados;
	}

	public void addResultadoRecomendacao(ResultadoRecomendacao resultado){
		this.resultadoRecomendaca.add(resultado);
	}
	
	public void removeResultadoRecomendacao(ResultadoRecomendacao resultado){
		this.resultadoRecomendaca.remove(resultado);
	}

	public Long getQtdeLinhas() {
		return qtdeLinhas;
	}

	public void setQtdeLinhas(Long qtdeLinhas) {
		this.qtdeLinhas = qtdeLinhas;
	}

	public Double getNota() {
		return nota;
	}

	public void setNota(Double nota) {
		this.nota = nota;
	}

	
}
