package br.com.eselo.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;
import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_dominios")
public class Dominio {
	
	@Id
	@GeneratedValue
	@Column(name = "id_dominio", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "dominio", nullable = false)
	private String dominio;
	
	@Column(name = "id_titularidade_registro", nullable = false)
	private String idTitularidadeRegistro;
	
	@Column(name = "id_adm_registro", nullable = false)
	private String idAdmRegistro;
	

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name="id_unidade")
	@ForeignKey(name = "sel_dominios_fkunidade")
	@Fetch(FetchMode.SELECT)
	private Orgao orgao; 
	
	@OneToMany(mappedBy = "dominio", targetEntity = br.com.eselo.model.Sitio.class, fetch = FetchType.EAGER, cascade = CascadeType.ALL)
	private List<Sitio> sitios;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDominio() {
		return dominio;
	}

	public void setDominio(String dominio) {
		this.dominio = dominio;
	}

	public String getIdTitularidadeRegistro() {
		return idTitularidadeRegistro;
	}

	public void setIdTitularidadeRegistro(String idTitularidadeRegistro) {
		this.idTitularidadeRegistro = idTitularidadeRegistro;
	}

	public List<Sitio> getSitios() {
		return sitios;
	}

	public void setSitios(List<Sitio> sitios) {
		this.sitios = sitios;
	}

	public String getIdAdmRegistro() {
		return idAdmRegistro;
	}

	public void setIdAdmRegistro(String idAdmRegistro) {
		this.idAdmRegistro = idAdmRegistro;
	}

	public Orgao getOrgao() {
		return orgao;
	}

	public void setOrgao(Orgao orgao) {
		this.orgao = orgao;
	}
	
	
	
	
}
