package br.com.eselo.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_faixa")
public class Faixa {

	@Id
	@SequenceGenerator(name = "sel_faixa_id_faixa_seq", sequenceName = "sel_faixa_id_faixa_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_faixa_id_faixa_seq")
	@Column(name = "id_faixa", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "nu_faixa_inicio", nullable = false)
	private Double faixaInicio;

	@Column(name = "nu_faixa_fim", nullable = false)
	private Double faixaFim;

	@Column(name = "nu_faixa", nullable = false)
	private Long faixa;
	
	@Column(name = "nu_percentual_conformidade", nullable = false)
	private Double percentualConformidade;

	@Column(name = "ds_faixa", nullable = false)
	private String descricao;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_criterio", columnDefinition = "integer", nullable = false, insertable = true, updatable = true)
	@ForeignKey(name = "FK_sel_faixa_sel_criterio")
	private Criterio criterio;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Double getFaixaInicio() {
		return faixaInicio;
	}

	public void setFaixaInicio(Double faixaInicio) {
		this.faixaInicio = faixaInicio;
	}

	public Double getFaixaFim() {
		return faixaFim;
	}

	public void setFaixaFim(Double faixaFim) {
		this.faixaFim = faixaFim;
	}

	public Long getFaixa() {
		return faixa;
	}

	public void setFaixa(Long faixa) {
		this.faixa = faixa;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Criterio getCriterio() {
		return criterio;
	}

	public void setCriterio(Criterio criterio) {
		this.criterio = criterio;
	}

	public Double getPercentualConformidade() {
		return percentualConformidade;
	}

	public void setPercentualConformidade(Double percentualConformidade) {
		this.percentualConformidade = percentualConformidade;
	}

}
