package br.com.eselo.model;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OrderBy;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_recomendacao")
public class Recomendacao {

	public Recomendacao() {
		this.criterios = new ArrayList<Criterio>();
	}
	
	@Id
	@SequenceGenerator(name = "sel_recomendacao_id_recomendacao_seq", sequenceName = "sel_recomendacao_id_recomendacao_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_recomendacao_id_recomendacao_seq")
	@Column(name = "id_recomendacao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "nu_recomendacao", nullable = false)
	private Long numeroRecomendacao;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_parametro_calculo", insertable = true, updatable = true)
	@ForeignKey(name = "fk_sel_parametro_calculo_sel_recomendacao")
	private ParametroCalculo parametroCalculo;

	@Column(name = "ds_descricao", nullable = false)
	private String descricao;

	@Column(name = "vl_peso", nullable = false)
	private Integer peso;

	@OneToMany(mappedBy = "recomendacao", targetEntity = br.com.eselo.model.Criterio.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	@OrderBy("numeroCriterio asc")
	private List<Criterio> criterios;
	
	public List<Criterio> getCriterios() {
		return criterios;
	}

	public void setCriterios(List<Criterio> criterios) {
		this.criterios = criterios;
	}

	public void addCriterio(Criterio criterio){
		this.criterios.add(criterio);
	}
	
	public void removeCriterio(Criterio criterio){
		this.criterios.remove(criterio);
	}
	
	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getPeso() {
		return peso;
	}

	public void setPeso(Integer peso) {
		this.peso = peso;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getNumeroRecomendacao() {
		return numeroRecomendacao;
	}

	public void setNumeroRecomendacao(Long numeroRecomendacao) {
		this.numeroRecomendacao = numeroRecomendacao;
	}

	public ParametroCalculo getParametroCalculo() {
		return parametroCalculo;
	}

	public void setParametroCalculo(ParametroCalculo parametroCalculo) {
		this.parametroCalculo = parametroCalculo;
	}

}
