package br.com.eselo.model;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;
import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_resultado_recomendacao")
public class ResultadoRecomendacao {

	public ResultadoRecomendacao() {
		this.criterios = new ArrayList<ResultadoCriterio>();
	}
	
	@Id
	@GeneratedValue
	@Column(name = "id_resultado_recomendacao", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name="id_avaliacao", insertable=true, updatable=true)
	@ForeignKey(name = "fk_sel_resultado_recomendacao_sel_avaliacao")
	@Fetch(FetchMode.SELECT)
	private Avaliacao avaliacao;
	
	@Column(name = "nu_recomendacao",nullable = false)
	private Long numeroRecomendacao;
	
	@Column(name = "nu_total_erros",nullable = false)
	private Long totalErros;
	
	@Column(name = "nu_total_avisos")
	private Long totalAvisos;
	
	@Column(name = "nu_nota",nullable = false)
	private Double notaRecomendacao;	
	
	@OneToMany(mappedBy = "resultadoRecomendacao", targetEntity = br.com.eselo.model.ResultadoCriterio.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<ResultadoCriterio> criterios;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Avaliacao getAvaliacao() {
		return avaliacao;
	}

	public void setAvaliacao(Avaliacao avaliacao) {
		this.avaliacao = avaliacao;
	}

	public Long getNumRecomendacao() {
		return numeroRecomendacao;
	}

	public void setNumRecomendacao(Long numRecomendacao) {
		this.numeroRecomendacao = numRecomendacao;
	}

	public Long getTotalErros() {
		return totalErros;
	}

	public void setTotalErros(Long totalErros) {
		this.totalErros = totalErros;
	}

	public Long getTotalAvisos() {
		return totalAvisos;
	}

	public void setTotalAvisos(Long totalAvisos) {
		this.totalAvisos = totalAvisos;
	}
	
	public Double getNotaRecomendacao() {
		return notaRecomendacao;
	}

	public void setNotaRecomendacao(Double notaRecomendacao) {
		this.notaRecomendacao = notaRecomendacao;
	}

	public List<ResultadoCriterio> getCriterios() {
		return criterios;
	}

	public void setCriterios(List<ResultadoCriterio> criterios) {
		this.criterios = criterios;
	}
	
	public void addCriterio(ResultadoCriterio criterio){
		this.criterios.add(criterio);
	}
	
	public void removeRecomendacao(ResultadoCriterio criterio){
		this.criterios.remove(criterio);
	}
	

}
