package br.com.eselo.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "sel_tipo_teste")
public class TipoTeste{

	@Id
	@SequenceGenerator(name = "sel_tipo_teste_id_tipo_teste_seq", sequenceName = "sel_tipo_teste_id_tipo_teste_seq")
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "sel_tipo_teste_id_tipo_teste_seq")
	@Column(name = "id_tipo_teste", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "ds_tipo", unique = true, nullable = false)
	private String tipo;
	
	@Column(name = "ds_tipo_teste", unique = true, nullable = false, length = 1000)
	private String descricao;

	@Column(name = "nu_maximo_teste", nullable = false)
	private Long maximoTeste;
	
	@OneToMany(mappedBy = "tipoTeste", targetEntity = br.com.eselo.model.Criterio.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Criterio> criterios;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Long getMaximoTeste() {
		return maximoTeste;
	}

	public void setMaximoTeste(Long maximoTeste) {
		this.maximoTeste = maximoTeste;
	}

	public List<Criterio> getCriterios() {
		return criterios;
	}

	public void setCriterios(List<Criterio> criterios) {
		this.criterios = criterios;
	}

}
