package br.com.eselo.model;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.hibernate.annotations.Fetch;
import org.hibernate.annotations.FetchMode;
import org.hibernate.annotations.ForeignKey;

@Entity
@Table(name = "sel_url")
public class Url {
	
	public Url() {
		this.avaliacoes = new ArrayList<Avaliacao>();
	}

	@Id
	@GeneratedValue
	@Column(name = "id_url", columnDefinition = "serial", unique = true, nullable = false)
	private Long id;

	@Column(name = "url", nullable = false, unique = true)
	private String url;
	
	@OneToMany(mappedBy = "url", targetEntity = br.com.eselo.model.Avaliacao.class, fetch = FetchType.LAZY, cascade = CascadeType.ALL)
	private List<Avaliacao> avaliacoes;
		
	@Column(name="id_sitio", nullable = true)	
	private Long idSitio; 
	
	@Column(name="cod_hash", nullable = true)	
	private byte[] codHash; 
	

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Long getIdSitio() {
		return idSitio;
	}

	public void setIdSitio(Long idSitio) {
		this.idSitio = idSitio;
	}

	public byte[] getCodHash() {
		return codHash;
	}

	public void setCodHash(byte[] codHash) {
		this.codHash = codHash;
	}





	

}
